# azure.mgmt.network.v2018_10_01.models module

exception `azure.mgmt.network.v2018_10_01.models.``ErrorException`(deserialize, response, *args)

  Bases: `msrest.exceptions.HttpOperationError`

  Server responsed with exception of type: ‘Error’.

  Parameters:

  - deserialize – A deserializer
  - response – Server response to be deserialized.

exception `azure.mgmt.network.v2018_10_01.models.``ErrorResponseException`(deserialize, response, *args)

  Bases: `msrest.exceptions.HttpOperationError`

  Server responsed with exception of type: ‘ErrorResponse’.

  Parameters:

  - deserialize – A deserializer
  - response – Server response to be deserialized.

class `azure.mgmt.network.v2018_10_01.models.``AddressSpace`(*, address_prefixes=None, **kwargs)

  Bases: `msrest.serialization.Model`

  AddressSpace contains an array of IP address ranges that can be used by subnets of the virtual network.

  Parameters: | address_prefixes (list[str]) – A list of address blocks reserved for this virtual network in CIDR notation.

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGateway`(*, id: str = None, location: str = None, tags=None, sku=None, ssl_policy=None, gateway_ip_configurations=None, authentication_certificates=None, trusted_root_certificates=None, ssl_certificates=None, frontend_ip_configurations=None, frontend_ports=None, probes=None, backend_address_pools=None, backend_http_settings_collection=None, http_listeners=None, url_path_maps=None, request_routing_rules=None, rewrite_rule_sets=None, redirect_configurations=None, web_application_firewall_configuration=None, enable_http2: bool = None, enable_fips: bool = None, autoscale_configuration=None, resource_guid: str = None, provisioning_state: str = None, custom_error_configurations=None, etag: str = None, zones=None, identity=None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.Resource`

  Application gateway resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - location (str) – Resource location.
  - tags (dict[str, str]) – Resource tags.
  - sku (ApplicationGatewaySku) – SKU of the application gateway resource.
  - ssl_policy (ApplicationGatewaySslPolicy) – SSL policy of the application gateway resource.
  - gateway_ip_configurations (list[ApplicationGatewayIPConfiguration]) – Subnets of application the gateway resource.
  - authentication_certificates (list[ApplicationGatewayAuthenticationCertificate]) – Authentication certificates of the application gateway resource.
  - trusted_root_certificates (list[ApplicationGatewayTrustedRootCertificate]) – Trusted Root certificates of the application gateway resource.
  - ssl_certificates (list[ApplicationGatewaySslCertificate]) – SSL certificates of the application gateway resource.
  - frontend_ip_configurations (list[ApplicationGatewayFrontendIPConfiguration]) – Frontend IP addresses of the application gateway resource.
  - frontend_ports (list[ApplicationGatewayFrontendPort]) – Frontend ports of the application gateway resource.
  - probes (list[ApplicationGatewayProbe]) – Probes of the application gateway resource.
  - backend_address_pools (list[ApplicationGatewayBackendAddressPool]) – Backend address pool of the application gateway resource.
  - backend_http_settings_collection (list[ApplicationGatewayBackendHttpSettings]) – Backend http settings of the application gateway resource.
  - http_listeners (list[ApplicationGatewayHttpListener]) – Http listeners of the application gateway resource.
  - url_path_maps (list[ApplicationGatewayUrlPathMap]) – URL path map of the application gateway resource.
  - request_routing_rules (list[ApplicationGatewayRequestRoutingRule]) – Request routing rules of the application gateway resource.
  - rewrite_rule_sets (list[ApplicationGatewayRewriteRuleSet]) – Rewrite rules for the application gateway resource.
  - redirect_configurations (list[ApplicationGatewayRedirectConfiguration]) – Redirect configurations of the application gateway resource.
  - web_application_firewall_configuration (ApplicationGatewayWebApplicationFirewallConfiguration) – Web application firewall configuration.
  - enable_http2 (bool) – Whether HTTP2 is enabled on the application gateway resource.
  - enable_fips (bool) – Whether FIPS is enabled on the application gateway resource.
  - autoscale_configuration (ApplicationGatewayAutoscaleConfiguration) – Autoscale Configuration.
  - resource_guid (str) – Resource GUID property of the application gateway resource.
  - provisioning_state (str) – Provisioning state of the application gateway resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.
  - custom_error_configurations (list[ApplicationGatewayCustomError]) – Custom error configurations of the application gateway resource.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.
  - zones (list[str]) – A list of availability zones denoting where the resource needs to come from.
  - identity (ManagedServiceIdentity) – The identity of the application gateway, if configured.

  Variables:

  - name (str) – Resource name.
  - type (str) – Resource type.
  - operational_state (str or ApplicationGatewayOperationalState) – Operational state of the application gateway resource. Possible values include: ‘Stopped’, ‘Starting’, ‘Running’, ‘Stopping’

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewayAuthenticationCertificate`(*, id: str = None, data: str = None, provisioning_state: str = None, name: str = None, etag: str = None, type: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  Authentication certificates of an application gateway.

  Parameters:

  - id (str) – Resource ID.
  - data (str) – Certificate public data.
  - provisioning_state (str) – Provisioning state of the authentication certificate resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.
  - name (str) – Name of the authentication certificate that is unique within an Application Gateway.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.
  - type (str) – Type of the resource.

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewayAutoscaleConfiguration`(*, min_capacity: int, **kwargs)

  Bases: `msrest.serialization.Model`

  Application Gateway autoscale configuration.

  All required parameters must be populated in order to send to Azure.

  Parameters: | min_capacity (int) – Required. Lower bound on number of Application Gateway instances

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewayAvailableSslOptions`(*, id: str = None, location: str = None, tags=None, predefined_policies=None, default_policy=None, available_cipher_suites=None, available_protocols=None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.Resource`

  Response for ApplicationGatewayAvailableSslOptions API service call.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - location (str) – Resource location.
  - tags (dict[str, str]) – Resource tags.
  - predefined_policies (list[SubResource]) – List of available Ssl predefined policy.
  - default_policy (str or ApplicationGatewaySslPolicyName) – Name of the Ssl predefined policy applied by default to application gateway. Possible values include: ‘AppGwSslPolicy20150501’, ‘AppGwSslPolicy20170401’, ‘AppGwSslPolicy20170401S’
  - available_cipher_suites (list[str or ApplicationGatewaySslCipherSuite]) – List of available Ssl cipher suites.
  - available_protocols (list[str or ApplicationGatewaySslProtocol]) – List of available Ssl protocols.

  Variables:

  - name (str) – Resource name.
  - type (str) – Resource type.

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewayAvailableWafRuleSetsResult`(*, value=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Response for ApplicationGatewayAvailableWafRuleSets API service call.

  Parameters: | value (list[ApplicationGatewayFirewallRuleSet]) – The list of application gateway rule sets.

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewayBackendAddress`(*, fqdn: str = None, ip_address: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Backend address of an application gateway.

  Parameters:

  - fqdn (str) – Fully qualified domain name (FQDN).
  - ip_address (str) – IP address

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewayBackendAddressPool`(*, id: str = None, backend_ip_configurations=None, backend_addresses=None, provisioning_state: str = None, name: str = None, etag: str = None, type: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  Backend Address Pool of an application gateway.

  Parameters:

  - id (str) – Resource ID.
  - backend_ip_configurations (list[NetworkInterfaceIPConfiguration]) – Collection of references to IPs defined in network interfaces.
  - backend_addresses (list[ApplicationGatewayBackendAddress]) – Backend addresses
  - provisioning_state (str) – Provisioning state of the backend address pool resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.
  - name (str) – Name of the backend address pool that is unique within an Application Gateway.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.
  - type (str) – Type of the resource.

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewayBackendHealth`(*, backend_address_pools=None, **kwargs)

  Bases: `msrest.serialization.Model`

  List of ApplicationGatewayBackendHealthPool resources.

  Parameters: | backend_address_pools (list[ApplicationGatewayBackendHealthPool]) –

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewayBackendHealthHttpSettings`(*, backend_http_settings=None, servers=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Application gateway BackendHealthHttp settings.

  Parameters:

  - backend_http_settings (ApplicationGatewayBackendHttpSettings) – Reference of an ApplicationGatewayBackendHttpSettings resource.
  - servers (list[ApplicationGatewayBackendHealthServer]) – List of ApplicationGatewayBackendHealthServer resources.

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewayBackendHealthPool`(*, backend_address_pool=None, backend_http_settings_collection=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Application gateway BackendHealth pool.

  Parameters:

  - backend_address_pool (ApplicationGatewayBackendAddressPool) – Reference of an ApplicationGatewayBackendAddressPool resource.
  - backend_http_settings_collection (list[ApplicationGatewayBackendHealthHttpSettings]) – List of ApplicationGatewayBackendHealthHttpSettings resources.

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewayBackendHealthServer`(*, address: str = None, ip_configuration=None, health=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Application gateway backendhealth http settings.

  Parameters:

  - address (str) – IP address or FQDN of backend server.
  - ip_configuration (NetworkInterfaceIPConfiguration) – Reference of IP configuration of backend server.
  - health (str or ApplicationGatewayBackendHealthServerHealth) – Health of backend server. Possible values include: ‘Unknown’, ‘Up’, ‘Down’, ‘Partial’, ‘Draining’

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewayBackendHttpSettings`(*, id: str = None, port: int = None, protocol=None, cookie_based_affinity=None, request_timeout: int = None, probe=None, authentication_certificates=None, trusted_root_certificates=None, connection_draining=None, host_name: str = None, pick_host_name_from_backend_address: bool = None, affinity_cookie_name: str = None, probe_enabled: bool = None, path: str = None, provisioning_state: str = None, name: str = None, etag: str = None, type: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  Backend address pool settings of an application gateway.

  Parameters:

  - id (str) – Resource ID.
  - port (int) – The destination port on the backend.
  - protocol (str or ApplicationGatewayProtocol) – The protocol used to communicate with the backend. Possible values are ‘Http’ and ‘Https’. Possible values include: ‘Http’, ‘Https’
  - cookie_based_affinity (str or ApplicationGatewayCookieBasedAffinity) – Cookie based affinity. Possible values include: ‘Enabled’, ‘Disabled’
  - request_timeout (int) – Request timeout in seconds. Application Gateway will fail the request if response is not received within RequestTimeout. Acceptable values are from 1 second to 86400 seconds.
  - probe (SubResource) – Probe resource of an application gateway.
  - authentication_certificates (list[SubResource]) – Array of references to application gateway authentication certificates.
  - trusted_root_certificates (list[SubResource]) – Array of references to application gateway trusted root certificates.
  - connection_draining (ApplicationGatewayConnectionDraining) – Connection draining of the backend http settings resource.
  - host_name (str) – Host header to be sent to the backend servers.
  - pick_host_name_from_backend_address (bool) – Whether to pick host header should be picked from the host name of the backend server. Default value is false.
  - affinity_cookie_name (str) – Cookie name to use for the affinity cookie.
  - probe_enabled (bool) – Whether the probe is enabled. Default value is false.
  - path (str) – Path which should be used as a prefix for all HTTP requests. Null means no path will be prefixed. Default value is null.
  - provisioning_state (str) – Provisioning state of the backend http settings resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.
  - name (str) – Name of the backend http settings that is unique within an Application Gateway.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.
  - type (str) – Type of the resource.

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewayConnectionDraining`(*, enabled: bool, drain_timeout_in_sec: int, **kwargs)

  Bases: `msrest.serialization.Model`

  Connection draining allows open connections to a backend server to be active for a specified time after the backend server got removed from the configuration.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - enabled (bool) – Required. Whether connection draining is enabled or not.
  - drain_timeout_in_sec (int) – Required. The number of seconds connection draining is active. Acceptable values are from 1 second to 3600 seconds.

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewayCustomError`(*, status_code=None, custom_error_page_url: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Customer error of an application gateway.

  Parameters:

  - status_code (str or ApplicationGatewayCustomErrorStatusCode) – Status code of the application gateway customer error. Possible values include: ‘HttpStatus403’, ‘HttpStatus502’
  - custom_error_page_url (str) – Error page URL of the application gateway customer error.

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewayFirewallDisabledRuleGroup`(*, rule_group_name: str, rules=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Allows to disable rules within a rule group or an entire rule group.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - rule_group_name (str) – Required. The name of the rule group that will be disabled.
  - rules (list[int]) – The list of rules that will be disabled. If null, all rules of the rule group will be disabled.

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewayFirewallExclusion`(*, match_variable: str, selector_match_operator: str, selector: str, **kwargs)

  Bases: `msrest.serialization.Model`

  Allow to exclude some variable satisfy the condition for the WAF check.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - match_variable (str) – Required. The variable to be excluded.
  - selector_match_operator (str) – Required. When matchVariable is a collection, operate on the selector to specify which elements in the collection this exclusion applies to.
  - selector (str) – Required. When matchVariable is a collection, operator used to specify which elements in the collection this exclusion applies to.

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewayFirewallRule`(*, rule_id: int, description: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  A web application firewall rule.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - rule_id (int) – Required. The identifier of the web application firewall rule.
  - description (str) – The description of the web application firewall rule.

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewayFirewallRuleGroup`(*, rule_group_name: str, rules, description: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  A web application firewall rule group.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - rule_group_name (str) – Required. The name of the web application firewall rule group.
  - description (str) – The description of the web application firewall rule group.
  - rules (list[ApplicationGatewayFirewallRule]) – Required. The rules of the web application firewall rule group.

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewayFirewallRuleSet`(*, rule_set_type: str, rule_set_version: str, rule_groups, id: str = None, location: str = None, tags=None, provisioning_state: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.Resource`

  A web application firewall rule set.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - id (str) – Resource ID.
  - location (str) – Resource location.
  - tags (dict[str, str]) – Resource tags.
  - provisioning_state (str) – The provisioning state of the web application firewall rule set.
  - rule_set_type (str) – Required. The type of the web application firewall rule set.
  - rule_set_version (str) – Required. The version of the web application firewall rule set type.
  - rule_groups (list[ApplicationGatewayFirewallRuleGroup]) – Required. The rule groups of the web application firewall rule set.

  Variables:

  - name (str) – Resource name.
  - type (str) – Resource type.

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewayFrontendIPConfiguration`(*, id: str = None, private_ip_address: str = None, private_ip_allocation_method=None, subnet=None, public_ip_address=None, provisioning_state: str = None, name: str = None, etag: str = None, type: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  Frontend IP configuration of an application gateway.

  Parameters:

  - id (str) – Resource ID.
  - private_ip_address (str) – PrivateIPAddress of the network interface IP Configuration.
  - private_ip_allocation_method (str or IPAllocationMethod) – PrivateIP allocation method. Possible values include: ‘Static’, ‘Dynamic’
  - subnet (SubResource) – Reference of the subnet resource.
  - public_ip_address (SubResource) – Reference of the PublicIP resource.
  - provisioning_state (str) – Provisioning state of the public IP resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.
  - name (str) – Name of the frontend IP configuration that is unique within an Application Gateway.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.
  - type (str) – Type of the resource.

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewayFrontendPort`(*, id: str = None, port: int = None, provisioning_state: str = None, name: str = None, etag: str = None, type: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  Frontend port of an application gateway.

  Parameters:

  - id (str) – Resource ID.
  - port (int) – Frontend port
  - provisioning_state (str) – Provisioning state of the frontend port resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.
  - name (str) – Name of the frontend port that is unique within an Application Gateway
  - etag (str) – A unique read-only string that changes whenever the resource is updated.
  - type (str) – Type of the resource.

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewayHeaderConfiguration`(*, header_name: str = None, header_value: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Header configuration of the Actions set in Application Gateway.

  Parameters:

  - header_name (str) – Header name of the header configuration
  - header_value (str) – Header value of the header configuration

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewayHttpListener`(*, id: str = None, frontend_ip_configuration=None, frontend_port=None, protocol=None, host_name: str = None, ssl_certificate=None, require_server_name_indication: bool = None, provisioning_state: str = None, custom_error_configurations=None, name: str = None, etag: str = None, type: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  Http listener of an application gateway.

  Parameters:

  - id (str) – Resource ID.
  - frontend_ip_configuration (SubResource) – Frontend IP configuration resource of an application gateway.
  - frontend_port (SubResource) – Frontend port resource of an application gateway.
  - protocol (str or ApplicationGatewayProtocol) – Protocol of the HTTP listener. Possible values are ‘Http’ and ‘Https’. Possible values include: ‘Http’, ‘Https’
  - host_name (str) – Host name of HTTP listener.
  - ssl_certificate (SubResource) – SSL certificate resource of an application gateway.
  - require_server_name_indication (bool) – Applicable only if protocol is https. Enables SNI for multi-hosting.
  - provisioning_state (str) – Provisioning state of the HTTP listener resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.
  - custom_error_configurations (list[ApplicationGatewayCustomError]) – Custom error configurations of the HTTP listener.
  - name (str) – Name of the HTTP listener that is unique within an Application Gateway.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.
  - type (str) – Type of the resource.

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewayIPConfiguration`(*, id: str = None, subnet=None, provisioning_state: str = None, name: str = None, etag: str = None, type: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  IP configuration of an application gateway. Currently 1 public and 1 private IP configuration is allowed.

  Parameters:

  - id (str) – Resource ID.
  - subnet (SubResource) – Reference of the subnet resource. A subnet from where application gateway gets its private address.
  - provisioning_state (str) – Provisioning state of the application gateway subnet resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.
  - name (str) – Name of the IP configuration that is unique within an Application Gateway.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.
  - type (str) – Type of the resource.

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewayPathRule`(*, id: str = None, paths=None, backend_address_pool=None, backend_http_settings=None, redirect_configuration=None, rewrite_rule_set=None, provisioning_state: str = None, name: str = None, etag: str = None, type: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  Path rule of URL path map of an application gateway.

  Parameters:

  - id (str) – Resource ID.
  - paths (list[str]) – Path rules of URL path map.
  - backend_address_pool (SubResource) – Backend address pool resource of URL path map path rule.
  - backend_http_settings (SubResource) – Backend http settings resource of URL path map path rule.
  - redirect_configuration (SubResource) – Redirect configuration resource of URL path map path rule.
  - rewrite_rule_set (SubResource) – Rewrite rule set resource of URL path map path rule.
  - provisioning_state (str) – Path rule of URL path map resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.
  - name (str) – Name of the path rule that is unique within an Application Gateway.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.
  - type (str) – Type of the resource.

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewayProbe`(*, id: str = None, protocol=None, host: str = None, path: str = None, interval: int = None, timeout: int = None, unhealthy_threshold: int = None, pick_host_name_from_backend_http_settings: bool = None, min_servers: int = None, match=None, provisioning_state: str = None, name: str = None, etag: str = None, type: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  Probe of the application gateway.

  Parameters:

  - id (str) – Resource ID.
  - protocol (str or ApplicationGatewayProtocol) – The protocol used for the probe. Possible values are ‘Http’ and ‘Https’. Possible values include: ‘Http’, ‘Https’
  - host (str) – Host name to send the probe to.
  - path (str) – Relative path of probe. Valid path starts from ‘/’. Probe is sent to <Protocol>://<host>:<port><path>
  - interval (int) – The probing interval in seconds. This is the time interval between two consecutive probes. Acceptable values are from 1 second to 86400 seconds.
  - timeout (int) – the probe timeout in seconds. Probe marked as failed if valid response is not received with this timeout period. Acceptable values are from 1 second to 86400 seconds.
  - unhealthy_threshold (int) – The probe retry count. Backend server is marked down after consecutive probe failure count reaches UnhealthyThreshold. Acceptable values are from 1 second to 20.
  - pick_host_name_from_backend_http_settings (bool) – Whether the host header should be picked from the backend http settings. Default value is false.
  - min_servers (int) – Minimum number of servers that are always marked healthy. Default value is 0.
  - match (ApplicationGatewayProbeHealthResponseMatch) – Criterion for classifying a healthy probe response.
  - provisioning_state (str) – Provisioning state of the backend http settings resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.
  - name (str) – Name of the probe that is unique within an Application Gateway.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.
  - type (str) – Type of the resource.

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewayProbeHealthResponseMatch`(*, body: str = None, status_codes=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Application gateway probe health response match.

  Parameters:

  - body (str) – Body that must be contained in the health response. Default value is empty.
  - status_codes (list[str]) – Allowed ranges of healthy status codes. Default range of healthy status codes is 200-399.

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewayRedirectConfiguration`(*, id: str = None, redirect_type=None, target_listener=None, target_url: str = None, include_path: bool = None, include_query_string: bool = None, request_routing_rules=None, url_path_maps=None, path_rules=None, name: str = None, etag: str = None, type: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  Redirect configuration of an application gateway.

  Parameters:

  - id (str) – Resource ID.
  - redirect_type (str or ApplicationGatewayRedirectType) – Supported http redirection types - Permanent, Temporary, Found, SeeOther. Possible values include: ‘Permanent’, ‘Found’, ‘SeeOther’, ‘Temporary’
  - target_listener (SubResource) – Reference to a listener to redirect the request to.
  - target_url (str) – Url to redirect the request to.
  - include_path (bool) – Include path in the redirected url.
  - include_query_string (bool) – Include query string in the redirected url.
  - request_routing_rules (list[SubResource]) – Request routing specifying redirect configuration.
  - url_path_maps (list[SubResource]) – Url path maps specifying default redirect configuration.
  - path_rules (list[SubResource]) – Path rules specifying redirect configuration.
  - name (str) – Name of the redirect configuration that is unique within an Application Gateway.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.
  - type (str) – Type of the resource.

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewayRequestRoutingRule`(*, id: str = None, rule_type=None, backend_address_pool=None, backend_http_settings=None, http_listener=None, url_path_map=None, rewrite_rule_set=None, redirect_configuration=None, provisioning_state: str = None, name: str = None, etag: str = None, type: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  Request routing rule of an application gateway.

  Parameters:

  - id (str) – Resource ID.
  - rule_type (str or ApplicationGatewayRequestRoutingRuleType) – Rule type. Possible values include: ‘Basic’, ‘PathBasedRouting’
  - backend_address_pool (SubResource) – Backend address pool resource of the application gateway.
  - backend_http_settings (SubResource) – Backend http settings resource of the application gateway.
  - http_listener (SubResource) – Http listener resource of the application gateway.
  - url_path_map (SubResource) – URL path map resource of the application gateway.
  - rewrite_rule_set (SubResource) – Rewrite Rule Set resource in Basic rule of the application gateway.
  - redirect_configuration (SubResource) – Redirect configuration resource of the application gateway.
  - provisioning_state (str) – Provisioning state of the request routing rule resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.
  - name (str) – Name of the request routing rule that is unique within an Application Gateway.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.
  - type (str) – Type of the resource.

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewayRewriteRule`(*, name: str = None, action_set=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Rewrite rule of an application gateway.

  Parameters:

  - name (str) – Name of the rewrite rule that is unique within an Application Gateway.
  - action_set (ApplicationGatewayRewriteRuleActionSet) – Set of actions to be done as part of the rewrite Rule.

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewayRewriteRuleActionSet`(*, request_header_configurations=None, response_header_configurations=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Set of actions in the Rewrite Rule in Application Gateway.

  Parameters:

  - request_header_configurations (list[ApplicationGatewayHeaderConfiguration]) – Request Header Actions in the Action Set
  - response_header_configurations (list[ApplicationGatewayHeaderConfiguration]) – Response Header Actions in the Action Set

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewayRewriteRuleSet`(*, id: str = None, rewrite_rules=None, name: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  Rewrite rule set of an application gateway.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - rewrite_rules (list[ApplicationGatewayRewriteRule]) – Rewrite rules in the rewrite rule set.
  - name (str) – Name of the rewrite rule set that is unique within an Application Gateway.

  Variables:

  - provisioning_state (str) – Provisioning state of the rewrite rule set resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewaySku`(*, name=None, tier=None, capacity: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  SKU of an application gateway.

  Parameters:

  - name (str or ApplicationGatewaySkuName) – Name of an application gateway SKU. Possible values include: ‘Standard_Small’, ‘Standard_Medium’, ‘Standard_Large’, ‘WAF_Medium’, ‘WAF_Large’, ‘Standard_v2’, ‘WAF_v2’
  - tier (str or ApplicationGatewayTier) – Tier of an application gateway. Possible values include: ‘Standard’, ‘WAF’, ‘Standard_v2’, ‘WAF_v2’
  - capacity (int) – Capacity (instance count) of an application gateway.

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewaySslCertificate`(*, id: str = None, data: str = None, password: str = None, public_cert_data: str = None, key_vault_secret_id: str = None, provisioning_state: str = None, name: str = None, etag: str = None, type: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  SSL certificates of an application gateway.

  Parameters:

  - id (str) – Resource ID.
  - data (str) – Base-64 encoded pfx certificate. Only applicable in PUT Request.
  - password (str) – Password for the pfx file specified in data. Only applicable in PUT request.
  - public_cert_data (str) – Base-64 encoded Public cert data corresponding to pfx specified in data. Only applicable in GET request.
  - key_vault_secret_id (str) – Secret Id of (base-64 encoded unencrypted pfx) ‘Secret’ or ‘Certificate’ object stored in KeyVault.
  - provisioning_state (str) – Provisioning state of the SSL certificate resource Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.
  - name (str) – Name of the SSL certificate that is unique within an Application Gateway.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.
  - type (str) – Type of the resource.

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewaySslPolicy`(*, disabled_ssl_protocols=None, policy_type=None, policy_name=None, cipher_suites=None, min_protocol_version=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Application Gateway Ssl policy.

  Parameters:

  - disabled_ssl_protocols (list[str or ApplicationGatewaySslProtocol]) – Ssl protocols to be disabled on application gateway.
  - policy_type (str or ApplicationGatewaySslPolicyType) – Type of Ssl Policy. Possible values include: ‘Predefined’, ‘Custom’
  - policy_name (str or ApplicationGatewaySslPolicyName) – Name of Ssl predefined policy. Possible values include: ‘AppGwSslPolicy20150501’, ‘AppGwSslPolicy20170401’, ‘AppGwSslPolicy20170401S’
  - cipher_suites (list[str or ApplicationGatewaySslCipherSuite]) – Ssl cipher suites to be enabled in the specified order to application gateway.
  - min_protocol_version (str or ApplicationGatewaySslProtocol) – Minimum version of Ssl protocol to be supported on application gateway. Possible values include: ‘TLSv1_0’, ‘TLSv1_1’, ‘TLSv1_2’

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewaySslPredefinedPolicy`(*, id: str = None, name: str = None, cipher_suites=None, min_protocol_version=None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  An Ssl predefined policy.

  Parameters:

  - id (str) – Resource ID.
  - name (str) – Name of the Ssl predefined policy.
  - cipher_suites (list[str or ApplicationGatewaySslCipherSuite]) – Ssl cipher suites to be enabled in the specified order for application gateway.
  - min_protocol_version (str or ApplicationGatewaySslProtocol) – Minimum version of Ssl protocol to be supported on application gateway. Possible values include: ‘TLSv1_0’, ‘TLSv1_1’, ‘TLSv1_2’

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewayTrustedRootCertificate`(*, id: str = None, data: str = None, key_vault_secret_id: str = None, provisioning_state: str = None, name: str = None, etag: str = None, type: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  Trusted Root certificates of an application gateway.

  Parameters:

  - id (str) – Resource ID.
  - data (str) – Certificate public data.
  - key_vault_secret_id (str) – Secret Id of (base-64 encoded unencrypted pfx) ‘Secret’ or ‘Certificate’ object stored in KeyVault.
  - provisioning_state (str) – Provisioning state of the trusted root certificate resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.
  - name (str) – Name of the trusted root certificate that is unique within an Application Gateway.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.
  - type (str) – Type of the resource.

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewayUrlPathMap`(*, id: str = None, default_backend_address_pool=None, default_backend_http_settings=None, default_rewrite_rule_set=None, default_redirect_configuration=None, path_rules=None, provisioning_state: str = None, name: str = None, etag: str = None, type: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  UrlPathMaps give a url path to the backend mapping information for PathBasedRouting.

  Parameters:

  - id (str) – Resource ID.
  - default_backend_address_pool (SubResource) – Default backend address pool resource of URL path map.
  - default_backend_http_settings (SubResource) – Default backend http settings resource of URL path map.
  - default_rewrite_rule_set (SubResource) – Default Rewrite rule set resource of URL path map.
  - default_redirect_configuration (SubResource) – Default redirect configuration resource of URL path map.
  - path_rules (list[ApplicationGatewayPathRule]) – Path rule of URL path map resource.
  - provisioning_state (str) – Provisioning state of the backend http settings resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.
  - name (str) – Name of the URL path map that is unique within an Application Gateway.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.
  - type (str) – Type of the resource.

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewayWebApplicationFirewallConfiguration`(*, enabled: bool, firewall_mode, rule_set_type: str, rule_set_version: str, disabled_rule_groups=None, request_body_check: bool = None, max_request_body_size: int = None, max_request_body_size_in_kb: int = None, file_upload_limit_in_mb: int = None, exclusions=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Application gateway web application firewall configuration.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - enabled (bool) – Required. Whether the web application firewall is enabled or not.
  - firewall_mode (str or ApplicationGatewayFirewallMode) – Required. Web application firewall mode. Possible values include: ‘Detection’, ‘Prevention’
  - rule_set_type (str) – Required. The type of the web application firewall rule set. Possible values are: ‘OWASP’.
  - rule_set_version (str) – Required. The version of the rule set type.
  - disabled_rule_groups (list[ApplicationGatewayFirewallDisabledRuleGroup]) – The disabled rule groups.
  - request_body_check (bool) – Whether allow WAF to check request Body.
  - max_request_body_size (int) – Maximum request body size for WAF.
  - max_request_body_size_in_kb (int) – Maximum request body size in Kb for WAF.
  - file_upload_limit_in_mb (int) – Maximum file upload size in Mb for WAF.
  - exclusions (list[ApplicationGatewayFirewallExclusion]) – The exclusion list.

class `azure.mgmt.network.v2018_10_01.models.``ApplicationSecurityGroup`(*, id: str = None, location: str = None, tags=None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.Resource`

  An application security group in a resource group.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - location (str) – Resource location.
  - tags (dict[str, str]) – Resource tags.

  Variables:

  - name (str) – Resource name.
  - type (str) – Resource type.
  - resource_guid (str) – The resource GUID property of the application security group resource. It uniquely identifies a resource, even if the user changes its name or migrate the resource across subscriptions or resource groups.
  - provisioning_state (str) – The provisioning state of the application security group resource. Possible values are: ‘Succeeded’, ‘Updating’, ‘Deleting’, and ‘Failed’.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

class `azure.mgmt.network.v2018_10_01.models.``Availability`(*, time_grain: str = None, retention: str = None, blob_duration: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Availability of the metric.

  Parameters:

  - time_grain (str) – The time grain of the availability.
  - retention (str) – The retention of the availability.
  - blob_duration (str) – Duration of the availability blob.

class `azure.mgmt.network.v2018_10_01.models.``AvailableDelegation`(*, name: str = None, id: str = None, type: str = None, service_name: str = None, actions=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The serviceName of an AvailableDelegation indicates a possible delegation for a subnet.

  Parameters:

  - name (str) – The name of the AvailableDelegation resource.
  - id (str) – A unique identifier of the AvailableDelegation resource.
  - type (str) – Resource type.
  - service_name (str) – The name of the service and resource
  - actions (list[str]) – Describes the actions permitted to the service upon delegation

class `azure.mgmt.network.v2018_10_01.models.``AvailableProvidersList`(*, countries, **kwargs)

  Bases: `msrest.serialization.Model`

  List of available countries with details.

  All required parameters must be populated in order to send to Azure.

  Parameters: | countries (list[AvailableProvidersListCountry]) – Required. List of available countries.

class `azure.mgmt.network.v2018_10_01.models.``AvailableProvidersListCity`(*, city_name: str = None, providers=None, **kwargs)

  Bases: `msrest.serialization.Model`

  City or town details.

  Parameters:

  - city_name (str) – The city or town name.
  - providers (list[str]) – A list of Internet service providers.

class `azure.mgmt.network.v2018_10_01.models.``AvailableProvidersListCountry`(*, country_name: str = None, providers=None, states=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Country details.

  Parameters:

  - country_name (str) – The country name.
  - providers (list[str]) – A list of Internet service providers.
  - states (list[AvailableProvidersListState]) – List of available states in the country.

class `azure.mgmt.network.v2018_10_01.models.``AvailableProvidersListParameters`(*, azure_locations=None, country: str = None, state: str = None, city: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Constraints that determine the list of available Internet service providers.

  Parameters:

  - azure_locations (list[str]) – A list of Azure regions.
  - country (str) – The country for available providers list.
  - state (str) – The state for available providers list.
  - city (str) – The city or town for available providers list.

class `azure.mgmt.network.v2018_10_01.models.``AvailableProvidersListState`(*, state_name: str = None, providers=None, cities=None, **kwargs)

  Bases: `msrest.serialization.Model`

  State details.

  Parameters:

  - state_name (str) – The state name.
  - providers (list[str]) – A list of Internet service providers.
  - cities (list[AvailableProvidersListCity]) – List of available cities or towns in the state.

class `azure.mgmt.network.v2018_10_01.models.``AzureAsyncOperationResult`(*, status=None, error=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The response body contains the status of the specified asynchronous operation, indicating whether it has succeeded, is in progress, or has failed. Note that this status is distinct from the HTTP status code returned for the Get Operation Status operation itself. If the asynchronous operation succeeded, the response body includes the HTTP status code for the successful request. If the asynchronous operation failed, the response body includes the HTTP status code for the failed request and error information regarding the failure.

  Parameters:

  - status (str or NetworkOperationStatus) – Status of the Azure async operation. Possible values are: ‘InProgress’, ‘Succeeded’, and ‘Failed’. Possible values include: ‘InProgress’, ‘Succeeded’, ‘Failed’
  - error (Error) –

class `azure.mgmt.network.v2018_10_01.models.``AzureFirewall`(*, id: str = None, location: str = None, tags=None, application_rule_collections=None, nat_rule_collections=None, network_rule_collections=None, ip_configurations=None, provisioning_state=None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.Resource`

  Azure Firewall resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - location (str) – Resource location.
  - tags (dict[str, str]) – Resource tags.
  - application_rule_collections (list[AzureFirewallApplicationRuleCollection]) – Collection of application rule collections used by Azure Firewall.
  - nat_rule_collections (list[AzureFirewallNatRuleCollection]) – Collection of NAT rule collections used by Azure Firewall.
  - network_rule_collections (list[AzureFirewallNetworkRuleCollection]) – Collection of network rule collections used by Azure Firewall.
  - ip_configurations (list[AzureFirewallIPConfiguration]) – IP configuration of the Azure Firewall resource.
  - provisioning_state (str or ProvisioningState) – The provisioning state of the resource. Possible values include: ‘Succeeded’, ‘Updating’, ‘Deleting’, ‘Failed’

  Variables:

  - name (str) – Resource name.
  - type (str) – Resource type.
  - etag (str) – Gets a unique read-only string that changes whenever the resource is updated.

class `azure.mgmt.network.v2018_10_01.models.``AzureFirewallApplicationRule`(*, name: str = None, description: str = None, source_addresses=None, protocols=None, target_fqdns=None, fqdn_tags=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Properties of an application rule.

  Parameters:

  - name (str) – Name of the application rule.
  - description (str) – Description of the rule.
  - source_addresses (list[str]) – List of source IP addresses for this rule.
  - protocols (list[AzureFirewallApplicationRuleProtocol]) – Array of ApplicationRuleProtocols.
  - target_fqdns (list[str]) – List of FQDNs for this rule.
  - fqdn_tags (list[str]) – List of FQDN Tags for this rule.

class `azure.mgmt.network.v2018_10_01.models.``AzureFirewallApplicationRuleCollection`(*, id: str = None, priority: int = None, action=None, rules=None, provisioning_state=None, name: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  Application rule collection resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - priority (int) – Priority of the application rule collection resource.
  - action (AzureFirewallRCAction) – The action type of a rule collection
  - rules (list[AzureFirewallApplicationRule]) – Collection of rules used by a application rule collection.
  - provisioning_state (str or ProvisioningState) – The provisioning state of the resource. Possible values include: ‘Succeeded’, ‘Updating’, ‘Deleting’, ‘Failed’
  - name (str) – Gets name of the resource that is unique within a resource group. This name can be used to access the resource.

  Variables: | etag (str) – Gets a unique read-only string that changes whenever the resource is updated.

class `azure.mgmt.network.v2018_10_01.models.``AzureFirewallApplicationRuleProtocol`(*, protocol_type=None, port: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Properties of the application rule protocol.

  Parameters:

  - protocol_type (str or AzureFirewallApplicationRuleProtocolType) – Protocol type. Possible values include: ‘Http’, ‘Https’
  - port (int) – Port number for the protocol, cannot be greater than 64000. This field is optional.

class `azure.mgmt.network.v2018_10_01.models.``AzureFirewallFqdnTag`(*, id: str = None, location: str = None, tags=None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.Resource`

  Azure Firewall FQDN Tag Resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - location (str) – Resource location.
  - tags (dict[str, str]) – Resource tags.

  Variables:

  - name (str) – Resource name.
  - type (str) – Resource type.
  - provisioning_state (str) – The provisioning state of the resource.
  - fqdn_tag_name (str) – The name of this FQDN Tag.
  - etag (str) – Gets a unique read-only string that changes whenever the resource is updated.

class `azure.mgmt.network.v2018_10_01.models.``AzureFirewallIPConfiguration`(*, id: str = None, subnet=None, public_ip_address=None, provisioning_state=None, name: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  IP configuration of an Azure Firewall.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - subnet (SubResource) – Reference of the subnet resource. This resource must be named ‘AzureFirewallSubnet’.
  - public_ip_address (SubResource) – Reference of the PublicIP resource. This field is a mandatory input if subnet is not null.
  - provisioning_state (str or ProvisioningState) – The provisioning state of the resource. Possible values include: ‘Succeeded’, ‘Updating’, ‘Deleting’, ‘Failed’
  - name (str) – Name of the resource that is unique within a resource group. This name can be used to access the resource.

  Variables:

  - private_ip_address (str) – The Firewall Internal Load Balancer IP to be used as the next hop in User Defined Routes.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

class `azure.mgmt.network.v2018_10_01.models.``AzureFirewallNatRCAction`(*, type=None, **kwargs)

  Bases: `msrest.serialization.Model`

  AzureFirewall NAT Rule Collection Action.

  Parameters: | type (str or AzureFirewallNatRCActionType) – The type of action. Possible values include: ‘Snat’, ‘Dnat’

class `azure.mgmt.network.v2018_10_01.models.``AzureFirewallNatRule`(*, name: str = None, description: str = None, source_addresses=None, destination_addresses=None, destination_ports=None, protocols=None, translated_address: str = None, translated_port: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Properties of a NAT rule.

  Parameters:

  - name (str) – Name of the NAT rule.
  - description (str) – Description of the rule.
  - source_addresses (list[str]) – List of source IP addresses for this rule.
  - destination_addresses (list[str]) – List of destination IP addresses for this rule.
  - destination_ports (list[str]) – List of destination ports.
  - protocols (list[str or AzureFirewallNetworkRuleProtocol]) – Array of AzureFirewallNetworkRuleProtocols applicable to this NAT rule.
  - translated_address (str) – The translated address for this NAT rule.
  - translated_port (str) – The translated port for this NAT rule.

class `azure.mgmt.network.v2018_10_01.models.``AzureFirewallNatRuleCollection`(*, id: str = None, priority: int = None, action=None, rules=None, provisioning_state=None, name: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  NAT rule collection resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - priority (int) – Priority of the NAT rule collection resource.
  - action (AzureFirewallNatRCAction) – The action type of a NAT rule collection
  - rules (list[AzureFirewallNatRule]) – Collection of rules used by a NAT rule collection.
  - provisioning_state (str or ProvisioningState) – The provisioning state of the resource. Possible values include: ‘Succeeded’, ‘Updating’, ‘Deleting’, ‘Failed’
  - name (str) – Gets name of the resource that is unique within a resource group. This name can be used to access the resource.

  Variables: | etag (str) – Gets a unique read-only string that changes whenever the resource is updated.

class `azure.mgmt.network.v2018_10_01.models.``AzureFirewallNetworkRule`(*, name: str = None, description: str = None, protocols=None, source_addresses=None, destination_addresses=None, destination_ports=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Properties of the network rule.

  Parameters:

  - name (str) – Name of the network rule.
  - description (str) – Description of the rule.
  - protocols (list[str or AzureFirewallNetworkRuleProtocol]) – Array of AzureFirewallNetworkRuleProtocols.
  - source_addresses (list[str]) – List of source IP addresses for this rule.
  - destination_addresses (list[str]) – List of destination IP addresses.
  - destination_ports (list[str]) – List of destination ports.

class `azure.mgmt.network.v2018_10_01.models.``AzureFirewallNetworkRuleCollection`(*, id: str = None, priority: int = None, action=None, rules=None, provisioning_state=None, name: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  Network rule collection resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - priority (int) – Priority of the network rule collection resource.
  - action (AzureFirewallRCAction) – The action type of a rule collection
  - rules (list[AzureFirewallNetworkRule]) – Collection of rules used by a network rule collection.
  - provisioning_state (str or ProvisioningState) – The provisioning state of the resource. Possible values include: ‘Succeeded’, ‘Updating’, ‘Deleting’, ‘Failed’
  - name (str) – Gets name of the resource that is unique within a resource group. This name can be used to access the resource.

  Variables: | etag (str) – Gets a unique read-only string that changes whenever the resource is updated.

class `azure.mgmt.network.v2018_10_01.models.``AzureFirewallRCAction`(*, type=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Properties of the AzureFirewallRCAction.

  Parameters: | type (str or AzureFirewallRCActionType) – The type of action. Possible values include: ‘Allow’, ‘Deny’

class `azure.mgmt.network.v2018_10_01.models.``AzureReachabilityReport`(*, aggregation_level: str, provider_location, reachability_report, **kwargs)

  Bases: `msrest.serialization.Model`

  Azure reachability report details.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - aggregation_level (str) – Required. The aggregation level of Azure reachability report. Can be Country, State or City.
  - provider_location (AzureReachabilityReportLocation) – Required.
  - reachability_report (list[AzureReachabilityReportItem]) – Required. List of Azure reachability report items.

class `azure.mgmt.network.v2018_10_01.models.``AzureReachabilityReportItem`(*, provider: str = None, azure_location: str = None, latencies=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Azure reachability report details for a given provider location.

  Parameters:

  - provider (str) – The Internet service provider.
  - azure_location (str) – The Azure region.
  - latencies (list[AzureReachabilityReportLatencyInfo]) – List of latency details for each of the time series.

class `azure.mgmt.network.v2018_10_01.models.``AzureReachabilityReportLatencyInfo`(*, time_stamp=None, score: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Details on latency for a time series.

  Parameters:

  - time_stamp (datetime) – The time stamp.
  - score (int) – The relative latency score between 1 and 100, higher values indicating a faster connection.

class `azure.mgmt.network.v2018_10_01.models.``AzureReachabilityReportLocation`(*, country: str, state: str = None, city: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Parameters that define a geographic location.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - country (str) – Required. The name of the country.
  - state (str) – The name of the state.
  - city (str) – The name of the city or town.

class `azure.mgmt.network.v2018_10_01.models.``AzureReachabilityReportParameters`(*, provider_location, start_time, end_time, providers=None, azure_locations=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Geographic and time constraints for Azure reachability report.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - provider_location (AzureReachabilityReportLocation) – Required.
  - providers (list[str]) – List of Internet service providers.
  - azure_locations (list[str]) – Optional Azure regions to scope the query to.
  - start_time (datetime) – Required. The start time for the Azure reachability report.
  - end_time (datetime) – Required. The end time for the Azure reachability report.

class `azure.mgmt.network.v2018_10_01.models.``BackendAddressPool`(*, id: str = None, provisioning_state: str = None, name: str = None, etag: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  Pool of backend IP addresses.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - provisioning_state (str) – Get provisioning state of the public IP resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.
  - name (str) – Gets name of the resource that is unique within a resource group. This name can be used to access the resource.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

  Variables:

  - backend_ip_configurations (list[NetworkInterfaceIPConfiguration]) – Gets collection of references to IP addresses defined in network interfaces.
  - load_balancing_rules (list[SubResource]) – Gets load balancing rules that use this backend address pool.
  - outbound_rule (SubResource) – Gets outbound rules that use this backend address pool.
  - outbound_rules (list[SubResource]) – Gets outbound rules that use this backend address pool.

class `azure.mgmt.network.v2018_10_01.models.``BGPCommunity`(*, service_supported_region: str = None, community_name: str = None, community_value: str = None, community_prefixes=None, is_authorized_to_use: bool = None, service_group: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Contains bgp community information offered in Service Community resources.

  Parameters:

  - service_supported_region (str) – The region which the service support. e.g. For O365, region is Global.
  - community_name (str) – The name of the bgp community. e.g. Skype.
  - community_value (str) – The value of the bgp community. For more information: https://docs.microsoft.com/en-us/azure/expressroute/expressroute-routing.
  - community_prefixes (list[str]) – The prefixes that the bgp community contains.
  - is_authorized_to_use (bool) – Customer is authorized to use bgp community or not.
  - service_group (str) – The service group of the bgp community contains.

class `azure.mgmt.network.v2018_10_01.models.``BgpPeerStatus`(**kwargs)

  Bases: `msrest.serialization.Model`

  BGP peer status details.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - local_address (str) – The virtual network gateway’s local address
  - neighbor (str) – The remote BGP peer
  - asn (int) – The autonomous system number of the remote BGP peer
  - state (str or BgpPeerState) – The BGP peer state. Possible values include: ‘Unknown’, ‘Stopped’, ‘Idle’, ‘Connecting’, ‘Connected’
  - connected_duration (str) – For how long the peering has been up
  - routes_received (long) – The number of routes learned from this peer
  - messages_sent (long) – The number of BGP messages sent
  - messages_received (long) – The number of BGP messages received

class `azure.mgmt.network.v2018_10_01.models.``BgpPeerStatusListResult`(*, value=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Response for list BGP peer status API service call.

  Parameters: | value (list[BgpPeerStatus]) – List of BGP peers

class `azure.mgmt.network.v2018_10_01.models.``BgpServiceCommunity`(*, id: str = None, location: str = None, tags=None, service_name: str = None, bgp_communities=None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.Resource`

  Service Community Properties.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - location (str) – Resource location.
  - tags (dict[str, str]) – Resource tags.
  - service_name (str) – The name of the bgp community. e.g. Skype.
  - bgp_communities (list[BGPCommunity]) – Get a list of bgp communities.

  Variables:

  - name (str) – Resource name.
  - type (str) – Resource type.

class `azure.mgmt.network.v2018_10_01.models.``BgpSettings`(*, asn: int = None, bgp_peering_address: str = None, peer_weight: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  BGP settings details.

  Parameters:

  - asn (long) – The BGP speaker’s ASN.
  - bgp_peering_address (str) – The BGP peering address and BGP identifier of this BGP speaker.
  - peer_weight (int) – The weight added to routes learned from this BGP speaker.

class `azure.mgmt.network.v2018_10_01.models.``ConnectionMonitor`(*, source, destination, location: str = None, tags=None, auto_start: bool = True, monitoring_interval_in_seconds: int = 60, **kwargs)

  Bases: `msrest.serialization.Model`

  Parameters that define the operation to create a connection monitor.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - location (str) – Connection monitor location.
  - tags (dict[str, str]) – Connection monitor tags.
  - source (ConnectionMonitorSource) – Required.
  - destination (ConnectionMonitorDestination) – Required.
  - auto_start (bool) – Determines if the connection monitor will start automatically once created. Default value: True .
  - monitoring_interval_in_seconds (int) – Monitoring interval in seconds. Default value: 60 .

class `azure.mgmt.network.v2018_10_01.models.``ConnectionMonitorDestination`(*, resource_id: str = None, address: str = None, port: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Describes the destination of connection monitor.

  Parameters:

  - resource_id (str) – The ID of the resource used as the destination by connection monitor.
  - address (str) – Address of the connection monitor destination (IP or domain name).
  - port (int) – The destination port used by connection monitor.

class `azure.mgmt.network.v2018_10_01.models.``ConnectionMonitorParameters`(*, source, destination, auto_start: bool = True, monitoring_interval_in_seconds: int = 60, **kwargs)

  Bases: `msrest.serialization.Model`

  Parameters that define the operation to create a connection monitor.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - source (ConnectionMonitorSource) – Required.
  - destination (ConnectionMonitorDestination) – Required.
  - auto_start (bool) – Determines if the connection monitor will start automatically once created. Default value: True .
  - monitoring_interval_in_seconds (int) – Monitoring interval in seconds. Default value: 60 .

class `azure.mgmt.network.v2018_10_01.models.``ConnectionMonitorQueryResult`(*, source_status=None, states=None, **kwargs)

  Bases: `msrest.serialization.Model`

  List of connection states snapshots.

  Parameters:

  - source_status (str or ConnectionMonitorSourceStatus) – Status of connection monitor source. Possible values include: ‘Uknown’, ‘Active’, ‘Inactive’
  - states (list[ConnectionStateSnapshot]) – Information about connection states.

class `azure.mgmt.network.v2018_10_01.models.``ConnectionMonitorResult`(*, source, destination, etag: str = 'A unique read-only string that changes whenever the resource is updated.', location: str = None, tags=None, auto_start: bool = True, monitoring_interval_in_seconds: int = 60, provisioning_state=None, start_time=None, monitoring_status: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Information about the connection monitor.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - name (str) – Name of the connection monitor.
  - id (str) – ID of the connection monitor.
  - type (str) – Connection monitor type.

  Parameters:

  - etag (str) – Default value: “A unique read-only string that changes whenever the resource is updated.” .
  - location (str) – Connection monitor location.
  - tags (dict[str, str]) – Connection monitor tags.
  - source (ConnectionMonitorSource) – Required.
  - destination (ConnectionMonitorDestination) – Required.
  - auto_start (bool) – Determines if the connection monitor will start automatically once created. Default value: True .
  - monitoring_interval_in_seconds (int) – Monitoring interval in seconds. Default value: 60 .
  - provisioning_state (str or ProvisioningState) – The provisioning state of the connection monitor. Possible values include: ‘Succeeded’, ‘Updating’, ‘Deleting’, ‘Failed’
  - start_time (datetime) – The date and time when the connection monitor was started.
  - monitoring_status (str) – The monitoring status of the connection monitor.

class `azure.mgmt.network.v2018_10_01.models.``ConnectionMonitorSource`(*, resource_id: str, port: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Describes the source of connection monitor.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - resource_id (str) – Required. The ID of the resource used as the source by connection monitor.
  - port (int) – The source port used by connection monitor.

class `azure.mgmt.network.v2018_10_01.models.``ConnectionResetSharedKey`(*, key_length: int, **kwargs)

  Bases: `msrest.serialization.Model`

  The virtual network connection reset shared key.

  All required parameters must be populated in order to send to Azure.

  Parameters: | key_length (int) – Required. The virtual network connection reset shared key length, should between 1 and 128.

class `azure.mgmt.network.v2018_10_01.models.``ConnectionSharedKey`(*, value: str, id: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  Response for GetConnectionSharedKey API service call.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - id (str) – Resource ID.
  - value (str) – Required. The virtual network connection shared key value.

class `azure.mgmt.network.v2018_10_01.models.``ConnectionStateSnapshot`(*, connection_state=None, start_time=None, end_time=None, evaluation_state=None, avg_latency_in_ms: int = None, min_latency_in_ms: int = None, max_latency_in_ms: int = None, probes_sent: int = None, probes_failed: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Connection state snapshot.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - connection_state (str or ConnectionState) – The connection state. Possible values include: ‘Reachable’, ‘Unreachable’, ‘Unknown’
  - start_time (datetime) – The start time of the connection snapshot.
  - end_time (datetime) – The end time of the connection snapshot.
  - evaluation_state (str or EvaluationState) – Connectivity analysis evaluation state. Possible values include: ‘NotStarted’, ‘InProgress’, ‘Completed’
  - avg_latency_in_ms (int) – Average latency in ms.
  - min_latency_in_ms (int) – Minimum latency in ms.
  - max_latency_in_ms (int) – Maximum latency in ms.
  - probes_sent (int) – The number of sent probes.
  - probes_failed (int) – The number of failed probes.

  Variables: | hops (list[ConnectivityHop]) – List of hops between the source and the destination.

class `azure.mgmt.network.v2018_10_01.models.``ConnectivityDestination`(*, resource_id: str = None, address: str = None, port: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Parameters that define destination of connection.

  Parameters:

  - resource_id (str) – The ID of the resource to which a connection attempt will be made.
  - address (str) – The IP address or URI the resource to which a connection attempt will be made.
  - port (int) – Port on which check connectivity will be performed.

class `azure.mgmt.network.v2018_10_01.models.``ConnectivityHop`(**kwargs)

  Bases: `msrest.serialization.Model`

  Information about a hop between the source and the destination.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - type (str) – The type of the hop.
  - id (str) – The ID of the hop.
  - address (str) – The IP address of the hop.
  - resource_id (str) – The ID of the resource corresponding to this hop.
  - next_hop_ids (list[str]) – List of next hop identifiers.
  - issues (list[ConnectivityIssue]) – List of issues.

class `azure.mgmt.network.v2018_10_01.models.``ConnectivityInformation`(**kwargs)

  Bases: `msrest.serialization.Model`

  Information on the connectivity status.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - hops (list[ConnectivityHop]) – List of hops between the source and the destination.
  - connection_status (str or ConnectionStatus) – The connection status. Possible values include: ‘Unknown’, ‘Connected’, ‘Disconnected’, ‘Degraded’
  - avg_latency_in_ms (int) – Average latency in milliseconds.
  - min_latency_in_ms (int) – Minimum latency in milliseconds.
  - max_latency_in_ms (int) – Maximum latency in milliseconds.
  - probes_sent (int) – Total number of probes sent.
  - probes_failed (int) – Number of failed probes.

class `azure.mgmt.network.v2018_10_01.models.``ConnectivityIssue`(**kwargs)

  Bases: `msrest.serialization.Model`

  Information about an issue encountered in the process of checking for connectivity.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - origin (str or Origin) – The origin of the issue. Possible values include: ‘Local’, ‘Inbound’, ‘Outbound’
  - severity (str or Severity) – The severity of the issue. Possible values include: ‘Error’, ‘Warning’
  - type (str or IssueType) – The type of issue. Possible values include: ‘Unknown’, ‘AgentStopped’, ‘GuestFirewall’, ‘DnsResolution’, ‘SocketBind’, ‘NetworkSecurityRule’, ‘UserDefinedRoute’, ‘PortThrottled’, ‘Platform’
  - context (list[dict[str, str]]) – Provides additional context on the issue.

class `azure.mgmt.network.v2018_10_01.models.``ConnectivityParameters`(*, source, destination, protocol=None, protocol_configuration=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Parameters that determine how the connectivity check will be performed.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - source (ConnectivitySource) – Required.
  - destination (ConnectivityDestination) – Required.
  - protocol (str or Protocol) – Network protocol. Possible values include: ‘Tcp’, ‘Http’, ‘Https’, ‘Icmp’
  - protocol_configuration (ProtocolConfiguration) –

class `azure.mgmt.network.v2018_10_01.models.``ConnectivitySource`(*, resource_id: str, port: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Parameters that define the source of the connection.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - resource_id (str) – Required. The ID of the resource from which a connectivity check will be initiated.
  - port (int) – The source port from which a connectivity check will be performed.

class `azure.mgmt.network.v2018_10_01.models.``Container`(*, id: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  Reference to container resource in remote resource provider.

  Parameters: | id (str) – Resource ID.

class `azure.mgmt.network.v2018_10_01.models.``ContainerNetworkInterface`(*, id: str = None, container_network_interface_configuration=None, container=None, ip_configurations=None, name: str = None, etag: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  Container network interface child resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - container_network_interface_configuration (ContainerNetworkInterfaceConfiguration) – Container network interface configuration from which this container network interface is created.
  - container (Container) – Reference to the container to which this container network interface is attached.
  - ip_configurations (list[ContainerNetworkInterfaceIpConfiguration]) – Reference to the ip configuration on this container nic.
  - name (str) – The name of the resource. This name can be used to access the resource.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

  Variables:

  - provisioning_state (str) – The provisioning state of the resource.
  - type (str) – Sub Resource type.

class `azure.mgmt.network.v2018_10_01.models.``ContainerNetworkInterfaceConfiguration`(*, id: str = None, ip_configurations=None, container_network_interfaces=None, name: str = None, etag: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  Container network interface configuration child resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - ip_configurations (list[IPConfigurationProfile]) – A list of ip configurations of the container network interface configuration.
  - container_network_interfaces (list[SubResource]) – A list of container network interfaces created from this container network interface configuration.
  - name (str) – The name of the resource. This name can be used to access the resource.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

  Variables:

  - provisioning_state (str) – The provisioning state of the resource.
  - type (str) – Sub Resource type.

class `azure.mgmt.network.v2018_10_01.models.``ContainerNetworkInterfaceIpConfiguration`(*, name: str = None, etag: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The ip configuration for a container network interface.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - provisioning_state (str) – The provisioning state of the resource.
  - type (str) – Sub Resource type.

  Parameters:

  - name (str) – The name of the resource. This name can be used to access the resource.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

class `azure.mgmt.network.v2018_10_01.models.``DdosProtectionPlan`(*, location: str = None, tags=None, **kwargs)

  Bases: `msrest.serialization.Model`

  A DDoS protection plan in a resource group.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource ID.
  - name (str) – Resource name.
  - type (str) – Resource type.
  - resource_guid (str) – The resource GUID property of the DDoS protection plan resource. It uniquely identifies the resource, even if the user changes its name or migrate the resource across subscriptions or resource groups.
  - provisioning_state (str) – The provisioning state of the DDoS protection plan resource. Possible values are: ‘Succeeded’, ‘Updating’, ‘Deleting’, and ‘Failed’.
  - virtual_networks (list[SubResource]) – The list of virtual networks associated with the DDoS protection plan resource. This list is read-only.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

  Parameters:

  - location (str) – Resource location.
  - tags (dict[str, str]) – Resource tags.

class `azure.mgmt.network.v2018_10_01.models.``Delegation`(*, id: str = None, service_name: str = None, actions=None, name: str = None, etag: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  Details the service to which the subnet is delegated.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - service_name (str) – The name of the service to whom the subnet should be delegated (e.g. Microsoft.Sql/servers)
  - actions (list[str]) – Describes the actions permitted to the service upon delegation
  - name (str) – The name of the resource that is unique within a subnet. This name can be used to access the resource.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

  Variables: | provisioning_state (str) – The provisioning state of the resource.

class `azure.mgmt.network.v2018_10_01.models.``DeviceProperties`(*, device_vendor: str = None, device_model: str = None, link_speed_in_mbps: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  List of properties of the device.

  Parameters:

  - device_vendor (str) – Name of the device Vendor.
  - device_model (str) – Model of the device.
  - link_speed_in_mbps (int) – Link speed.

class `azure.mgmt.network.v2018_10_01.models.``DhcpOptions`(*, dns_servers=None, **kwargs)

  Bases: `msrest.serialization.Model`

  DhcpOptions contains an array of DNS servers available to VMs deployed in the virtual network. Standard DHCP option for a subnet overrides VNET DHCP options.

  Parameters: | dns_servers (list[str]) – The list of DNS servers IP addresses.

class `azure.mgmt.network.v2018_10_01.models.``Dimension`(*, name: str = None, display_name: str = None, internal_name: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Dimension of the metric.

  Parameters:

  - name (str) – The name of the dimension.
  - display_name (str) – The display name of the dimension.
  - internal_name (str) – The internal name of the dimension.

class `azure.mgmt.network.v2018_10_01.models.``DnsNameAvailabilityResult`(*, available: bool = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Response for the CheckDnsNameAvailability API service call.

  Parameters: | available (bool) – Domain availability (True/False).

class `azure.mgmt.network.v2018_10_01.models.``EffectiveNetworkSecurityGroup`(*, network_security_group=None, association=None, effective_security_rules=None, tag_map=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Effective network security group.

  Parameters:

  - network_security_group (SubResource) – The ID of network security group that is applied.
  - association (EffectiveNetworkSecurityGroupAssociation) – Associated resources.
  - effective_security_rules (list[EffectiveNetworkSecurityRule]) – A collection of effective security rules.
  - tag_map (dict[str, list[str]]) – Mapping of tags to list of IP Addresses included within the tag.

class `azure.mgmt.network.v2018_10_01.models.``EffectiveNetworkSecurityGroupAssociation`(*, subnet=None, network_interface=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The effective network security group association.

  Parameters:

  - subnet (SubResource) – The ID of the subnet if assigned.
  - network_interface (SubResource) – The ID of the network interface if assigned.

class `azure.mgmt.network.v2018_10_01.models.``EffectiveNetworkSecurityGroupListResult`(*, value=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Response for list effective network security groups API service call.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters: | value (list[EffectiveNetworkSecurityGroup]) – A list of effective network security groups.
  Variables: | next_link (str) – The URL to get the next set of results.

class `azure.mgmt.network.v2018_10_01.models.``EffectiveNetworkSecurityRule`(*, name: str = None, protocol=None, source_port_range: str = None, destination_port_range: str = None, source_port_ranges=None, destination_port_ranges=None, source_address_prefix: str = None, destination_address_prefix: str = None, source_address_prefixes=None, destination_address_prefixes=None, expanded_source_address_prefix=None, expanded_destination_address_prefix=None, access=None, priority: int = None, direction=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Effective network security rules.

  Parameters:

  - name (str) – The name of the security rule specified by the user (if created by the user).
  - protocol (str or EffectiveSecurityRuleProtocol) – The network protocol this rule applies to. Possible values are: ‘Tcp’, ‘Udp’, and ‘All’. Possible values include: ‘Tcp’, ‘Udp’, ‘All’
  - source_port_range (str) – The source port or range.
  - destination_port_range (str) – The destination port or range.
  - source_port_ranges (list[str]) – The source port ranges. Expected values include a single integer between 0 and 65535, a range using ‘-‘ as separator (e.g. 100-400), or an asterisk (*)
  - destination_port_ranges (list[str]) – The destination port ranges. Expected values include a single integer between 0 and 65535, a range using ‘-‘ as separator (e.g. 100-400), or an asterisk (*)
  - source_address_prefix (str) – The source address prefix.
  - destination_address_prefix (str) – The destination address prefix.
  - source_address_prefixes (list[str]) – The source address prefixes. Expected values include CIDR IP ranges, Default Tags (VirtualNetwork, AzureLoadBalancer, Internet), System Tags, and the asterisk (*).
  - destination_address_prefixes (list[str]) – The destination address prefixes. Expected values include CIDR IP ranges, Default Tags (VirtualNetwork, AzureLoadBalancer, Internet), System Tags, and the asterisk (*).
  - expanded_source_address_prefix (list[str]) – The expanded source address prefix.
  - expanded_destination_address_prefix (list[str]) – Expanded destination address prefix.
  - access (str or SecurityRuleAccess) – Whether network traffic is allowed or denied. Possible values are: ‘Allow’ and ‘Deny’. Possible values include: ‘Allow’, ‘Deny’
  - priority (int) – The priority of the rule.
  - direction (str or SecurityRuleDirection) – The direction of the rule. Possible values are: ‘Inbound and Outbound’. Possible values include: ‘Inbound’, ‘Outbound’

class `azure.mgmt.network.v2018_10_01.models.``EffectiveRoute`(*, name: str = None, source=None, state=None, address_prefix=None, next_hop_ip_address=None, next_hop_type=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Effective Route.

  Parameters:

  - name (str) – The name of the user defined route. This is optional.
  - source (str or EffectiveRouteSource) – Who created the route. Possible values are: ‘Unknown’, ‘User’, ‘VirtualNetworkGateway’, and ‘Default’. Possible values include: ‘Unknown’, ‘User’, ‘VirtualNetworkGateway’, ‘Default’
  - state (str or EffectiveRouteState) – The value of effective route. Possible values are: ‘Active’ and ‘Invalid’. Possible values include: ‘Active’, ‘Invalid’
  - address_prefix (list[str]) – The address prefixes of the effective routes in CIDR notation.
  - next_hop_ip_address (list[str]) – The IP address of the next hop of the effective route.
  - next_hop_type (str or RouteNextHopType) – The type of Azure hop the packet should be sent to. Possible values are: ‘VirtualNetworkGateway’, ‘VnetLocal’, ‘Internet’, ‘VirtualAppliance’, and ‘None’. Possible values include: ‘VirtualNetworkGateway’, ‘VnetLocal’, ‘Internet’, ‘VirtualAppliance’, ‘None’

class `azure.mgmt.network.v2018_10_01.models.``EffectiveRouteListResult`(*, value=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Response for list effective route API service call.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters: | value (list[EffectiveRoute]) – A list of effective routes.
  Variables: | next_link (str) – The URL to get the next set of results.

class `azure.mgmt.network.v2018_10_01.models.``EndpointService`(*, id: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Identifies the service being brought into the virtual network.

  Parameters: | id (str) – A unique identifier of the service being referenced by the interface endpoint.

class `azure.mgmt.network.v2018_10_01.models.``EndpointServiceResult`(*, id: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  Endpoint service.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters: | id (str) – Resource ID.

  Variables:

  - name (str) – Name of the endpoint service.
  - type (str) – Type of the endpoint service.

class `azure.mgmt.network.v2018_10_01.models.``Error`(*, code: str = None, message: str = None, target: str = None, details=None, inner_error: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Error.

  Parameters:

  - code (str) –
  - message (str) –
  - target (str) –
  - details (list[ErrorDetails]) –
  - inner_error (str) –

class `azure.mgmt.network.v2018_10_01.models.``ErrorDetails`(*, code: str = None, target: str = None, message: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  ErrorDetails.

  Parameters:

  - code (str) –
  - target (str) –
  - message (str) –

class `azure.mgmt.network.v2018_10_01.models.``ErrorResponse`(*, error=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The error object.

  Parameters: | error (ErrorDetails) – Error.

class `azure.mgmt.network.v2018_10_01.models.``EvaluatedNetworkSecurityGroup`(*, network_security_group_id: str = None, applied_to: str = None, matched_rule=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Results of network security group evaluation.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - network_security_group_id (str) – Network security group ID.
  - applied_to (str) – Resource ID of nic or subnet to which network security group is applied.
  - matched_rule (MatchedRule) –

  Variables: | rules_evaluation_result (list[NetworkSecurityRulesEvaluationResult]) – List of network security rules evaluation results.

class `azure.mgmt.network.v2018_10_01.models.``ExpressRouteCircuit`(*, id: str = None, location: str = None, tags=None, sku=None, allow_classic_operations: bool = None, circuit_provisioning_state: str = None, service_provider_provisioning_state=None, authorizations=None, peerings=None, service_key: str = None, service_provider_notes: str = None, service_provider_properties=None, express_route_port=None, bandwidth_in_gbps: float = None, provisioning_state: str = None, gateway_manager_etag: str = None, allow_global_reach: bool = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.Resource`

  ExpressRouteCircuit resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - location (str) – Resource location.
  - tags (dict[str, str]) – Resource tags.
  - sku (ExpressRouteCircuitSku) – The SKU.
  - allow_classic_operations (bool) – Allow classic operations
  - circuit_provisioning_state (str) – The CircuitProvisioningState state of the resource.
  - service_provider_provisioning_state (str or ServiceProviderProvisioningState) – The ServiceProviderProvisioningState state of the resource. Possible values are ‘NotProvisioned’, ‘Provisioning’, ‘Provisioned’, and ‘Deprovisioning’. Possible values include: ‘NotProvisioned’, ‘Provisioning’, ‘Provisioned’, ‘Deprovisioning’
  - authorizations (list[ExpressRouteCircuitAuthorization]) – The list of authorizations.
  - peerings (list[ExpressRouteCircuitPeering]) – The list of peerings.
  - service_key (str) – The ServiceKey.
  - service_provider_notes (str) – The ServiceProviderNotes.
  - service_provider_properties (ExpressRouteCircuitServiceProviderProperties) – The ServiceProviderProperties.
  - express_route_port (SubResource) – The reference to the ExpressRoutePort resource when the circuit is provisioned on an ExpressRoutePort resource.
  - bandwidth_in_gbps (float) – The bandwidth of the circuit when the circuit is provisioned on an ExpressRoutePort resource.
  - provisioning_state (str) – Gets the provisioning state of the public IP resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.
  - gateway_manager_etag (str) – The GatewayManager Etag.
  - allow_global_reach (bool) – Flag to enable Global Reach on the circuit.

  Variables:

  - name (str) – Resource name.
  - type (str) – Resource type.
  - stag (int) – The identifier of the circuit traffic. Outer tag for QinQ encapsulation.
  - etag (str) – Gets a unique read-only string that changes whenever the resource is updated.

class `azure.mgmt.network.v2018_10_01.models.``ExpressRouteCircuitArpTable`(*, age: int = None, interface: str = None, ip_address: str = None, mac_address: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The ARP table associated with the ExpressRouteCircuit.

  Parameters:

  - age (int) – Entry age in minutes
  - interface (str) – Interface address
  - ip_address (str) – The IP address.
  - mac_address (str) – The MAC address.

class `azure.mgmt.network.v2018_10_01.models.``ExpressRouteCircuitAuthorization`(*, id: str = None, authorization_key: str = None, authorization_use_status=None, provisioning_state: str = None, name: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  Authorization in an ExpressRouteCircuit resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - authorization_key (str) – The authorization key.
  - authorization_use_status (str or AuthorizationUseStatus) – AuthorizationUseStatus. Possible values are: ‘Available’ and ‘InUse’. Possible values include: ‘Available’, ‘InUse’
  - provisioning_state (str) – Gets the provisioning state of the public IP resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.
  - name (str) – Gets name of the resource that is unique within a resource group. This name can be used to access the resource.

  Variables: | etag (str) – A unique read-only string that changes whenever the resource is updated.

class `azure.mgmt.network.v2018_10_01.models.``ExpressRouteCircuitConnection`(*, id: str = None, express_route_circuit_peering=None, peer_express_route_circuit_peering=None, address_prefix: str = None, authorization_key: str = None, name: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  Express Route Circuit Connection in an ExpressRouteCircuitPeering resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - express_route_circuit_peering (SubResource) – Reference to Express Route Circuit Private Peering Resource of the circuit initiating connection.
  - peer_express_route_circuit_peering (SubResource) – Reference to Express Route Circuit Private Peering Resource of the peered circuit.
  - address_prefix (str) – /29 IP address space to carve out Customer addresses for tunnels.
  - authorization_key (str) – The authorization key.
  - name (str) – Gets name of the resource that is unique within a resource group. This name can be used to access the resource.

  Variables:

  - circuit_connection_status (str or CircuitConnectionStatus) – Express Route Circuit Connection State. Possible values are: ‘Connected’ and ‘Disconnected’. Possible values include: ‘Connected’, ‘Connecting’, ‘Disconnected’
  - provisioning_state (str) – Provisioning state of the circuit connection resource. Possible values are: ‘Succeeded’, ‘Updating’, ‘Deleting’, and ‘Failed’.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

class `azure.mgmt.network.v2018_10_01.models.``ExpressRouteCircuitPeering`(*, id: str = None, peering_type=None, state=None, azure_asn: int = None, peer_asn: int = None, primary_peer_address_prefix: str = None, secondary_peer_address_prefix: str = None, primary_azure_port: str = None, secondary_azure_port: str = None, shared_key: str = None, vlan_id: int = None, microsoft_peering_config=None, stats=None, provisioning_state: str = None, gateway_manager_etag: str = None, last_modified_by: str = None, route_filter=None, ipv6_peering_config=None, express_route_connection=None, connections=None, name: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  Peering in an ExpressRouteCircuit resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - peering_type (str or ExpressRoutePeeringType) – The peering type. Possible values include: ‘AzurePublicPeering’, ‘AzurePrivatePeering’, ‘MicrosoftPeering’
  - state (str or ExpressRoutePeeringState) – The peering state. Possible values include: ‘Disabled’, ‘Enabled’
  - azure_asn (int) – The Azure ASN.
  - peer_asn (long) – The peer ASN.
  - primary_peer_address_prefix (str) – The primary address prefix.
  - secondary_peer_address_prefix (str) – The secondary address prefix.
  - primary_azure_port (str) – The primary port.
  - secondary_azure_port (str) – The secondary port.
  - shared_key (str) – The shared key.
  - vlan_id (int) – The VLAN ID.
  - microsoft_peering_config (ExpressRouteCircuitPeeringConfig) – The Microsoft peering configuration.
  - stats (ExpressRouteCircuitStats) – Gets peering stats.
  - provisioning_state (str) – Gets the provisioning state of the public IP resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.
  - gateway_manager_etag (str) – The GatewayManager Etag.
  - last_modified_by (str) – Gets whether the provider or the customer last modified the peering.
  - route_filter (RouteFilter) – The reference of the RouteFilter resource.
  - ipv6_peering_config (Ipv6ExpressRouteCircuitPeeringConfig) – The IPv6 peering configuration.
  - express_route_connection (ExpressRouteConnectionId) – The ExpressRoute connection.
  - connections (list[ExpressRouteCircuitConnection]) – The list of circuit connections associated with Azure Private Peering for this circuit.
  - name (str) – Gets name of the resource that is unique within a resource group. This name can be used to access the resource.

  Variables: | etag (str) – A unique read-only string that changes whenever the resource is updated.

class `azure.mgmt.network.v2018_10_01.models.``ExpressRouteCircuitPeeringConfig`(*, advertised_public_prefixes=None, advertised_communities=None, advertised_public_prefixes_state=None, legacy_mode: int = None, customer_asn: int = None, routing_registry_name: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Specifies the peering configuration.

  Parameters:

  - advertised_public_prefixes (list[str]) – The reference of AdvertisedPublicPrefixes.
  - advertised_communities (list[str]) – The communities of bgp peering. Specified for microsoft peering
  - advertised_public_prefixes_state (str or ExpressRouteCircuitPeeringAdvertisedPublicPrefixState) – AdvertisedPublicPrefixState of the Peering resource. Possible values are ‘NotConfigured’, ‘Configuring’, ‘Configured’, and ‘ValidationNeeded’. Possible values include: ‘NotConfigured’, ‘Configuring’, ‘Configured’, ‘ValidationNeeded’
  - legacy_mode (int) – The legacy mode of the peering.
  - customer_asn (int) – The CustomerASN of the peering.
  - routing_registry_name (str) – The RoutingRegistryName of the configuration.

class `azure.mgmt.network.v2018_10_01.models.``ExpressRouteCircuitPeeringId`(*, id: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  ExpressRoute circuit peering identifier.

  Parameters: | id (str) – The ID of the ExpressRoute circuit peering.

class `azure.mgmt.network.v2018_10_01.models.``ExpressRouteCircuitReference`(*, id: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  ExpressRouteCircuitReference.

  Parameters: | id (str) – Corresponding Express Route Circuit Id.

class `azure.mgmt.network.v2018_10_01.models.``ExpressRouteCircuitRoutesTable`(*, network: str = None, next_hop: str = None, loc_prf: str = None, weight: int = None, path: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The routes table associated with the ExpressRouteCircuit.

  Parameters:

  - network (str) – IP address of a network entity
  - next_hop (str) – NextHop address
  - loc_prf (str) – Local preference value as set with the set local-preference route-map configuration command
  - weight (int) – Route Weight.
  - path (str) – Autonomous system paths to the destination network.

class `azure.mgmt.network.v2018_10_01.models.``ExpressRouteCircuitRoutesTableSummary`(*, neighbor: str = None, v: int = None, as_property: int = None, up_down: str = None, state_pfx_rcd: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The routes table associated with the ExpressRouteCircuit.

  Parameters:

  - neighbor (str) – IP address of the neighbor.
  - v (int) – BGP version number spoken to the neighbor.
  - as_property (int) – Autonomous system number.
  - up_down (str) – The length of time that the BGP session has been in the Established state, or the current status if not in the Established state.
  - state_pfx_rcd (str) – Current state of the BGP session, and the number of prefixes that have been received from a neighbor or peer group.

class `azure.mgmt.network.v2018_10_01.models.``ExpressRouteCircuitsArpTableListResult`(*, value=None, next_link: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Response for ListArpTable associated with the Express Route Circuits API.

  Parameters:

  - value (list[ExpressRouteCircuitArpTable]) – Gets list of the ARP table.
  - next_link (str) – The URL to get the next set of results.

class `azure.mgmt.network.v2018_10_01.models.``ExpressRouteCircuitServiceProviderProperties`(*, service_provider_name: str = None, peering_location: str = None, bandwidth_in_mbps: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Contains ServiceProviderProperties in an ExpressRouteCircuit.

  Parameters:

  - service_provider_name (str) – The serviceProviderName.
  - peering_location (str) – The peering location.
  - bandwidth_in_mbps (int) – The BandwidthInMbps.

class `azure.mgmt.network.v2018_10_01.models.``ExpressRouteCircuitSku`(*, name: str = None, tier=None, family=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Contains SKU in an ExpressRouteCircuit.

  Parameters:

  - name (str) – The name of the SKU.
  - tier (str or ExpressRouteCircuitSkuTier) – The tier of the SKU. Possible values are ‘Standard’, ‘Premium’ or ‘Basic’. Possible values include: ‘Standard’, ‘Premium’, ‘Basic’
  - family (str or ExpressRouteCircuitSkuFamily) – The family of the SKU. Possible values are: ‘UnlimitedData’ and ‘MeteredData’. Possible values include: ‘UnlimitedData’, ‘MeteredData’

class `azure.mgmt.network.v2018_10_01.models.``ExpressRouteCircuitsRoutesTableListResult`(*, value=None, next_link: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Response for ListRoutesTable associated with the Express Route Circuits API.

  Parameters:

  - value (list[ExpressRouteCircuitRoutesTable]) – The list of routes table.
  - next_link (str) – The URL to get the next set of results.

class `azure.mgmt.network.v2018_10_01.models.``ExpressRouteCircuitsRoutesTableSummaryListResult`(*, value=None, next_link: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Response for ListRoutesTable associated with the Express Route Circuits API.

  Parameters:

  - value (list[ExpressRouteCircuitRoutesTableSummary]) – A list of the routes table.
  - next_link (str) – The URL to get the next set of results.

class `azure.mgmt.network.v2018_10_01.models.``ExpressRouteCircuitStats`(*, primarybytes_in: int = None, primarybytes_out: int = None, secondarybytes_in: int = None, secondarybytes_out: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Contains stats associated with the peering.

  Parameters:

  - primarybytes_in (long) – Gets BytesIn of the peering.
  - primarybytes_out (long) – Gets BytesOut of the peering.
  - secondarybytes_in (long) – Gets BytesIn of the peering.
  - secondarybytes_out (long) – Gets BytesOut of the peering.

class `azure.mgmt.network.v2018_10_01.models.``ExpressRouteConnection`(*, express_route_circuit_peering, name: str, id: str = None, authorization_key: str = None, routing_weight: int = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  ExpressRouteConnection resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - id (str) – Resource ID.
  - express_route_circuit_peering (ExpressRouteCircuitPeeringId) – Required. The ExpressRoute circuit peering.
  - authorization_key (str) – Authorization key to establish the connection.
  - routing_weight (int) – The routing weight associated to the connection.
  - name (str) – Required. The name of the resource.

  Variables: | provisioning_state (str or ProvisioningState) – The provisioning state of the resource. Possible values include: ‘Succeeded’, ‘Updating’, ‘Deleting’, ‘Failed’

class `azure.mgmt.network.v2018_10_01.models.``ExpressRouteConnectionId`(**kwargs)

  Bases: `msrest.serialization.Model`

  The ID of the ExpressRouteConnection.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables: | id (str) – The ID of the ExpressRouteConnection.

class `azure.mgmt.network.v2018_10_01.models.``ExpressRouteConnectionList`(*, value=None, **kwargs)

  Bases: `msrest.serialization.Model`

  ExpressRouteConnection list.

  Parameters: | value (list[ExpressRouteConnection]) – The list of ExpressRoute connections

class `azure.mgmt.network.v2018_10_01.models.``ExpressRouteCrossConnection`(*, id: str = None, location: str = None, tags=None, peering_location: str = None, bandwidth_in_mbps: int = None, express_route_circuit=None, service_provider_provisioning_state=None, service_provider_notes: str = None, peerings=None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.Resource`

  ExpressRouteCrossConnection resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - location (str) – Resource location.
  - tags (dict[str, str]) – Resource tags.
  - peering_location (str) – The peering location of the ExpressRoute circuit.
  - bandwidth_in_mbps (int) – The circuit bandwidth In Mbps.
  - express_route_circuit (ExpressRouteCircuitReference) – The ExpressRouteCircuit
  - service_provider_provisioning_state (str or ServiceProviderProvisioningState) – The provisioning state of the circuit in the connectivity provider system. Possible values are ‘NotProvisioned’, ‘Provisioning’, ‘Provisioned’. Possible values include: ‘NotProvisioned’, ‘Provisioning’, ‘Provisioned’, ‘Deprovisioning’
  - service_provider_notes (str) – Additional read only notes set by the connectivity provider.
  - peerings (list[ExpressRouteCrossConnectionPeering]) – The list of peerings.

  Variables:

  - name (str) – Resource name.
  - type (str) – Resource type.
  - primary_azure_port (str) – The name of the primary port.
  - secondary_azure_port (str) – The name of the secondary port.
  - s_tag (int) – The identifier of the circuit traffic.
  - provisioning_state (str) – Gets the provisioning state of the public IP resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.
  - etag (str) – Gets a unique read-only string that changes whenever the resource is updated.

class `azure.mgmt.network.v2018_10_01.models.``ExpressRouteCrossConnectionPeering`(*, id: str = None, peering_type=None, state=None, peer_asn: int = None, primary_peer_address_prefix: str = None, secondary_peer_address_prefix: str = None, shared_key: str = None, vlan_id: int = None, microsoft_peering_config=None, gateway_manager_etag: str = None, last_modified_by: str = None, ipv6_peering_config=None, name: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  Peering in an ExpressRoute Cross Connection resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - peering_type (str or ExpressRoutePeeringType) – The peering type. Possible values include: ‘AzurePublicPeering’, ‘AzurePrivatePeering’, ‘MicrosoftPeering’
  - state (str or ExpressRoutePeeringState) – The peering state. Possible values include: ‘Disabled’, ‘Enabled’
  - peer_asn (long) – The peer ASN.
  - primary_peer_address_prefix (str) – The primary address prefix.
  - secondary_peer_address_prefix (str) – The secondary address prefix.
  - shared_key (str) – The shared key.
  - vlan_id (int) – The VLAN ID.
  - microsoft_peering_config (ExpressRouteCircuitPeeringConfig) – The Microsoft peering configuration.
  - gateway_manager_etag (str) – The GatewayManager Etag.
  - last_modified_by (str) – Gets whether the provider or the customer last modified the peering.
  - ipv6_peering_config (Ipv6ExpressRouteCircuitPeeringConfig) – The IPv6 peering configuration.
  - name (str) – Gets name of the resource that is unique within a resource group. This name can be used to access the resource.

  Variables:

  - azure_asn (int) – The Azure ASN.
  - primary_azure_port (str) – The primary port.
  - secondary_azure_port (str) – The secondary port.
  - provisioning_state (str) – Gets the provisioning state of the public IP resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

class `azure.mgmt.network.v2018_10_01.models.``ExpressRouteCrossConnectionRoutesTableSummary`(*, neighbor: str = None, asn: int = None, up_down: str = None, state_or_prefixes_received: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The routes table associated with the ExpressRouteCircuit.

  Parameters:

  - neighbor (str) – IP address of Neighbor router
  - asn (int) – Autonomous system number.
  - up_down (str) – The length of time that the BGP session has been in the Established state, or the current status if not in the Established state.
  - state_or_prefixes_received (str) – Current state of the BGP session, and the number of prefixes that have been received from a neighbor or peer group.

class `azure.mgmt.network.v2018_10_01.models.``ExpressRouteCrossConnectionsRoutesTableSummaryListResult`(*, value=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Response for ListRoutesTable associated with the Express Route Cross Connections.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters: | value (list[ExpressRouteCrossConnectionRoutesTableSummary]) – A list of the routes table.
  Variables: | next_link (str) – The URL to get the next set of results.

class `azure.mgmt.network.v2018_10_01.models.``ExpressRouteGateway`(*, virtual_hub, id: str = None, location: str = None, tags=None, auto_scale_configuration=None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.Resource`

  ExpressRoute gateway resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - id (str) – Resource ID.
  - location (str) – Resource location.
  - tags (dict[str, str]) – Resource tags.
  - auto_scale_configuration (ExpressRouteGatewayPropertiesAutoScaleConfiguration) – Configuration for auto scaling.
  - virtual_hub (VirtualHubId) – Required. The Virtual Hub where the ExpressRoute gateway is or will be deployed.

  Variables:

  - name (str) – Resource name.
  - type (str) – Resource type.
  - express_route_connections (list[ExpressRouteConnection]) – List of ExpressRoute connections to the ExpressRoute gateway.
  - provisioning_state (str or ProvisioningState) – The provisioning state of the resource. Possible values include: ‘Succeeded’, ‘Updating’, ‘Deleting’, ‘Failed’
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

class `azure.mgmt.network.v2018_10_01.models.``ExpressRouteGatewayList`(*, value=None, **kwargs)

  Bases: `msrest.serialization.Model`

  List of ExpressRoute gateways.

  Parameters: | value (list[ExpressRouteGateway]) – List of ExpressRoute gateways.

class `azure.mgmt.network.v2018_10_01.models.``ExpressRouteGatewayPropertiesAutoScaleConfiguration`(*, bounds=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Configuration for auto scaling.

  Parameters: | bounds (ExpressRouteGatewayPropertiesAutoScaleConfigurationBounds) – Minimum and maximum number of scale units to deploy.

class `azure.mgmt.network.v2018_10_01.models.``ExpressRouteGatewayPropertiesAutoScaleConfigurationBounds`(*, min: int = None, max: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Minimum and maximum number of scale units to deploy.

  Parameters:

  - min (int) – Minimum number of scale units deployed for ExpressRoute gateway.
  - max (int) – Maximum number of scale units deployed for ExpressRoute gateway.

class `azure.mgmt.network.v2018_10_01.models.``ExpressRouteLink`(*, id: str = None, admin_state=None, name: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  ExpressRouteLink.

  ExpressRouteLink child resource definition.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - admin_state (str or ExpressRouteLinkAdminState) – Administrative state of the physical port. Possible values include: ‘Enabled’, ‘Disabled’
  - name (str) – Name of child port resource that is unique among child port resources of the parent.

  Variables:

  - router_name (str) – Name of Azure router associated with physical port.
  - interface_name (str) – Name of Azure router interface.
  - patch_panel_id (str) – Mapping between physical port to patch panel port.
  - rack_id (str) – Mapping of physical patch panel to rack.
  - connector_type (str or ExpressRouteLinkConnectorType) – Physical fiber port type. Possible values include: ‘LC’, ‘SC’
  - provisioning_state (str) – The provisioning state of the ExpressRouteLink resource. Possible values are: ‘Succeeded’, ‘Updating’, ‘Deleting’, and ‘Failed’.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

class `azure.mgmt.network.v2018_10_01.models.``ExpressRoutePort`(*, id: str = None, location: str = None, tags=None, peering_location: str = None, bandwidth_in_gbps: int = None, encapsulation=None, links=None, resource_guid: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.Resource`

  ExpressRoute Port.

  ExpressRoutePort resource definition.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - location (str) – Resource location.
  - tags (dict[str, str]) – Resource tags.
  - peering_location (str) – The name of the peering location that the ExpressRoutePort is mapped to physically.
  - bandwidth_in_gbps (int) – Bandwidth of procured ports in Gbps
  - encapsulation (str or ExpressRoutePortsEncapsulation) – Encapsulation method on physical ports. Possible values include: ‘Dot1Q’, ‘QinQ’
  - links (list[ExpressRouteLink]) – ExpressRouteLink Sub-Resources. The set of physical links of the ExpressRoutePort resource
  - resource_guid (str) – The resource GUID property of the ExpressRoutePort resource.

  Variables:

  - name (str) – Resource name.
  - type (str) – Resource type.
  - provisioned_bandwidth_in_gbps (float) – Aggregate Gbps of associated circuit bandwidths.
  - mtu (str) – Maximum transmission unit of the physical port pair(s)
  - ether_type (str) – Ether type of the physical port.
  - allocation_date (str) – Date of the physical port allocation to be used in Letter of Authorization.
  - circuits (list[SubResource]) – Reference the ExpressRoute circuit(s) that are provisioned on this ExpressRoutePort resource.
  - provisioning_state (str) – The provisioning state of the ExpressRoutePort resource. Possible values are: ‘Succeeded’, ‘Updating’, ‘Deleting’, and ‘Failed’.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

class `azure.mgmt.network.v2018_10_01.models.``ExpressRoutePortsLocation`(*, id: str = None, location: str = None, tags=None, available_bandwidths=None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.Resource`

  ExpressRoutePorts Peering Location.

  Definition of the ExpressRoutePorts peering location resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - location (str) – Resource location.
  - tags (dict[str, str]) – Resource tags.
  - available_bandwidths (list[ExpressRoutePortsLocationBandwidths]) – The inventory of available ExpressRoutePort bandwidths.

  Variables:

  - name (str) – Resource name.
  - type (str) – Resource type.
  - address (str) – Address of peering location.
  - contact (str) – Contact details of peering locations.
  - provisioning_state (str) – The provisioning state of the ExpressRoutePortLocation resource. Possible values are: ‘Succeeded’, ‘Updating’, ‘Deleting’, and ‘Failed’.

class `azure.mgmt.network.v2018_10_01.models.``ExpressRoutePortsLocationBandwidths`(**kwargs)

  Bases: `msrest.serialization.Model`

  ExpressRoutePorts Location Bandwidths.

  Real-time inventory of available ExpressRoute port bandwidths.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - offer_name (str) – Bandwidth descriptive name
  - value_in_gbps (int) – Bandwidth value in Gbps

class `azure.mgmt.network.v2018_10_01.models.``ExpressRouteServiceProvider`(*, id: str = None, location: str = None, tags=None, peering_locations=None, bandwidths_offered=None, provisioning_state: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.Resource`

  A ExpressRouteResourceProvider object.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - location (str) – Resource location.
  - tags (dict[str, str]) – Resource tags.
  - peering_locations (list[str]) – Get a list of peering locations.
  - bandwidths_offered (list[ExpressRouteServiceProviderBandwidthsOffered]) – Gets bandwidths offered.
  - provisioning_state (str) – Gets the provisioning state of the resource.

  Variables:

  - name (str) – Resource name.
  - type (str) – Resource type.

class `azure.mgmt.network.v2018_10_01.models.``ExpressRouteServiceProviderBandwidthsOffered`(*, offer_name: str = None, value_in_mbps: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Contains bandwidths offered in ExpressRouteServiceProvider resources.

  Parameters:

  - offer_name (str) – The OfferName.
  - value_in_mbps (int) – The ValueInMbps.

class `azure.mgmt.network.v2018_10_01.models.``FlowLogFormatParameters`(*, type=None, version: int = 0, **kwargs)

  Bases: `msrest.serialization.Model`

  Parameters that define the flow log format.

  Parameters:

  - type (str or FlowLogFormatType) – The file type of flow log. Possible values include: ‘JSON’
  - version (int) – The version (revision) of the flow log. Default value: 0 .

class `azure.mgmt.network.v2018_10_01.models.``FlowLogInformation`(*, target_resource_id: str, storage_id: str, enabled: bool, retention_policy=None, format=None, flow_analytics_configuration=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Information on the configuration of flow log and traffic analytics (optional) .

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - target_resource_id (str) – Required. The ID of the resource to configure for flow log and traffic analytics (optional) .
  - storage_id (str) – Required. ID of the storage account which is used to store the flow log.
  - enabled (bool) – Required. Flag to enable/disable flow logging.
  - retention_policy (RetentionPolicyParameters) –
  - format (FlowLogFormatParameters) –
  - flow_analytics_configuration (TrafficAnalyticsProperties) –

class `azure.mgmt.network.v2018_10_01.models.``FlowLogStatusParameters`(*, target_resource_id: str, **kwargs)

  Bases: `msrest.serialization.Model`

  Parameters that define a resource to query flow log and traffic analytics (optional) status.

  All required parameters must be populated in order to send to Azure.

  Parameters: | target_resource_id (str) – Required. The target resource where getting the flow log and traffic analytics (optional) status.

class `azure.mgmt.network.v2018_10_01.models.``FrontendIPConfiguration`(*, id: str = None, private_ip_address: str = None, private_ip_allocation_method=None, subnet=None, public_ip_address=None, public_ip_prefix=None, provisioning_state: str = None, name: str = None, etag: str = None, zones=None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  Frontend IP address of the load balancer.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - private_ip_address (str) – The private IP address of the IP configuration.
  - private_ip_allocation_method (str or IPAllocationMethod) – The Private IP allocation method. Possible values are: ‘Static’ and ‘Dynamic’. Possible values include: ‘Static’, ‘Dynamic’
  - subnet (Subnet) – The reference of the subnet resource.
  - public_ip_address (PublicIPAddress) – The reference of the Public IP resource.
  - public_ip_prefix (SubResource) – The reference of the Public IP Prefix resource.
  - provisioning_state (str) – Gets the provisioning state of the public IP resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.
  - name (str) – The name of the resource that is unique within a resource group. This name can be used to access the resource.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.
  - zones (list[str]) – A list of availability zones denoting the IP allocated for the resource needs to come from.

  Variables:

  - inbound_nat_rules (list[SubResource]) – Read only. Inbound rules URIs that use this frontend IP.
  - inbound_nat_pools (list[SubResource]) – Read only. Inbound pools URIs that use this frontend IP.
  - outbound_rules (list[SubResource]) – Read only. Outbound rules URIs that use this frontend IP.
  - load_balancing_rules (list[SubResource]) – Gets load balancing rules URIs that use this frontend IP.

class `azure.mgmt.network.v2018_10_01.models.``GatewayRoute`(**kwargs)

  Bases: `msrest.serialization.Model`

  Gateway routing details.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - local_address (str) – The gateway’s local address
  - network (str) – The route’s network prefix
  - next_hop (str) – The route’s next hop
  - source_peer (str) – The peer this route was learned from
  - origin (str) – The source this route was learned from
  - as_path (str) – The route’s AS path sequence
  - weight (int) – The route’s weight

class `azure.mgmt.network.v2018_10_01.models.``GatewayRouteListResult`(*, value=None, **kwargs)

  Bases: `msrest.serialization.Model`

  List of virtual network gateway routes.

  Parameters: | value (list[GatewayRoute]) – List of gateway routes

class `azure.mgmt.network.v2018_10_01.models.``GetVpnSitesConfigurationRequest`(*, vpn_sites=None, output_blob_sas_url: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  List of Vpn-Sites.

  Parameters:

  - vpn_sites (list[str]) – List of resource-ids of the vpn-sites for which config is to be downloaded.
  - output_blob_sas_url (str) – The sas-url to download the configurations for vpn-sites

class `azure.mgmt.network.v2018_10_01.models.``HTTPConfiguration`(*, method=None, headers=None, valid_status_codes=None, **kwargs)

  Bases: `msrest.serialization.Model`

  HTTP configuration of the connectivity check.

  Parameters:

  - method (str or HTTPMethod) – HTTP method. Possible values include: ‘Get’
  - headers (list[HTTPHeader]) – List of HTTP headers.
  - valid_status_codes (list[int]) – Valid status codes.

class `azure.mgmt.network.v2018_10_01.models.``HTTPHeader`(*, name: str = None, value: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Describes the HTTP header.

  Parameters:

  - name (str) – The name in HTTP header.
  - value (str) – The value in HTTP header.

class `azure.mgmt.network.v2018_10_01.models.``HubVirtualNetworkConnection`(*, id: str = None, remote_virtual_network=None, allow_hub_to_remote_vnet_transit: bool = None, allow_remote_vnet_to_use_hub_vnet_gateways: bool = None, enable_internet_security: bool = None, provisioning_state=None, name: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  HubVirtualNetworkConnection Resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - remote_virtual_network (SubResource) – Reference to the remote virtual network.
  - allow_hub_to_remote_vnet_transit (bool) – VirtualHub to RemoteVnet transit to enabled or not.
  - allow_remote_vnet_to_use_hub_vnet_gateways (bool) – Allow RemoteVnet to use Virtual Hub’s gateways.
  - enable_internet_security (bool) – Enable internet security
  - provisioning_state (str or ProvisioningState) – The provisioning state of the resource. Possible values include: ‘Succeeded’, ‘Updating’, ‘Deleting’, ‘Failed’
  - name (str) – The name of the resource that is unique within a resource group. This name can be used to access the resource.

  Variables: | etag (str) – Gets a unique read-only string that changes whenever the resource is updated.

class `azure.mgmt.network.v2018_10_01.models.``InboundNatPool`(*, protocol, frontend_port_range_start: int, frontend_port_range_end: int, backend_port: int, id: str = None, frontend_ip_configuration=None, idle_timeout_in_minutes: int = None, enable_floating_ip: bool = None, enable_tcp_reset: bool = None, provisioning_state: str = None, name: str = None, etag: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  Inbound NAT pool of the load balancer.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - id (str) – Resource ID.
  - frontend_ip_configuration (SubResource) – A reference to frontend IP addresses.
  - protocol (str or TransportProtocol) – Required. Possible values include: ‘Udp’, ‘Tcp’, ‘All’
  - frontend_port_range_start (int) – Required. The first port number in the range of external ports that will be used to provide Inbound Nat to NICs associated with a load balancer. Acceptable values range between 1 and 65534.
  - frontend_port_range_end (int) – Required. The last port number in the range of external ports that will be used to provide Inbound Nat to NICs associated with a load balancer. Acceptable values range between 1 and 65535.
  - backend_port (int) – Required. The port used for internal connections on the endpoint. Acceptable values are between 1 and 65535.
  - idle_timeout_in_minutes (int) – The timeout for the TCP idle connection. The value can be set between 4 and 30 minutes. The default value is 4 minutes. This element is only used when the protocol is set to TCP.
  - enable_floating_ip (bool) – Configures a virtual machine’s endpoint for the floating IP capability required to configure a SQL AlwaysOn Availability Group. This setting is required when using the SQL AlwaysOn Availability Groups in SQL server. This setting can’t be changed after you create the endpoint.
  - enable_tcp_reset (bool) – Receive bidirectional TCP Reset on TCP flow idle timeout or unexpected connection termination. This element is only used when the protocol is set to TCP.
  - provisioning_state (str) – Gets the provisioning state of the PublicIP resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.
  - name (str) – The name of the resource that is unique within a resource group. This name can be used to access the resource.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

class `azure.mgmt.network.v2018_10_01.models.``InboundNatRule`(*, id: str = None, frontend_ip_configuration=None, protocol=None, frontend_port: int = None, backend_port: int = None, idle_timeout_in_minutes: int = None, enable_floating_ip: bool = None, enable_tcp_reset: bool = None, provisioning_state: str = None, name: str = None, etag: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  Inbound NAT rule of the load balancer.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - frontend_ip_configuration (SubResource) – A reference to frontend IP addresses.
  - protocol (str or TransportProtocol) – Possible values include: ‘Udp’, ‘Tcp’, ‘All’
  - frontend_port (int) – The port for the external endpoint. Port numbers for each rule must be unique within the Load Balancer. Acceptable values range from 1 to 65534.
  - backend_port (int) – The port used for the internal endpoint. Acceptable values range from 1 to 65535.
  - idle_timeout_in_minutes (int) – The timeout for the TCP idle connection. The value can be set between 4 and 30 minutes. The default value is 4 minutes. This element is only used when the protocol is set to TCP.
  - enable_floating_ip (bool) – Configures a virtual machine’s endpoint for the floating IP capability required to configure a SQL AlwaysOn Availability Group. This setting is required when using the SQL AlwaysOn Availability Groups in SQL server. This setting can’t be changed after you create the endpoint.
  - enable_tcp_reset (bool) – Receive bidirectional TCP Reset on TCP flow idle timeout or unexpected connection termination. This element is only used when the protocol is set to TCP.
  - provisioning_state (str) – Gets the provisioning state of the public IP resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.
  - name (str) – Gets name of the resource that is unique within a resource group. This name can be used to access the resource.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

  Variables: | backend_ip_configuration (NetworkInterfaceIPConfiguration) – A reference to a private IP address defined on a network interface of a VM. Traffic sent to the frontend port of each of the frontend IP configurations is forwarded to the backend IP.

class `azure.mgmt.network.v2018_10_01.models.``InterfaceEndpoint`(*, id: str = None, location: str = None, tags=None, fqdn: str = None, endpoint_service=None, subnet=None, etag: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.Resource`

  Interface endpoint resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - location (str) – Resource location.
  - tags (dict[str, str]) – Resource tags.
  - fqdn (str) – A first-party service’s FQDN that is mapped to the private IP allocated via this interface endpoint.
  - endpoint_service (EndpointService) – A reference to the service being brought into the virtual network.
  - subnet (Subnet) – The ID of the subnet from which the private IP will be allocated.
  - etag (str) – Gets a unique read-only string that changes whenever the resource is updated.

  Variables:

  - name (str) – Resource name.
  - type (str) – Resource type.
  - network_interfaces (list[NetworkInterface]) – Gets an array of references to the network interfaces created for this interface endpoint.
  - owner (str) – A read-only property that identifies who created this interface endpoint.
  - provisioning_state (str) – The provisioning state of the interface endpoint. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.

class `azure.mgmt.network.v2018_10_01.models.``IPAddressAvailabilityResult`(*, available: bool = None, available_ip_addresses=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Response for CheckIPAddressAvailability API service call.

  Parameters:

  - available (bool) – Private IP address availability.
  - available_ip_addresses (list[str]) – Contains other available private IP addresses if the asked for address is taken.

class `azure.mgmt.network.v2018_10_01.models.``IPConfiguration`(*, id: str = None, private_ip_address: str = None, private_ip_allocation_method=None, subnet=None, public_ip_address=None, provisioning_state: str = None, name: str = None, etag: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  IP configuration.

  Parameters:

  - id (str) – Resource ID.
  - private_ip_address (str) – The private IP address of the IP configuration.
  - private_ip_allocation_method (str or IPAllocationMethod) – The private IP allocation method. Possible values are ‘Static’ and ‘Dynamic’. Possible values include: ‘Static’, ‘Dynamic’
  - subnet (Subnet) – The reference of the subnet resource.
  - public_ip_address (PublicIPAddress) – The reference of the public IP resource.
  - provisioning_state (str) – Gets the provisioning state of the public IP resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.
  - name (str) – The name of the resource that is unique within a resource group. This name can be used to access the resource.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

class `azure.mgmt.network.v2018_10_01.models.``IPConfigurationProfile`(*, id: str = None, subnet=None, name: str = None, etag: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  IP configuration profile child resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - subnet (Subnet) – The reference of the subnet resource to create a container network interface ip configuration.
  - name (str) – The name of the resource. This name can be used to access the resource.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

  Variables:

  - provisioning_state (str) – The provisioning state of the resource.
  - type (str) – Sub Resource type.

class `azure.mgmt.network.v2018_10_01.models.``IpsecPolicy`(*, sa_life_time_seconds: int, sa_data_size_kilobytes: int, ipsec_encryption, ipsec_integrity, ike_encryption, ike_integrity, dh_group, pfs_group, **kwargs)

  Bases: `msrest.serialization.Model`

  An IPSec Policy configuration for a virtual network gateway connection.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - sa_life_time_seconds (int) – Required. The IPSec Security Association (also called Quick Mode or Phase 2 SA) lifetime in seconds for a site to site VPN tunnel.
  - sa_data_size_kilobytes (int) – Required. The IPSec Security Association (also called Quick Mode or Phase 2 SA) payload size in KB for a site to site VPN tunnel.
  - ipsec_encryption (str or IpsecEncryption) – Required. The IPSec encryption algorithm (IKE phase 1). Possible values include: ‘None’, ‘DES’, ‘DES3’, ‘AES128’, ‘AES192’, ‘AES256’, ‘GCMAES128’, ‘GCMAES192’, ‘GCMAES256’
  - ipsec_integrity (str or IpsecIntegrity) – Required. The IPSec integrity algorithm (IKE phase 1). Possible values include: ‘MD5’, ‘SHA1’, ‘SHA256’, ‘GCMAES128’, ‘GCMAES192’, ‘GCMAES256’
  - ike_encryption (str or IkeEncryption) – Required. The IKE encryption algorithm (IKE phase 2). Possible values include: ‘DES’, ‘DES3’, ‘AES128’, ‘AES192’, ‘AES256’, ‘GCMAES256’, ‘GCMAES128’
  - ike_integrity (str or IkeIntegrity) – Required. The IKE integrity algorithm (IKE phase 2). Possible values include: ‘MD5’, ‘SHA1’, ‘SHA256’, ‘SHA384’, ‘GCMAES256’, ‘GCMAES128’
  - dh_group (str or DhGroup) – Required. The DH Groups used in IKE Phase 1 for initial SA. Possible values include: ‘None’, ‘DHGroup1’, ‘DHGroup2’, ‘DHGroup14’, ‘DHGroup2048’, ‘ECP256’, ‘ECP384’, ‘DHGroup24’
  - pfs_group (str or PfsGroup) – Required. The Pfs Groups used in IKE Phase 2 for new child SA. Possible values include: ‘None’, ‘PFS1’, ‘PFS2’, ‘PFS2048’, ‘ECP256’, ‘ECP384’, ‘PFS24’, ‘PFS14’, ‘PFSMM’

class `azure.mgmt.network.v2018_10_01.models.``IpTag`(*, ip_tag_type: str = None, tag: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Contains the IpTag associated with the object.

  Parameters:

  - ip_tag_type (str) – Gets or sets the ipTag type: Example FirstPartyUsage.
  - tag (str) – Gets or sets value of the IpTag associated with the public IP. Example SQL, Storage etc

class `azure.mgmt.network.v2018_10_01.models.``Ipv6ExpressRouteCircuitPeeringConfig`(*, primary_peer_address_prefix: str = None, secondary_peer_address_prefix: str = None, microsoft_peering_config=None, route_filter=None, state=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Contains IPv6 peering config.

  Parameters:

  - primary_peer_address_prefix (str) – The primary address prefix.
  - secondary_peer_address_prefix (str) – The secondary address prefix.
  - microsoft_peering_config (ExpressRouteCircuitPeeringConfig) – The Microsoft peering configuration.
  - route_filter (RouteFilter) – The reference of the RouteFilter resource.
  - state (str or ExpressRouteCircuitPeeringState) – The state of peering. Possible values are: ‘Disabled’ and ‘Enabled’. Possible values include: ‘Disabled’, ‘Enabled’

class `azure.mgmt.network.v2018_10_01.models.``LoadBalancer`(*, id: str = None, location: str = None, tags=None, sku=None, frontend_ip_configurations=None, backend_address_pools=None, load_balancing_rules=None, probes=None, inbound_nat_rules=None, inbound_nat_pools=None, outbound_rules=None, resource_guid: str = None, provisioning_state: str = None, etag: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.Resource`

  LoadBalancer resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - location (str) – Resource location.
  - tags (dict[str, str]) – Resource tags.
  - sku (LoadBalancerSku) – The load balancer SKU.
  - frontend_ip_configurations (list[FrontendIPConfiguration]) – Object representing the frontend IPs to be used for the load balancer
  - backend_address_pools (list[BackendAddressPool]) – Collection of backend address pools used by a load balancer
  - load_balancing_rules (list[LoadBalancingRule]) – Object collection representing the load balancing rules Gets the provisioning
  - probes (list[Probe]) – Collection of probe objects used in the load balancer
  - inbound_nat_rules (list[InboundNatRule]) – Collection of inbound NAT Rules used by a load balancer. Defining inbound NAT rules on your load balancer is mutually exclusive with defining an inbound NAT pool. Inbound NAT pools are referenced from virtual machine scale sets. NICs that are associated with individual virtual machines cannot reference an Inbound NAT pool. They have to reference individual inbound NAT rules.
  - inbound_nat_pools (list[InboundNatPool]) – Defines an external port range for inbound NAT to a single backend port on NICs associated with a load balancer. Inbound NAT rules are created automatically for each NIC associated with the Load Balancer using an external port from this range. Defining an Inbound NAT pool on your Load Balancer is mutually exclusive with defining inbound Nat rules. Inbound NAT pools are referenced from virtual machine scale sets. NICs that are associated with individual virtual machines cannot reference an inbound NAT pool. They have to reference individual inbound NAT rules.
  - outbound_rules (list[OutboundRule]) – The outbound rules.
  - resource_guid (str) – The resource GUID property of the load balancer resource.
  - provisioning_state (str) – Gets the provisioning state of the PublicIP resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

  Variables:

  - name (str) – Resource name.
  - type (str) – Resource type.

class `azure.mgmt.network.v2018_10_01.models.``LoadBalancerSku`(*, name=None, **kwargs)

  Bases: `msrest.serialization.Model`

  SKU of a load balancer.

  Parameters: | name (str or LoadBalancerSkuName) – Name of a load balancer SKU. Possible values include: ‘Basic’, ‘Standard’

class `azure.mgmt.network.v2018_10_01.models.``LoadBalancingRule`(*, protocol, frontend_port: int, id: str = None, frontend_ip_configuration=None, backend_address_pool=None, probe=None, load_distribution=None, backend_port: int = None, idle_timeout_in_minutes: int = None, enable_floating_ip: bool = None, enable_tcp_reset: bool = None, disable_outbound_snat: bool = None, provisioning_state: str = None, name: str = None, etag: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  A load balancing rule for a load balancer.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - id (str) – Resource ID.
  - frontend_ip_configuration (SubResource) – A reference to frontend IP addresses.
  - backend_address_pool (SubResource) – A reference to a pool of DIPs. Inbound traffic is randomly load balanced across IPs in the backend IPs.
  - probe (SubResource) – The reference of the load balancer probe used by the load balancing rule.
  - protocol (str or TransportProtocol) – Required. Possible values include: ‘Udp’, ‘Tcp’, ‘All’
  - load_distribution (str or LoadDistribution) – The load distribution policy for this rule. Possible values are ‘Default’, ‘SourceIP’, and ‘SourceIPProtocol’. Possible values include: ‘Default’, ‘SourceIP’, ‘SourceIPProtocol’
  - frontend_port (int) – Required. The port for the external endpoint. Port numbers for each rule must be unique within the Load Balancer. Acceptable values are between 0 and 65534. Note that value 0 enables “Any Port”
  - backend_port (int) – The port used for internal connections on the endpoint. Acceptable values are between 0 and 65535. Note that value 0 enables “Any Port”
  - idle_timeout_in_minutes (int) – The timeout for the TCP idle connection. The value can be set between 4 and 30 minutes. The default value is 4 minutes. This element is only used when the protocol is set to TCP.
  - enable_floating_ip (bool) – Configures a virtual machine’s endpoint for the floating IP capability required to configure a SQL AlwaysOn Availability Group. This setting is required when using the SQL AlwaysOn Availability Groups in SQL server. This setting can’t be changed after you create the endpoint.
  - enable_tcp_reset (bool) – Receive bidirectional TCP Reset on TCP flow idle timeout or unexpected connection termination. This element is only used when the protocol is set to TCP.
  - disable_outbound_snat (bool) – Configures SNAT for the VMs in the backend pool to use the publicIP address specified in the frontend of the load balancing rule.
  - provisioning_state (str) – Gets the provisioning state of the PublicIP resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.
  - name (str) – The name of the resource that is unique within a resource group. This name can be used to access the resource.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

class `azure.mgmt.network.v2018_10_01.models.``LocalNetworkGateway`(*, id: str = None, location: str = None, tags=None, local_network_address_space=None, gateway_ip_address: str = None, bgp_settings=None, resource_guid: str = None, etag: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.Resource`

  A common class for general resource information.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - location (str) – Resource location.
  - tags (dict[str, str]) – Resource tags.
  - local_network_address_space (AddressSpace) – Local network site address space.
  - gateway_ip_address (str) – IP address of local network gateway.
  - bgp_settings (BgpSettings) – Local network gateway’s BGP speaker settings.
  - resource_guid (str) – The resource GUID property of the LocalNetworkGateway resource.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

  Variables:

  - name (str) – Resource name.
  - type (str) – Resource type.
  - provisioning_state (str) – The provisioning state of the LocalNetworkGateway resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.

class `azure.mgmt.network.v2018_10_01.models.``LogSpecification`(*, name: str = None, display_name: str = None, blob_duration: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Description of logging specification.

  Parameters:

  - name (str) – The name of the specification.
  - display_name (str) – The display name of the specification.
  - blob_duration (str) – Duration of the blob.

class `azure.mgmt.network.v2018_10_01.models.``ManagedServiceIdentity`(*, type=None, user_assigned_identities=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Identity for the resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - principal_id (str) – The principal id of the system assigned identity. This property will only be provided for a system assigned identity.
  - tenant_id (str) – The tenant id of the system assigned identity. This property will only be provided for a system assigned identity.

  Parameters:

  - type (str or ResourceIdentityType) – The type of identity used for the resource. The type ‘SystemAssigned, UserAssigned’ includes both an implicitly created identity and a set of user assigned identities. The type ‘None’ will remove any identities from the virtual machine. Possible values include: ‘SystemAssigned’, ‘UserAssigned’, ‘SystemAssigned, UserAssigned’, ‘None’
  - user_assigned_identities (dict[str, ManagedServiceIdentityUserAssignedIdentitiesValue]) – The list of user identities associated with resource. The user identity dictionary key references will be ARM resource ids in the form: ‘/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}’.

class `azure.mgmt.network.v2018_10_01.models.``ManagedServiceIdentityUserAssignedIdentitiesValue`(**kwargs)

  Bases: `msrest.serialization.Model`

  ManagedServiceIdentityUserAssignedIdentitiesValue.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - principal_id (str) – The principal id of user assigned identity.
  - client_id (str) – The client id of user assigned identity.

class `azure.mgmt.network.v2018_10_01.models.``MatchedRule`(*, rule_name: str = None, action: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Matched rule.

  Parameters:

  - rule_name (str) – Name of the matched network security rule.
  - action (str) – The network traffic is allowed or denied. Possible values are ‘Allow’ and ‘Deny’.

class `azure.mgmt.network.v2018_10_01.models.``MetricSpecification`(*, name: str = None, display_name: str = None, display_description: str = None, unit: str = None, aggregation_type: str = None, availabilities=None, enable_regional_mdm_account: bool = None, fill_gap_with_zero: bool = None, metric_filter_pattern: str = None, dimensions=None, is_internal: bool = None, source_mdm_account: str = None, source_mdm_namespace: str = None, resource_id_dimension_name_override: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Description of metrics specification.

  Parameters:

  - name (str) – The name of the metric.
  - display_name (str) – The display name of the metric.
  - display_description (str) – The description of the metric.
  - unit (str) – Units the metric to be displayed in.
  - aggregation_type (str) – The aggregation type.
  - availabilities (list[Availability]) – List of availability.
  - enable_regional_mdm_account (bool) – Whether regional MDM account enabled.
  - fill_gap_with_zero (bool) – Whether gaps would be filled with zeros.
  - metric_filter_pattern (str) – Pattern for the filter of the metric.
  - dimensions (list[Dimension]) – List of dimensions.
  - is_internal (bool) – Whether the metric is internal.
  - source_mdm_account (str) – The source MDM account.
  - source_mdm_namespace (str) – The source MDM namespace.
  - resource_id_dimension_name_override (str) – The resource Id dimension name override.

class `azure.mgmt.network.v2018_10_01.models.``NetworkConfigurationDiagnosticParameters`(*, target_resource_id: str, profiles, verbosity_level=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Parameters to get network configuration diagnostic.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - target_resource_id (str) – Required. The ID of the target resource to perform network configuration diagnostic. Valid options are VM, NetworkInterface, VMSS/NetworkInterface and Application Gateway.
  - verbosity_level (str or VerbosityLevel) – Verbosity level. Accepted values are ‘Normal’, ‘Minimum’, ‘Full’. Possible values include: ‘Normal’, ‘Minimum’, ‘Full’
  - profiles (list[NetworkConfigurationDiagnosticProfile]) – Required. List of network configuration diagnostic profiles.

class `azure.mgmt.network.v2018_10_01.models.``NetworkConfigurationDiagnosticProfile`(*, direction, protocol: str, source: str, destination: str, destination_port: str, **kwargs)

  Bases: `msrest.serialization.Model`

  Parameters to compare with network configuration.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - direction (str or Direction) – Required. The direction of the traffic. Accepted values are ‘Inbound’ and ‘Outbound’. Possible values include: ‘Inbound’, ‘Outbound’
  - protocol (str) – Required. Protocol to be verified on. Accepted values are ‘*’, TCP, UDP.
  - source (str) – Required. Traffic source. Accepted values are ‘*’, IP Address/CIDR, Service Tag.
  - destination (str) – Required. Traffic destination. Accepted values are: ‘*’, IP Address/CIDR, Service Tag.
  - destination_port (str) – Required. Traffic destination port. Accepted values are ‘*’, port (for example, 3389) and port range (for example, 80-100).

class `azure.mgmt.network.v2018_10_01.models.``NetworkConfigurationDiagnosticResponse`(**kwargs)

  Bases: `msrest.serialization.Model`

  Results of network configuration diagnostic on the target resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables: | results (list[NetworkConfigurationDiagnosticResult]) – List of network configuration diagnostic results.

class `azure.mgmt.network.v2018_10_01.models.``NetworkConfigurationDiagnosticResult`(*, profile=None, network_security_group_result=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Network configuration diagnostic result corresponded to provided traffic query.

  Parameters:

  - profile (NetworkConfigurationDiagnosticProfile) –
  - network_security_group_result (NetworkSecurityGroupResult) –

class `azure.mgmt.network.v2018_10_01.models.``NetworkInterface`(*, id: str = None, location: str = None, tags=None, network_security_group=None, ip_configurations=None, tap_configurations=None, dns_settings=None, mac_address: str = None, primary: bool = None, enable_accelerated_networking: bool = None, enable_ip_forwarding: bool = None, resource_guid: str = None, provisioning_state: str = None, etag: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.Resource`

  A network interface in a resource group.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - location (str) – Resource location.
  - tags (dict[str, str]) – Resource tags.
  - network_security_group (NetworkSecurityGroup) – The reference of the NetworkSecurityGroup resource.
  - ip_configurations (list[NetworkInterfaceIPConfiguration]) – A list of IPConfigurations of the network interface.
  - tap_configurations (list[NetworkInterfaceTapConfiguration]) – A list of TapConfigurations of the network interface.
  - dns_settings (NetworkInterfaceDnsSettings) – The DNS settings in network interface.
  - mac_address (str) – The MAC address of the network interface.
  - primary (bool) – Gets whether this is a primary network interface on a virtual machine.
  - enable_accelerated_networking (bool) – If the network interface is accelerated networking enabled.
  - enable_ip_forwarding (bool) – Indicates whether IP forwarding is enabled on this network interface.
  - resource_guid (str) – The resource GUID property of the network interface resource.
  - provisioning_state (str) – The provisioning state of the public IP resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

  Variables:

  - name (str) – Resource name.
  - type (str) – Resource type.
  - virtual_machine (SubResource) – The reference of a virtual machine.
  - interface_endpoint (InterfaceEndpoint) – A reference to the interface endpoint to which the network interface is linked.
  - hosted_workloads (list[str]) – A list of references to linked BareMetal resources

class `azure.mgmt.network.v2018_10_01.models.``NetworkInterfaceAssociation`(*, security_rules=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Network interface and its custom security rules.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables: | id (str) – Network interface ID.
  Parameters: | security_rules (list[SecurityRule]) – Collection of custom security rules.

class `azure.mgmt.network.v2018_10_01.models.``NetworkInterfaceDnsSettings`(*, dns_servers=None, applied_dns_servers=None, internal_dns_name_label: str = None, internal_fqdn: str = None, internal_domain_name_suffix: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  DNS settings of a network interface.

  Parameters:

  - dns_servers (list[str]) – List of DNS servers IP addresses. Use ‘AzureProvidedDNS’ to switch to azure provided DNS resolution. ‘AzureProvidedDNS’ value cannot be combined with other IPs, it must be the only value in dnsServers collection.
  - applied_dns_servers (list[str]) – If the VM that uses this NIC is part of an Availability Set, then this list will have the union of all DNS servers from all NICs that are part of the Availability Set. This property is what is configured on each of those VMs.
  - internal_dns_name_label (str) – Relative DNS name for this NIC used for internal communications between VMs in the same virtual network.
  - internal_fqdn (str) – Fully qualified DNS name supporting internal communications between VMs in the same virtual network.
  - internal_domain_name_suffix (str) – Even if internalDnsNameLabel is not specified, a DNS entry is created for the primary NIC of the VM. This DNS name can be constructed by concatenating the VM name with the value of internalDomainNameSuffix.

class `azure.mgmt.network.v2018_10_01.models.``NetworkInterfaceIPConfiguration`(*, id: str = None, virtual_network_taps=None, application_gateway_backend_address_pools=None, load_balancer_backend_address_pools=None, load_balancer_inbound_nat_rules=None, private_ip_address: str = None, private_ip_allocation_method=None, private_ip_address_version=None, subnet=None, primary: bool = None, public_ip_address=None, application_security_groups=None, provisioning_state: str = None, name: str = None, etag: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  IPConfiguration in a network interface.

  Parameters:

  - id (str) – Resource ID.
  - virtual_network_taps (list[VirtualNetworkTap]) – The reference to Virtual Network Taps.
  - application_gateway_backend_address_pools (list[ApplicationGatewayBackendAddressPool]) – The reference of ApplicationGatewayBackendAddressPool resource.
  - load_balancer_backend_address_pools (list[BackendAddressPool]) – The reference of LoadBalancerBackendAddressPool resource.
  - load_balancer_inbound_nat_rules (list[InboundNatRule]) – A list of references of LoadBalancerInboundNatRules.
  - private_ip_address (str) – Private IP address of the IP configuration.
  - private_ip_allocation_method (str or IPAllocationMethod) – Defines how a private IP address is assigned. Possible values are: ‘Static’ and ‘Dynamic’. Possible values include: ‘Static’, ‘Dynamic’
  - private_ip_address_version (str or IPVersion) – Available from Api-Version 2016-03-30 onwards, it represents whether the specific ipconfiguration is IPv4 or IPv6. Default is taken as IPv4. Possible values are: ‘IPv4’ and ‘IPv6’. Possible values include: ‘IPv4’, ‘IPv6’
  - subnet (Subnet) – Subnet bound to the IP configuration.
  - primary (bool) – Gets whether this is a primary customer address on the network interface.
  - public_ip_address (PublicIPAddress) – Public IP address bound to the IP configuration.
  - application_security_groups (list[ApplicationSecurityGroup]) – Application security groups in which the IP configuration is included.
  - provisioning_state (str) – The provisioning state of the network interface IP configuration. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.
  - name (str) – The name of the resource that is unique within a resource group. This name can be used to access the resource.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

class `azure.mgmt.network.v2018_10_01.models.``NetworkInterfaceTapConfiguration`(*, id: str = None, virtual_network_tap=None, name: str = None, etag: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  Tap configuration in a Network Interface.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - virtual_network_tap (VirtualNetworkTap) – The reference of the Virtual Network Tap resource.
  - name (str) – The name of the resource that is unique within a resource group. This name can be used to access the resource.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

  Variables:

  - provisioning_state (str) – The provisioning state of the network interface tap configuration. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.
  - type (str) – Sub Resource type.

class `azure.mgmt.network.v2018_10_01.models.``NetworkProfile`(*, id: str = None, location: str = None, tags=None, container_network_interfaces=None, container_network_interface_configurations=None, etag: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.Resource`

  Network profile resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - location (str) – Resource location.
  - tags (dict[str, str]) – Resource tags.
  - container_network_interfaces (list[ContainerNetworkInterface]) – List of child container network interfaces.
  - container_network_interface_configurations (list[ContainerNetworkInterfaceConfiguration]) – List of chid container network interface configurations.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

  Variables:

  - name (str) – Resource name.
  - type (str) – Resource type.
  - resource_guid (str) – The resource GUID property of the network interface resource.
  - provisioning_state (str) – The provisioning state of the resource.

class `azure.mgmt.network.v2018_10_01.models.``NetworkSecurityGroup`(*, id: str = None, location: str = None, tags=None, security_rules=None, default_security_rules=None, resource_guid: str = None, provisioning_state: str = None, etag: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.Resource`

  NetworkSecurityGroup resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - location (str) – Resource location.
  - tags (dict[str, str]) – Resource tags.
  - security_rules (list[SecurityRule]) – A collection of security rules of the network security group.
  - default_security_rules (list[SecurityRule]) – The default security rules of network security group.
  - resource_guid (str) – The resource GUID property of the network security group resource.
  - provisioning_state (str) – The provisioning state of the public IP resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

  Variables:

  - name (str) – Resource name.
  - type (str) – Resource type.
  - network_interfaces (list[NetworkInterface]) – A collection of references to network interfaces.
  - subnets (list[Subnet]) – A collection of references to subnets.

class `azure.mgmt.network.v2018_10_01.models.``NetworkSecurityGroupResult`(*, security_rule_access_result=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Network configuration diagnostic result corresponded provided traffic query.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters: | security_rule_access_result (str or SecurityRuleAccess) – The network traffic is allowed or denied. Possible values are ‘Allow’ and ‘Deny’. Possible values include: ‘Allow’, ‘Deny’
  Variables: | evaluated_network_security_groups (list[EvaluatedNetworkSecurityGroup]) – List of results network security groups diagnostic.

class `azure.mgmt.network.v2018_10_01.models.``NetworkSecurityRulesEvaluationResult`(*, name: str = None, protocol_matched: bool = None, source_matched: bool = None, source_port_matched: bool = None, destination_matched: bool = None, destination_port_matched: bool = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Network security rules evaluation result.

  Parameters:

  - name (str) – Name of the network security rule.
  - protocol_matched (bool) – Value indicating whether protocol is matched.
  - source_matched (bool) – Value indicating whether source is matched.
  - source_port_matched (bool) – Value indicating whether source port is matched.
  - destination_matched (bool) – Value indicating whether destination is matched.
  - destination_port_matched (bool) – Value indicating whether destination port is matched.

class `azure.mgmt.network.v2018_10_01.models.``NetworkWatcher`(*, id: str = None, location: str = None, tags=None, etag: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.Resource`

  Network watcher in a resource group.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - location (str) – Resource location.
  - tags (dict[str, str]) – Resource tags.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

  Variables:

  - name (str) – Resource name.
  - type (str) – Resource type.
  - provisioning_state (str or ProvisioningState) – The provisioning state of the resource. Possible values include: ‘Succeeded’, ‘Updating’, ‘Deleting’, ‘Failed’

class `azure.mgmt.network.v2018_10_01.models.``NextHopParameters`(*, target_resource_id: str, source_ip_address: str, destination_ip_address: str, target_nic_resource_id: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Parameters that define the source and destination endpoint.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - target_resource_id (str) – Required. The resource identifier of the target resource against which the action is to be performed.
  - source_ip_address (str) – Required. The source IP address.
  - destination_ip_address (str) – Required. The destination IP address.
  - target_nic_resource_id (str) – The NIC ID. (If VM has multiple NICs and IP forwarding is enabled on any of the nics, then this parameter must be specified. Otherwise optional).

class `azure.mgmt.network.v2018_10_01.models.``NextHopResult`(*, next_hop_type=None, next_hop_ip_address: str = None, route_table_id: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The information about next hop from the specified VM.

  Parameters:

  - next_hop_type (str or NextHopType) – Next hop type. Possible values include: ‘Internet’, ‘VirtualAppliance’, ‘VirtualNetworkGateway’, ‘VnetLocal’, ‘HyperNetGateway’, ‘None’
  - next_hop_ip_address (str) – Next hop IP Address
  - route_table_id (str) – The resource identifier for the route table associated with the route being returned. If the route being returned does not correspond to any user created routes then this field will be the string ‘System Route’.

class `azure.mgmt.network.v2018_10_01.models.``Operation`(*, name: str = None, display=None, origin: str = None, service_specification=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Network REST API operation definition.

  Parameters:

  - name (str) – Operation name: {provider}/{resource}/{operation}
  - display (OperationDisplay) – Display metadata associated with the operation.
  - origin (str) – Origin of the operation.
  - service_specification (OperationPropertiesFormatServiceSpecification) – Specification of the service.

class `azure.mgmt.network.v2018_10_01.models.``OperationDisplay`(*, provider: str = None, resource: str = None, operation: str = None, description: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Display metadata associated with the operation.

  Parameters:

  - provider (str) – Service provider: Microsoft Network.
  - resource (str) – Resource on which the operation is performed.
  - operation (str) – Type of the operation: get, read, delete, etc.
  - description (str) – Description of the operation.

class `azure.mgmt.network.v2018_10_01.models.``OperationPropertiesFormatServiceSpecification`(*, metric_specifications=None, log_specifications=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Specification of the service.

  Parameters:

  - metric_specifications (list[MetricSpecification]) – Operation service specification.
  - log_specifications (list[LogSpecification]) – Operation log specification.

class `azure.mgmt.network.v2018_10_01.models.``OutboundRule`(*, frontend_ip_configurations, backend_address_pool, protocol, id: str = None, allocated_outbound_ports: int = None, provisioning_state: str = None, enable_tcp_reset: bool = None, idle_timeout_in_minutes: int = None, name: str = None, etag: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  Outbound rule of the load balancer.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - id (str) – Resource ID.
  - allocated_outbound_ports (int) – The number of outbound ports to be used for NAT.
  - frontend_ip_configurations (list[SubResource]) – Required. The Frontend IP addresses of the load balancer.
  - backend_address_pool (SubResource) – Required. A reference to a pool of DIPs. Outbound traffic is randomly load balanced across IPs in the backend IPs.
  - provisioning_state (str) – Gets the provisioning state of the PublicIP resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.
  - protocol (str or enum) – Required. Protocol - TCP, UDP or All. Possible values include: ‘Tcp’, ‘Udp’, ‘All’
  - enable_tcp_reset (bool) – Receive bidirectional TCP Reset on TCP flow idle timeout or unexpected connection termination. This element is only used when the protocol is set to TCP.
  - idle_timeout_in_minutes (int) – The timeout for the TCP idle connection
  - name (str) – The name of the resource that is unique within a resource group. This name can be used to access the resource.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

class `azure.mgmt.network.v2018_10_01.models.``P2SVpnGateway`(*, id: str = None, location: str = None, tags=None, virtual_hub=None, provisioning_state=None, vpn_gateway_scale_unit: int = None, p2_svpn_server_configuration=None, vpn_client_address_pool=None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.Resource`

  P2SVpnGateway Resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - location (str) – Resource location.
  - tags (dict[str, str]) – Resource tags.
  - virtual_hub (SubResource) – The VirtualHub to which the gateway belongs
  - provisioning_state (str or ProvisioningState) – The provisioning state of the resource. Possible values include: ‘Succeeded’, ‘Updating’, ‘Deleting’, ‘Failed’
  - vpn_gateway_scale_unit (int) – The scale unit for this p2s vpn gateway.
  - p2_svpn_server_configuration (SubResource) – The P2SVpnServerConfiguration to which the p2sVpnGateway is attached to.
  - vpn_client_address_pool (AddressSpace) – The reference of the address space resource which represents Address space for P2S VpnClient.

  Variables:

  - name (str) – Resource name.
  - type (str) – Resource type.
  - vpn_client_connection_health (VpnClientConnectionHealth) – All P2S VPN clients’ connection health status.
  - etag (str) – Gets a unique read-only string that changes whenever the resource is updated.

class `azure.mgmt.network.v2018_10_01.models.``P2SVpnProfileParameters`(*, authentication_method=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Vpn Client Parameters for package generation.

  Parameters: | authentication_method (str or AuthenticationMethod) – VPN client Authentication Method. Possible values are: ‘EAPTLS’ and ‘EAPMSCHAPv2’. Possible values include: ‘EAPTLS’, ‘EAPMSCHAPv2’

class `azure.mgmt.network.v2018_10_01.models.``P2SVpnServerConfigRadiusClientRootCertificate`(*, id: str = None, thumbprint: str = None, name: str = None, etag: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  Radius client root certificate of P2SVpnServerConfiguration.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - thumbprint (str) – The Radius client root certificate thumbprint.
  - name (str) – The name of the resource that is unique within a resource group. This name can be used to access the resource.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

  Variables: | provisioning_state (str) – The provisioning state of the Radius client root certificate resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.

class `azure.mgmt.network.v2018_10_01.models.``P2SVpnServerConfigRadiusServerRootCertificate`(*, public_cert_data: str, id: str = None, name: str = None, etag: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  Radius Server root certificate of P2SVpnServerConfiguration.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - id (str) – Resource ID.
  - public_cert_data (str) – Required. The certificate public data.
  - name (str) – The name of the resource that is unique within a resource group. This name can be used to access the resource.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

  Variables: | provisioning_state (str) – The provisioning state of the P2SVpnServerConfiguration Radius Server root certificate resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.

class `azure.mgmt.network.v2018_10_01.models.``P2SVpnServerConfiguration`(*, id: str = None, p2_svpn_server_configuration_properties_name: str = None, vpn_protocols=None, p2_svpn_server_config_vpn_client_root_certificates=None, p2_svpn_server_config_vpn_client_revoked_certificates=None, p2_svpn_server_config_radius_server_root_certificates=None, p2_svpn_server_config_radius_client_root_certificates=None, vpn_client_ipsec_policies=None, radius_server_address: str = None, radius_server_secret: str = None, p2_svpn_server_configuration_properties_etag: str = None, name: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  P2SVpnServerConfiguration Resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - p2_svpn_server_configuration_properties_name (str) – The name of the P2SVpnServerConfiguration that is unique within a VirtualWan in a resource group. This name can be used to access the resource along with Parent VirtualWan resource name.
  - vpn_protocols (list[str or VpnGatewayTunnelingProtocol]) – vpnProtocols for the P2SVpnServerConfiguration.
  - p2_svpn_server_config_vpn_client_root_certificates (list[P2SVpnServerConfigVpnClientRootCertificate]) – VPN client root certificate of P2SVpnServerConfiguration.
  - p2_svpn_server_config_vpn_client_revoked_certificates (list[P2SVpnServerConfigVpnClientRevokedCertificate]) – VPN client revoked certificate of P2SVpnServerConfiguration.
  - p2_svpn_server_config_radius_server_root_certificates (list[P2SVpnServerConfigRadiusServerRootCertificate]) – Radius Server root certificate of P2SVpnServerConfiguration.
  - p2_svpn_server_config_radius_client_root_certificates (list[P2SVpnServerConfigRadiusClientRootCertificate]) – Radius client root certificate of P2SVpnServerConfiguration.
  - vpn_client_ipsec_policies (list[IpsecPolicy]) – VpnClientIpsecPolicies for P2SVpnServerConfiguration.
  - radius_server_address (str) – The radius server address property of the P2SVpnServerConfiguration resource for point to site client connection.
  - radius_server_secret (str) – The radius secret property of the P2SVpnServerConfiguration resource for point to site client connection.
  - p2_svpn_server_configuration_properties_etag (str) – A unique read-only string that changes whenever the resource is updated.
  - name (str) – The name of the resource that is unique within a resource group. This name can be used to access the resource.

  Variables:

  - provisioning_state (str) – The provisioning state of the P2SVpnServerConfiguration resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.
  - p2_svpn_gateways (list[SubResource]) –
  - etag (str) – Gets a unique read-only string that changes whenever the resource is updated.

class `azure.mgmt.network.v2018_10_01.models.``P2SVpnServerConfigVpnClientRevokedCertificate`(*, id: str = None, thumbprint: str = None, name: str = None, etag: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  VPN client revoked certificate of P2SVpnServerConfiguration.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - thumbprint (str) – The revoked VPN client certificate thumbprint.
  - name (str) – The name of the resource that is unique within a resource group. This name can be used to access the resource.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

  Variables: | provisioning_state (str) – The provisioning state of the VPN client revoked certificate resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.

class `azure.mgmt.network.v2018_10_01.models.``P2SVpnServerConfigVpnClientRootCertificate`(*, public_cert_data: str, id: str = None, name: str = None, etag: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  VPN client root certificate of P2SVpnServerConfiguration.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - id (str) – Resource ID.
  - public_cert_data (str) – Required. The certificate public data.
  - name (str) – The name of the resource that is unique within a resource group. This name can be used to access the resource.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

  Variables: | provisioning_state (str) – The provisioning state of the P2SVpnServerConfiguration VPN client root certificate resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.

class `azure.mgmt.network.v2018_10_01.models.``PacketCapture`(*, target: str, storage_location, bytes_to_capture_per_packet: int = 0, total_bytes_per_session: int = 1073741824, time_limit_in_seconds: int = 18000, filters=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Parameters that define the create packet capture operation.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - target (str) – Required. The ID of the targeted resource, only VM is currently supported.
  - bytes_to_capture_per_packet (int) – Number of bytes captured per packet, the remaining bytes are truncated. Default value: 0 .
  - total_bytes_per_session (int) – Maximum size of the capture output. Default value: 1073741824 .
  - time_limit_in_seconds (int) – Maximum duration of the capture session in seconds. Default value: 18000 .
  - storage_location (PacketCaptureStorageLocation) – Required.
  - filters (list[PacketCaptureFilter]) –

class `azure.mgmt.network.v2018_10_01.models.``PacketCaptureFilter`(*, protocol='Any', local_ip_address: str = None, remote_ip_address: str = None, local_port: str = None, remote_port: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Filter that is applied to packet capture request. Multiple filters can be applied.

  Parameters:

  - protocol (str or PcProtocol) – Protocol to be filtered on. Possible values include: ‘TCP’, ‘UDP’, ‘Any’. Default value: “Any” .
  - local_ip_address (str) – Local IP Address to be filtered on. Notation: “127.0.0.1” for single address entry. “127.0.0.1-127.0.0.255” for range. “127.0.0.1;127.0.0.5”? for multiple entries. Multiple ranges not currently supported. Mixing ranges with multiple entries not currently supported. Default = null.
  - remote_ip_address (str) – Local IP Address to be filtered on. Notation: “127.0.0.1” for single address entry. “127.0.0.1-127.0.0.255” for range. “127.0.0.1;127.0.0.5;” for multiple entries. Multiple ranges not currently supported. Mixing ranges with multiple entries not currently supported. Default = null.
  - local_port (str) – Local port to be filtered on. Notation: “80” for single port entry.”80-85” for range. “80;443;” for multiple entries. Multiple ranges not currently supported. Mixing ranges with multiple entries not currently supported. Default = null.
  - remote_port (str) – Remote port to be filtered on. Notation: “80” for single port entry.”80-85” for range. “80;443;” for multiple entries. Multiple ranges not currently supported. Mixing ranges with multiple entries not currently supported. Default = null.

class `azure.mgmt.network.v2018_10_01.models.``PacketCaptureParameters`(*, target: str, storage_location, bytes_to_capture_per_packet: int = 0, total_bytes_per_session: int = 1073741824, time_limit_in_seconds: int = 18000, filters=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Parameters that define the create packet capture operation.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - target (str) – Required. The ID of the targeted resource, only VM is currently supported.
  - bytes_to_capture_per_packet (int) – Number of bytes captured per packet, the remaining bytes are truncated. Default value: 0 .
  - total_bytes_per_session (int) – Maximum size of the capture output. Default value: 1073741824 .
  - time_limit_in_seconds (int) – Maximum duration of the capture session in seconds. Default value: 18000 .
  - storage_location (PacketCaptureStorageLocation) – Required.
  - filters (list[PacketCaptureFilter]) –

class `azure.mgmt.network.v2018_10_01.models.``PacketCaptureQueryStatusResult`(*, name: str = None, id: str = None, capture_start_time=None, packet_capture_status=None, stop_reason: str = None, packet_capture_error=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Status of packet capture session.

  Parameters:

  - name (str) – The name of the packet capture resource.
  - id (str) – The ID of the packet capture resource.
  - capture_start_time (datetime) – The start time of the packet capture session.
  - packet_capture_status (str or PcStatus) – The status of the packet capture session. Possible values include: ‘NotStarted’, ‘Running’, ‘Stopped’, ‘Error’, ‘Unknown’
  - stop_reason (str) – The reason the current packet capture session was stopped.
  - packet_capture_error (list[str or PcError]) – List of errors of packet capture session.

class `azure.mgmt.network.v2018_10_01.models.``PacketCaptureResult`(*, target: str, storage_location, etag: str = 'A unique read-only string that changes whenever the resource is updated.', bytes_to_capture_per_packet: int = 0, total_bytes_per_session: int = 1073741824, time_limit_in_seconds: int = 18000, filters=None, provisioning_state=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Information about packet capture session.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - name (str) – Name of the packet capture session.
  - id (str) – ID of the packet capture operation.

  Parameters:

  - etag (str) – Default value: “A unique read-only string that changes whenever the resource is updated.” .
  - target (str) – Required. The ID of the targeted resource, only VM is currently supported.
  - bytes_to_capture_per_packet (int) – Number of bytes captured per packet, the remaining bytes are truncated. Default value: 0 .
  - total_bytes_per_session (int) – Maximum size of the capture output. Default value: 1073741824 .
  - time_limit_in_seconds (int) – Maximum duration of the capture session in seconds. Default value: 18000 .
  - storage_location (PacketCaptureStorageLocation) – Required.
  - filters (list[PacketCaptureFilter]) –
  - provisioning_state (str or ProvisioningState) – The provisioning state of the packet capture session. Possible values include: ‘Succeeded’, ‘Updating’, ‘Deleting’, ‘Failed’

class `azure.mgmt.network.v2018_10_01.models.``PacketCaptureStorageLocation`(*, storage_id: str = None, storage_path: str = None, file_path: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Describes the storage location for a packet capture session.

  Parameters:

  - storage_id (str) – The ID of the storage account to save the packet capture session. Required if no local file path is provided.
  - storage_path (str) – The URI of the storage path to save the packet capture. Must be a well-formed URI describing the location to save the packet capture.
  - file_path (str) – A valid local path on the targeting VM. Must include the name of the capture file (*.cap). For linux virtual machine it must start with /var/captures. Required if no storage ID is provided, otherwise optional.

class `azure.mgmt.network.v2018_10_01.models.``PatchRouteFilter`(*, id: str = None, rules=None, peerings=None, tags=None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  Route Filter Resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - rules (list[RouteFilterRule]) – Collection of RouteFilterRules contained within a route filter.
  - peerings (list[ExpressRouteCircuitPeering]) – A collection of references to express route circuit peerings.
  - tags (dict[str, str]) – Resource tags.

  Variables:

  - provisioning_state (str) – The provisioning state of the resource. Possible values are: ‘Updating’, ‘Deleting’, ‘Succeeded’ and ‘Failed’.
  - name (str) – The name of the resource that is unique within a resource group. This name can be used to access the resource.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.
  - type (str) – Resource type.

class `azure.mgmt.network.v2018_10_01.models.``PatchRouteFilterRule`(*, access, communities, id: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  Route Filter Rule Resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - id (str) – Resource ID.
  - access (str or Access) – Required. The access type of the rule. Valid values are: ‘Allow’, ‘Deny’. Possible values include: ‘Allow’, ‘Deny’
  - communities (list[str]) – Required. The collection for bgp community values to filter on. e.g. [‘12076:5010’,’12076:5020’]

  Variables:

  - route_filter_rule_type (str) – Required. The rule type of the rule. Valid value is: ‘Community’. Default value: “Community” .
  - provisioning_state (str) – The provisioning state of the resource. Possible values are: ‘Updating’, ‘Deleting’, ‘Succeeded’ and ‘Failed’.
  - name (str) – The name of the resource that is unique within a resource group. This name can be used to access the resource.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

  `route_filter_rule_type` = 'Community'

class `azure.mgmt.network.v2018_10_01.models.``Probe`(*, protocol, port: int, id: str = None, interval_in_seconds: int = None, number_of_probes: int = None, request_path: str = None, provisioning_state: str = None, name: str = None, etag: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  A load balancer probe.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - id (str) – Resource ID.
  - protocol (str or ProbeProtocol) – Required. The protocol of the end point. Possible values are: ‘Http’, ‘Tcp’, or ‘Https’. If ‘Tcp’ is specified, a received ACK is required for the probe to be successful. If ‘Http’ or ‘Https’ is specified, a 200 OK response from the specifies URI is required for the probe to be successful. Possible values include: ‘Http’, ‘Tcp’, ‘Https’
  - port (int) – Required. The port for communicating the probe. Possible values range from 1 to 65535, inclusive.
  - interval_in_seconds (int) – The interval, in seconds, for how frequently to probe the endpoint for health status. Typically, the interval is slightly less than half the allocated timeout period (in seconds) which allows two full probes before taking the instance out of rotation. The default value is 15, the minimum value is 5.
  - number_of_probes (int) – The number of probes where if no response, will result in stopping further traffic from being delivered to the endpoint. This values allows endpoints to be taken out of rotation faster or slower than the typical times used in Azure.
  - request_path (str) – The URI used for requesting health status from the VM. Path is required if a protocol is set to http. Otherwise, it is not allowed. There is no default value.
  - provisioning_state (str) – Gets the provisioning state of the public IP resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.
  - name (str) – Gets name of the resource that is unique within a resource group. This name can be used to access the resource.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

  Variables: | load_balancing_rules (list[SubResource]) – The load balancer rules that use this probe.

class `azure.mgmt.network.v2018_10_01.models.``ProtocolConfiguration`(*, http_configuration=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Configuration of the protocol.

  Parameters: | http_configuration (HTTPConfiguration) –

class `azure.mgmt.network.v2018_10_01.models.``PublicIPAddress`(*, id: str = None, location: str = None, tags=None, sku=None, public_ip_allocation_method=None, public_ip_address_version=None, dns_settings=None, ip_tags=None, ip_address: str = None, public_ip_prefix=None, idle_timeout_in_minutes: int = None, resource_guid: str = None, provisioning_state: str = None, etag: str = None, zones=None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.Resource`

  Public IP address resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - location (str) – Resource location.
  - tags (dict[str, str]) – Resource tags.
  - sku (PublicIPAddressSku) – The public IP address SKU.
  - public_ip_allocation_method (str or IPAllocationMethod) – The public IP allocation method. Possible values are: ‘Static’ and ‘Dynamic’. Possible values include: ‘Static’, ‘Dynamic’
  - public_ip_address_version (str or IPVersion) – The public IP address version. Possible values are: ‘IPv4’ and ‘IPv6’. Possible values include: ‘IPv4’, ‘IPv6’
  - dns_settings (PublicIPAddressDnsSettings) – The FQDN of the DNS record associated with the public IP address.
  - ip_tags (list[IpTag]) – The list of tags associated with the public IP address.
  - ip_address (str) – The IP address associated with the public IP address resource.
  - public_ip_prefix (SubResource) – The Public IP Prefix this Public IP Address should be allocated from.
  - idle_timeout_in_minutes (int) – The idle timeout of the public IP address.
  - resource_guid (str) – The resource GUID property of the public IP resource.
  - provisioning_state (str) – The provisioning state of the PublicIP resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.
  - zones (list[str]) – A list of availability zones denoting the IP allocated for the resource needs to come from.

  Variables:

  - name (str) – Resource name.
  - type (str) – Resource type.
  - ip_configuration (IPConfiguration) – The IP configuration associated with the public IP address.

class `azure.mgmt.network.v2018_10_01.models.``PublicIPAddressDnsSettings`(*, domain_name_label: str = None, fqdn: str = None, reverse_fqdn: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Contains FQDN of the DNS record associated with the public IP address.

  Parameters:

  - domain_name_label (str) – Gets or sets the Domain name label.The concatenation of the domain name label and the regionalized DNS zone make up the fully qualified domain name associated with the public IP address. If a domain name label is specified, an A DNS record is created for the public IP in the Microsoft Azure DNS system.
  - fqdn (str) – Gets the FQDN, Fully qualified domain name of the A DNS record associated with the public IP. This is the concatenation of the domainNameLabel and the regionalized DNS zone.
  - reverse_fqdn (str) – Gets or Sets the Reverse FQDN. A user-visible, fully qualified domain name that resolves to this public IP address. If the reverseFqdn is specified, then a PTR DNS record is created pointing from the IP address in the in-addr.arpa domain to the reverse FQDN.

class `azure.mgmt.network.v2018_10_01.models.``PublicIPAddressSku`(*, name=None, **kwargs)

  Bases: `msrest.serialization.Model`

  SKU of a public IP address.

  Parameters: | name (str or PublicIPAddressSkuName) – Name of a public IP address SKU. Possible values include: ‘Basic’, ‘Standard’

class `azure.mgmt.network.v2018_10_01.models.``PublicIPPrefix`(*, id: str = None, location: str = None, tags=None, sku=None, public_ip_address_version=None, ip_tags=None, prefix_length: int = None, ip_prefix: str = None, public_ip_addresses=None, resource_guid: str = None, provisioning_state: str = None, etag: str = None, zones=None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.Resource`

  Public IP prefix resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - location (str) – Resource location.
  - tags (dict[str, str]) – Resource tags.
  - sku (PublicIPPrefixSku) – The public IP prefix SKU.
  - public_ip_address_version (str or IPVersion) – The public IP address version. Possible values are: ‘IPv4’ and ‘IPv6’. Possible values include: ‘IPv4’, ‘IPv6’
  - ip_tags (list[IpTag]) – The list of tags associated with the public IP prefix.
  - prefix_length (int) – The Length of the Public IP Prefix.
  - ip_prefix (str) – The allocated Prefix
  - public_ip_addresses (list[ReferencedPublicIpAddress]) – The list of all referenced PublicIPAddresses
  - resource_guid (str) – The resource GUID property of the public IP prefix resource.
  - provisioning_state (str) – The provisioning state of the Public IP prefix resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.
  - zones (list[str]) – A list of availability zones denoting the IP allocated for the resource needs to come from.

  Variables:

  - name (str) – Resource name.
  - type (str) – Resource type.
  - load_balancer_frontend_ip_configuration (SubResource) – The reference to load balancer frontend IP configuration associated with the public IP prefix.

class `azure.mgmt.network.v2018_10_01.models.``PublicIPPrefixSku`(*, name=None, **kwargs)

  Bases: `msrest.serialization.Model`

  SKU of a public IP prefix.

  Parameters: | name (str or PublicIPPrefixSkuName) – Name of a public IP prefix SKU. Possible values include: ‘Standard’

class `azure.mgmt.network.v2018_10_01.models.``QueryTroubleshootingParameters`(*, target_resource_id: str, **kwargs)

  Bases: `msrest.serialization.Model`

  Parameters that define the resource to query the troubleshooting result.

  All required parameters must be populated in order to send to Azure.

  Parameters: | target_resource_id (str) – Required. The target resource ID to query the troubleshooting result.

class `azure.mgmt.network.v2018_10_01.models.``ReferencedPublicIpAddress`(*, id: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  ReferencedPublicIpAddress.

  Parameters: | id (str) – The PublicIPAddress Reference

class `azure.mgmt.network.v2018_10_01.models.``Resource`(*, id: str = None, location: str = None, tags=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Common resource representation.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - location (str) – Resource location.
  - tags (dict[str, str]) – Resource tags.

  Variables:

  - name (str) – Resource name.
  - type (str) – Resource type.

class `azure.mgmt.network.v2018_10_01.models.``ResourceNavigationLink`(*, id: str = None, linked_resource_type: str = None, link: str = None, name: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  ResourceNavigationLink resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - linked_resource_type (str) – Resource type of the linked resource.
  - link (str) – Link to the external resource
  - name (str) – Name of the resource that is unique within a resource group. This name can be used to access the resource.

  Variables:

  - provisioning_state (str) – Provisioning state of the ResourceNavigationLink resource.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

class `azure.mgmt.network.v2018_10_01.models.``RetentionPolicyParameters`(*, days: int = 0, enabled: bool = False, **kwargs)

  Bases: `msrest.serialization.Model`

  Parameters that define the retention policy for flow log.

  Parameters:

  - days (int) – Number of days to retain flow log records. Default value: 0 .
  - enabled (bool) – Flag to enable/disable retention. Default value: False .

class `azure.mgmt.network.v2018_10_01.models.``Route`(*, next_hop_type, id: str = None, address_prefix: str = None, next_hop_ip_address: str = None, provisioning_state: str = None, name: str = None, etag: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  Route resource.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - id (str) – Resource ID.
  - address_prefix (str) – The destination CIDR to which the route applies.
  - next_hop_type (str or RouteNextHopType) – Required. The type of Azure hop the packet should be sent to. Possible values are: ‘VirtualNetworkGateway’, ‘VnetLocal’, ‘Internet’, ‘VirtualAppliance’, and ‘None’. Possible values include: ‘VirtualNetworkGateway’, ‘VnetLocal’, ‘Internet’, ‘VirtualAppliance’, ‘None’
  - next_hop_ip_address (str) – The IP address packets should be forwarded to. Next hop values are only allowed in routes where the next hop type is VirtualAppliance.
  - provisioning_state (str) – The provisioning state of the resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.
  - name (str) – The name of the resource that is unique within a resource group. This name can be used to access the resource.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

class `azure.mgmt.network.v2018_10_01.models.``RouteFilter`(*, id: str = None, location: str = None, tags=None, rules=None, peerings=None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.Resource`

  Route Filter Resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - location (str) – Resource location.
  - tags (dict[str, str]) – Resource tags.
  - rules (list[RouteFilterRule]) – Collection of RouteFilterRules contained within a route filter.
  - peerings (list[ExpressRouteCircuitPeering]) – A collection of references to express route circuit peerings.

  Variables:

  - name (str) – Resource name.
  - type (str) – Resource type.
  - provisioning_state (str) – The provisioning state of the resource. Possible values are: ‘Updating’, ‘Deleting’, ‘Succeeded’ and ‘Failed’.
  - etag (str) – Gets a unique read-only string that changes whenever the resource is updated.

class `azure.mgmt.network.v2018_10_01.models.``RouteFilterRule`(*, access, communities, id: str = None, name: str = None, location: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  Route Filter Rule Resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - id (str) – Resource ID.
  - access (str or Access) – Required. The access type of the rule. Valid values are: ‘Allow’, ‘Deny’. Possible values include: ‘Allow’, ‘Deny’
  - communities (list[str]) – Required. The collection for bgp community values to filter on. e.g. [‘12076:5010’,’12076:5020’]
  - name (str) – The name of the resource that is unique within a resource group. This name can be used to access the resource.
  - location (str) – Resource location.

  Variables:

  - route_filter_rule_type (str) – Required. The rule type of the rule. Valid value is: ‘Community’. Default value: “Community” .
  - provisioning_state (str) – The provisioning state of the resource. Possible values are: ‘Updating’, ‘Deleting’, ‘Succeeded’ and ‘Failed’.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

  `route_filter_rule_type` = 'Community'

class `azure.mgmt.network.v2018_10_01.models.``RouteTable`(*, id: str = None, location: str = None, tags=None, routes=None, disable_bgp_route_propagation: bool = None, provisioning_state: str = None, etag: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.Resource`

  Route table resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - location (str) – Resource location.
  - tags (dict[str, str]) – Resource tags.
  - routes (list[Route]) – Collection of routes contained within a route table.
  - disable_bgp_route_propagation (bool) – Gets or sets whether to disable the routes learned by BGP on that route table. True means disable.
  - provisioning_state (str) – The provisioning state of the resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.
  - etag (str) – Gets a unique read-only string that changes whenever the resource is updated.

  Variables:

  - name (str) – Resource name.
  - type (str) – Resource type.
  - subnets (list[Subnet]) – A collection of references to subnets.

class `azure.mgmt.network.v2018_10_01.models.``SecurityGroupNetworkInterface`(*, id: str = None, security_rule_associations=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Network interface and all its associated security rules.

  Parameters:

  - id (str) – ID of the network interface.
  - security_rule_associations (SecurityRuleAssociations) –

class `azure.mgmt.network.v2018_10_01.models.``SecurityGroupViewParameters`(*, target_resource_id: str, **kwargs)

  Bases: `msrest.serialization.Model`

  Parameters that define the VM to check security groups for.

  All required parameters must be populated in order to send to Azure.

  Parameters: | target_resource_id (str) – Required. ID of the target VM.

class `azure.mgmt.network.v2018_10_01.models.``SecurityGroupViewResult`(*, network_interfaces=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The information about security rules applied to the specified VM.

  Parameters: | network_interfaces (list[SecurityGroupNetworkInterface]) – List of network interfaces on the specified VM.

class `azure.mgmt.network.v2018_10_01.models.``SecurityRule`(*, protocol, access, direction, id: str = None, description: str = None, source_port_range: str = None, destination_port_range: str = None, source_address_prefix: str = None, source_address_prefixes=None, source_application_security_groups=None, destination_address_prefix: str = None, destination_address_prefixes=None, destination_application_security_groups=None, source_port_ranges=None, destination_port_ranges=None, priority: int = None, provisioning_state: str = None, name: str = None, etag: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  Network security rule.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - id (str) – Resource ID.
  - description (str) – A description for this rule. Restricted to 140 chars.
  - protocol (str or SecurityRuleProtocol) – Required. Network protocol this rule applies to. Possible values are ‘Tcp’, ‘Udp’, and ‘*’. Possible values include: ‘Tcp’, ‘Udp’, ‘*’
  - source_port_range (str) – The source port or range. Integer or range between 0 and 65535. Asterisk ‘*’ can also be used to match all ports.
  - destination_port_range (str) – The destination port or range. Integer or range between 0 and 65535. Asterisk ‘*’ can also be used to match all ports.
  - source_address_prefix (str) – The CIDR or source IP range. Asterisk ‘*’ can also be used to match all source IPs. Default tags such as ‘VirtualNetwork’, ‘AzureLoadBalancer’ and ‘Internet’ can also be used. If this is an ingress rule, specifies where network traffic originates from.
  - source_address_prefixes (list[str]) – The CIDR or source IP ranges.
  - source_application_security_groups (list[ApplicationSecurityGroup]) – The application security group specified as source.
  - destination_address_prefix (str) – The destination address prefix. CIDR or destination IP range. Asterisk ‘*’ can also be used to match all source IPs. Default tags such as ‘VirtualNetwork’, ‘AzureLoadBalancer’ and ‘Internet’ can also be used.
  - destination_address_prefixes (list[str]) – The destination address prefixes. CIDR or destination IP ranges.
  - destination_application_security_groups (list[ApplicationSecurityGroup]) – The application security group specified as destination.
  - source_port_ranges (list[str]) – The source port ranges.
  - destination_port_ranges (list[str]) – The destination port ranges.
  - access (str or SecurityRuleAccess) – Required. The network traffic is allowed or denied. Possible values are: ‘Allow’ and ‘Deny’. Possible values include: ‘Allow’, ‘Deny’
  - priority (int) – The priority of the rule. The value can be between 100 and 4096. The priority number must be unique for each rule in the collection. The lower the priority number, the higher the priority of the rule.
  - direction (str or SecurityRuleDirection) – Required. The direction of the rule. The direction specifies if rule will be evaluated on incoming or outgoing traffic. Possible values are: ‘Inbound’ and ‘Outbound’. Possible values include: ‘Inbound’, ‘Outbound’
  - provisioning_state (str) – The provisioning state of the public IP resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.
  - name (str) – The name of the resource that is unique within a resource group. This name can be used to access the resource.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

class `azure.mgmt.network.v2018_10_01.models.``SecurityRuleAssociations`(*, network_interface_association=None, subnet_association=None, default_security_rules=None, effective_security_rules=None, **kwargs)

  Bases: `msrest.serialization.Model`

  All security rules associated with the network interface.

  Parameters:

  - network_interface_association (NetworkInterfaceAssociation) –
  - subnet_association (SubnetAssociation) –
  - default_security_rules (list[SecurityRule]) – Collection of default security rules of the network security group.
  - effective_security_rules (list[EffectiveNetworkSecurityRule]) – Collection of effective security rules.

class `azure.mgmt.network.v2018_10_01.models.``ServiceAssociationLink`(*, id: str = None, linked_resource_type: str = None, link: str = None, name: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  ServiceAssociationLink resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - linked_resource_type (str) – Resource type of the linked resource.
  - link (str) – Link to the external resource.
  - name (str) – Name of the resource that is unique within a resource group. This name can be used to access the resource.

  Variables:

  - provisioning_state (str) – Provisioning state of the ServiceAssociationLink resource.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

class `azure.mgmt.network.v2018_10_01.models.``ServiceEndpointPolicy`(*, id: str = None, location: str = None, tags=None, service_endpoint_policy_definitions=None, etag: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.Resource`

  Service End point policy resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - location (str) – Resource location.
  - tags (dict[str, str]) – Resource tags.
  - service_endpoint_policy_definitions (list[ServiceEndpointPolicyDefinition]) – A collection of service endpoint policy definitions of the service endpoint policy.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

  Variables:

  - name (str) – Resource name.
  - type (str) – Resource type.
  - subnets (list[Subnet]) – A collection of references to subnets.
  - resource_guid (str) – The resource GUID property of the service endpoint policy resource.
  - provisioning_state (str) – The provisioning state of the service endpoint policy. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.

class `azure.mgmt.network.v2018_10_01.models.``ServiceEndpointPolicyDefinition`(*, id: str = None, description: str = None, service: str = None, service_resources=None, name: str = None, etag: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  Service Endpoint policy definitions.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - description (str) – A description for this rule. Restricted to 140 chars.
  - service (str) – service endpoint name.
  - service_resources (list[str]) – A list of service resources.
  - name (str) – The name of the resource that is unique within a resource group. This name can be used to access the resource.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

  Variables: | provisioning_state (str) – The provisioning state of the service end point policy definition. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.

class `azure.mgmt.network.v2018_10_01.models.``ServiceEndpointPropertiesFormat`(*, service: str = None, locations=None, provisioning_state: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The service endpoint properties.

  Parameters:

  - service (str) – The type of the endpoint service.
  - locations (list[str]) – A list of locations.
  - provisioning_state (str) – The provisioning state of the resource.

class `azure.mgmt.network.v2018_10_01.models.``Subnet`(*, id: str = None, address_prefix: str = None, address_prefixes=None, network_security_group=None, route_table=None, service_endpoints=None, service_endpoint_policies=None, resource_navigation_links=None, service_association_links=None, delegations=None, provisioning_state: str = None, name: str = None, etag: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  Subnet in a virtual network resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - address_prefix (str) – The address prefix for the subnet.
  - address_prefixes (list[str]) – List of address prefixes for the subnet.
  - network_security_group (NetworkSecurityGroup) – The reference of the NetworkSecurityGroup resource.
  - route_table (RouteTable) – The reference of the RouteTable resource.
  - service_endpoints (list[ServiceEndpointPropertiesFormat]) – An array of service endpoints.
  - service_endpoint_policies (list[ServiceEndpointPolicy]) – An array of service endpoint policies.
  - resource_navigation_links (list[ResourceNavigationLink]) – Gets an array of references to the external resources using subnet.
  - service_association_links (list[ServiceAssociationLink]) – Gets an array of references to services injecting into this subnet.
  - delegations (list[Delegation]) – Gets an array of references to the delegations on the subnet.
  - provisioning_state (str) – The provisioning state of the resource.
  - name (str) – The name of the resource that is unique within a resource group. This name can be used to access the resource.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

  Variables:

  - interface_endpoints (list[InterfaceEndpoint]) – An array of references to interface endpoints
  - ip_configurations (list[IPConfiguration]) – Gets an array of references to the network interface IP configurations using subnet.
  - ip_configuration_profiles (list[IPConfigurationProfile]) – Array of IP configuration profiles which reference this subnet.
  - purpose (str) – A read-only string identifying the intention of use for this subnet based on delegations and other user-defined properties.

class `azure.mgmt.network.v2018_10_01.models.``SubnetAssociation`(*, security_rules=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Network interface and its custom security rules.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables: | id (str) – Subnet ID.
  Parameters: | security_rules (list[SecurityRule]) – Collection of custom security rules.

class `azure.mgmt.network.v2018_10_01.models.``SubResource`(*, id: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Reference to another subresource.

  Parameters: | id (str) – Resource ID.

class `azure.mgmt.network.v2018_10_01.models.``TagsObject`(*, tags=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Tags object for patch operations.

  Parameters: | tags (dict[str, str]) – Resource tags.

class `azure.mgmt.network.v2018_10_01.models.``Topology`(*, resources=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Topology of the specified resource group.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – GUID representing the operation id.
  - created_date_time (datetime) – The datetime when the topology was initially created for the resource group.
  - last_modified (datetime) – The datetime when the topology was last modified.

  Parameters: | resources (list[TopologyResource]) –

class `azure.mgmt.network.v2018_10_01.models.``TopologyAssociation`(*, name: str = None, resource_id: str = None, association_type=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Resources that have an association with the parent resource.

  Parameters:

  - name (str) – The name of the resource that is associated with the parent resource.
  - resource_id (str) – The ID of the resource that is associated with the parent resource.
  - association_type (str or AssociationType) – The association type of the child resource to the parent resource. Possible values include: ‘Associated’, ‘Contains’

class `azure.mgmt.network.v2018_10_01.models.``TopologyParameters`(*, target_resource_group_name: str = None, target_virtual_network=None, target_subnet=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Parameters that define the representation of topology.

  Parameters:

  - target_resource_group_name (str) – The name of the target resource group to perform topology on.
  - target_virtual_network (SubResource) – The reference of the Virtual Network resource.
  - target_subnet (SubResource) – The reference of the Subnet resource.

class `azure.mgmt.network.v2018_10_01.models.``TopologyResource`(*, name: str = None, id: str = None, location: str = None, associations=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The network resource topology information for the given resource group.

  Parameters:

  - name (str) – Name of the resource.
  - id (str) – ID of the resource.
  - location (str) – Resource location.
  - associations (list[TopologyAssociation]) – Holds the associations the resource has with other resources in the resource group.

class `azure.mgmt.network.v2018_10_01.models.``TrafficAnalyticsConfigurationProperties`(*, enabled: bool, workspace_id: str, workspace_region: str, workspace_resource_id: str, traffic_analytics_interval: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Parameters that define the configuration of traffic analytics.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - enabled (bool) – Required. Flag to enable/disable traffic analytics.
  - workspace_id (str) – Required. The resource guid of the attached workspace
  - workspace_region (str) – Required. The location of the attached workspace
  - workspace_resource_id (str) – Required. Resource Id of the attached workspace
  - traffic_analytics_interval (int) – The interval in minutes which would decide how frequently TA service should do flow analytics

class `azure.mgmt.network.v2018_10_01.models.``TrafficAnalyticsProperties`(*, network_watcher_flow_analytics_configuration, **kwargs)

  Bases: `msrest.serialization.Model`

  Parameters that define the configuration of traffic analytics.

  All required parameters must be populated in order to send to Azure.

  Parameters: | network_watcher_flow_analytics_configuration (TrafficAnalyticsConfigurationProperties) – Required.

class `azure.mgmt.network.v2018_10_01.models.``TroubleshootingDetails`(*, id: str = None, reason_type: str = None, summary: str = None, detail: str = None, recommended_actions=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Information gained from troubleshooting of specified resource.

  Parameters:

  - id (str) – The id of the get troubleshoot operation.
  - reason_type (str) – Reason type of failure.
  - summary (str) – A summary of troubleshooting.
  - detail (str) – Details on troubleshooting results.
  - recommended_actions (list[TroubleshootingRecommendedActions]) – List of recommended actions.

class `azure.mgmt.network.v2018_10_01.models.``TroubleshootingParameters`(*, target_resource_id: str, storage_id: str, storage_path: str, **kwargs)

  Bases: `msrest.serialization.Model`

  Parameters that define the resource to troubleshoot.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - target_resource_id (str) – Required. The target resource to troubleshoot.
  - storage_id (str) – Required. The ID for the storage account to save the troubleshoot result.
  - storage_path (str) – Required. The path to the blob to save the troubleshoot result in.

class `azure.mgmt.network.v2018_10_01.models.``TroubleshootingRecommendedActions`(*, action_id: str = None, action_text: str = None, action_uri: str = None, action_uri_text: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Recommended actions based on discovered issues.

  Parameters:

  - action_id (str) – ID of the recommended action.
  - action_text (str) – Description of recommended actions.
  - action_uri (str) – The uri linking to a documentation for the recommended troubleshooting actions.
  - action_uri_text (str) – The information from the URI for the recommended troubleshooting actions.

class `azure.mgmt.network.v2018_10_01.models.``TroubleshootingResult`(*, start_time=None, end_time=None, code: str = None, results=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Troubleshooting information gained from specified resource.

  Parameters:

  - start_time (datetime) – The start time of the troubleshooting.
  - end_time (datetime) – The end time of the troubleshooting.
  - code (str) – The result code of the troubleshooting.
  - results (list[TroubleshootingDetails]) – Information from troubleshooting.

class `azure.mgmt.network.v2018_10_01.models.``TunnelConnectionHealth`(**kwargs)

  Bases: `msrest.serialization.Model`

  VirtualNetworkGatewayConnection properties.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - tunnel (str) – Tunnel name.
  - connection_status (str or VirtualNetworkGatewayConnectionStatus) – Virtual network Gateway connection status. Possible values include: ‘Unknown’, ‘Connecting’, ‘Connected’, ‘NotConnected’
  - ingress_bytes_transferred (long) – The Ingress Bytes Transferred in this connection
  - egress_bytes_transferred (long) – The Egress Bytes Transferred in this connection
  - last_connection_established_utc_time (str) – The time at which connection was established in Utc format.

class `azure.mgmt.network.v2018_10_01.models.``Usage`(*, current_value: int, limit: int, name, **kwargs)

  Bases: `msrest.serialization.Model`

  Describes network resource usage.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Resource identifier.
  - unit (str) – Required. An enum describing the unit of measurement. Default value: “Count” .

  Parameters:

  - current_value (long) – Required. The current value of the usage.
  - limit (long) – Required. The limit of usage.
  - name (UsageName) – Required. The name of the type of usage.

  `unit` = 'Count'

class `azure.mgmt.network.v2018_10_01.models.``UsageName`(*, value: str = None, localized_value: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The usage names.

  Parameters:

  - value (str) – A string describing the resource name.
  - localized_value (str) – A localized string describing the resource name.

class `azure.mgmt.network.v2018_10_01.models.``VerificationIPFlowParameters`(*, target_resource_id: str, direction, protocol, local_port: str, remote_port: str, local_ip_address: str, remote_ip_address: str, target_nic_resource_id: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Parameters that define the IP flow to be verified.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - target_resource_id (str) – Required. The ID of the target resource to perform next-hop on.
  - direction (str or Direction) – Required. The direction of the packet represented as a 5-tuple. Possible values include: ‘Inbound’, ‘Outbound’
  - protocol (str or IpFlowProtocol) – Required. Protocol to be verified on. Possible values include: ‘TCP’, ‘UDP’
  - local_port (str) – Required. The local port. Acceptable values are a single integer in the range (0-65535). Support for * for the source port, which depends on the direction.
  - remote_port (str) – Required. The remote port. Acceptable values are a single integer in the range (0-65535). Support for * for the source port, which depends on the direction.
  - local_ip_address (str) – Required. The local IP address. Acceptable values are valid IPv4 addresses.
  - remote_ip_address (str) – Required. The remote IP address. Acceptable values are valid IPv4 addresses.
  - target_nic_resource_id (str) – The NIC ID. (If VM has multiple NICs and IP forwarding is enabled on any of them, then this parameter must be specified. Otherwise optional).

class `azure.mgmt.network.v2018_10_01.models.``VerificationIPFlowResult`(*, access=None, rule_name: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Results of IP flow verification on the target resource.

  Parameters:

  - access (str or Access) – Indicates whether the traffic is allowed or denied. Possible values include: ‘Allow’, ‘Deny’
  - rule_name (str) – Name of the rule. If input is not matched against any security rule, it is not displayed.

class `azure.mgmt.network.v2018_10_01.models.``VirtualHub`(*, id: str = None, location: str = None, tags=None, virtual_wan=None, vpn_gateway=None, p2_svpn_gateway=None, express_route_gateway=None, virtual_network_connections=None, address_prefix: str = None, route_table=None, provisioning_state=None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.Resource`

  VirtualHub Resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - location (str) – Resource location.
  - tags (dict[str, str]) – Resource tags.
  - virtual_wan (SubResource) – The VirtualWAN to which the VirtualHub belongs
  - vpn_gateway (SubResource) – The VpnGateway associated with this VirtualHub
  - p2_svpn_gateway (SubResource) – The P2SVpnGateway associated with this VirtualHub
  - express_route_gateway (SubResource) – The expressRouteGateway associated with this VirtualHub
  - virtual_network_connections (list[HubVirtualNetworkConnection]) – list of all vnet connections with this VirtualHub.
  - address_prefix (str) – Address-prefix for this VirtualHub.
  - route_table (VirtualHubRouteTable) – The routeTable associated with this virtual hub.
  - provisioning_state (str or ProvisioningState) – The provisioning state of the resource. Possible values include: ‘Succeeded’, ‘Updating’, ‘Deleting’, ‘Failed’

  Variables:

  - name (str) – Resource name.
  - type (str) – Resource type.
  - etag (str) – Gets a unique read-only string that changes whenever the resource is updated.

class `azure.mgmt.network.v2018_10_01.models.``VirtualHubId`(*, id: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Virtual Hub identifier.

  Parameters: | id (str) – The resource URI for the Virtual Hub where the ExpressRoute gateway is or will be deployed. The Virtual Hub resource and the ExpressRoute gateway resource reside in the same subscription.

class `azure.mgmt.network.v2018_10_01.models.``VirtualHubRoute`(*, address_prefixes=None, next_hop_ip_address: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  VirtualHub route.

  Parameters:

  - address_prefixes (list[str]) – list of all addressPrefixes.
  - next_hop_ip_address (str) – NextHop ip address.

class `azure.mgmt.network.v2018_10_01.models.``VirtualHubRouteTable`(*, routes=None, **kwargs)

  Bases: `msrest.serialization.Model`

  VirtualHub route table.

  Parameters: | routes (list[VirtualHubRoute]) – list of all routes.

class `azure.mgmt.network.v2018_10_01.models.``VirtualNetwork`(*, id: str = None, location: str = None, tags=None, address_space=None, dhcp_options=None, subnets=None, virtual_network_peerings=None, resource_guid: str = None, provisioning_state: str = None, enable_ddos_protection: bool = False, enable_vm_protection: bool = False, ddos_protection_plan=None, etag: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.Resource`

  Virtual Network resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - location (str) – Resource location.
  - tags (dict[str, str]) – Resource tags.
  - address_space (AddressSpace) – The AddressSpace that contains an array of IP address ranges that can be used by subnets.
  - dhcp_options (DhcpOptions) – The dhcpOptions that contains an array of DNS servers available to VMs deployed in the virtual network.
  - subnets (list[Subnet]) – A list of subnets in a Virtual Network.
  - virtual_network_peerings (list[VirtualNetworkPeering]) – A list of peerings in a Virtual Network.
  - resource_guid (str) – The resourceGuid property of the Virtual Network resource.
  - provisioning_state (str) – The provisioning state of the PublicIP resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.
  - enable_ddos_protection (bool) – Indicates if DDoS protection is enabled for all the protected resources in the virtual network. It requires a DDoS protection plan associated with the resource. Default value: False .
  - enable_vm_protection (bool) – Indicates if VM protection is enabled for all the subnets in the virtual network. Default value: False .
  - ddos_protection_plan (SubResource) – The DDoS protection plan associated with the virtual network.
  - etag (str) – Gets a unique read-only string that changes whenever the resource is updated.

  Variables:

  - name (str) – Resource name.
  - type (str) – Resource type.

class `azure.mgmt.network.v2018_10_01.models.``VirtualNetworkConnectionGatewayReference`(*, id: str, **kwargs)

  Bases: `msrest.serialization.Model`

  A reference to VirtualNetworkGateway or LocalNetworkGateway resource.

  All required parameters must be populated in order to send to Azure.

  Parameters: | id (str) – Required. The ID of VirtualNetworkGateway or LocalNetworkGateway resource.

class `azure.mgmt.network.v2018_10_01.models.``VirtualNetworkGateway`(*, id: str = None, location: str = None, tags=None, ip_configurations=None, gateway_type=None, vpn_type=None, enable_bgp: bool = None, active_active: bool = None, gateway_default_site=None, sku=None, vpn_client_configuration=None, bgp_settings=None, resource_guid: str = None, etag: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.Resource`

  A common class for general resource information.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - location (str) – Resource location.
  - tags (dict[str, str]) – Resource tags.
  - ip_configurations (list[VirtualNetworkGatewayIPConfiguration]) – IP configurations for virtual network gateway.
  - gateway_type (str or VirtualNetworkGatewayType) – The type of this virtual network gateway. Possible values are: ‘Vpn’ and ‘ExpressRoute’. Possible values include: ‘Vpn’, ‘ExpressRoute’
  - vpn_type (str or VpnType) – The type of this virtual network gateway. Possible values are: ‘PolicyBased’ and ‘RouteBased’. Possible values include: ‘PolicyBased’, ‘RouteBased’
  - enable_bgp (bool) – Whether BGP is enabled for this virtual network gateway or not.
  - active_active (bool) – ActiveActive flag
  - gateway_default_site (SubResource) – The reference of the LocalNetworkGateway resource which represents local network site having default routes. Assign Null value in case of removing existing default site setting.
  - sku (VirtualNetworkGatewaySku) – The reference of the VirtualNetworkGatewaySku resource which represents the SKU selected for Virtual network gateway.
  - vpn_client_configuration (VpnClientConfiguration) – The reference of the VpnClientConfiguration resource which represents the P2S VpnClient configurations.
  - bgp_settings (BgpSettings) – Virtual network gateway’s BGP speaker settings.
  - resource_guid (str) – The resource GUID property of the VirtualNetworkGateway resource.
  - etag (str) – Gets a unique read-only string that changes whenever the resource is updated.

  Variables:

  - name (str) – Resource name.
  - type (str) – Resource type.
  - provisioning_state (str) – The provisioning state of the VirtualNetworkGateway resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.

class `azure.mgmt.network.v2018_10_01.models.``VirtualNetworkGatewayConnection`(*, virtual_network_gateway1, connection_type, id: str = None, location: str = None, tags=None, authorization_key: str = None, virtual_network_gateway2=None, local_network_gateway2=None, connection_protocol=None, routing_weight: int = None, shared_key: str = None, peer=None, enable_bgp: bool = None, use_policy_based_traffic_selectors: bool = None, ipsec_policies=None, resource_guid: str = None, express_route_gateway_bypass: bool = None, etag: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.Resource`

  A common class for general resource information.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - id (str) – Resource ID.
  - location (str) – Resource location.
  - tags (dict[str, str]) – Resource tags.
  - authorization_key (str) – The authorizationKey.
  - virtual_network_gateway1 (VirtualNetworkGateway) – Required. The reference to virtual network gateway resource.
  - virtual_network_gateway2 (VirtualNetworkGateway) – The reference to virtual network gateway resource.
  - local_network_gateway2 (LocalNetworkGateway) – The reference to local network gateway resource.
  - connection_type (str or VirtualNetworkGatewayConnectionType) – Required. Gateway connection type. Possible values are: ‘Ipsec’,’Vnet2Vnet’,’ExpressRoute’, and ‘VPNClient. Possible values include: ‘IPsec’, ‘Vnet2Vnet’, ‘ExpressRoute’, ‘VPNClient’
  - connection_protocol (str or VirtualNetworkGatewayConnectionProtocol) – Connection protocol used for this connection. Possible values include: ‘IKEv2’, ‘IKEv1’
  - routing_weight (int) – The routing weight.
  - shared_key (str) – The IPSec shared key.
  - peer (SubResource) – The reference to peerings resource.
  - enable_bgp (bool) – EnableBgp flag
  - use_policy_based_traffic_selectors (bool) – Enable policy-based traffic selectors.
  - ipsec_policies (list[IpsecPolicy]) – The IPSec Policies to be considered by this connection.
  - resource_guid (str) – The resource GUID property of the VirtualNetworkGatewayConnection resource.
  - express_route_gateway_bypass (bool) – Bypass ExpressRoute Gateway for data forwarding
  - etag (str) – Gets a unique read-only string that changes whenever the resource is updated.

  Variables:

  - name (str) – Resource name.
  - type (str) – Resource type.
  - connection_status (str or VirtualNetworkGatewayConnectionStatus) – Virtual network Gateway connection status. Possible values are ‘Unknown’, ‘Connecting’, ‘Connected’ and ‘NotConnected’. Possible values include: ‘Unknown’, ‘Connecting’, ‘Connected’, ‘NotConnected’
  - tunnel_connection_status (list[TunnelConnectionHealth]) – Collection of all tunnels’ connection health status.
  - egress_bytes_transferred (long) – The egress bytes transferred in this connection.
  - ingress_bytes_transferred (long) – The ingress bytes transferred in this connection.
  - provisioning_state (str) – The provisioning state of the VirtualNetworkGatewayConnection resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.

class `azure.mgmt.network.v2018_10_01.models.``VirtualNetworkGatewayConnectionListEntity`(*, virtual_network_gateway1, connection_type, id: str = None, location: str = None, tags=None, authorization_key: str = None, virtual_network_gateway2=None, local_network_gateway2=None, connection_protocol=None, routing_weight: int = None, shared_key: str = None, peer=None, enable_bgp: bool = None, use_policy_based_traffic_selectors: bool = None, ipsec_policies=None, resource_guid: str = None, express_route_gateway_bypass: bool = None, etag: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.Resource`

  A common class for general resource information.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - id (str) – Resource ID.
  - location (str) – Resource location.
  - tags (dict[str, str]) – Resource tags.
  - authorization_key (str) – The authorizationKey.
  - virtual_network_gateway1 (VirtualNetworkConnectionGatewayReference) – Required. The reference to virtual network gateway resource.
  - virtual_network_gateway2 (VirtualNetworkConnectionGatewayReference) – The reference to virtual network gateway resource.
  - local_network_gateway2 (VirtualNetworkConnectionGatewayReference) – The reference to local network gateway resource.
  - connection_type (str or VirtualNetworkGatewayConnectionType) – Required. Gateway connection type. Possible values are: ‘IPsec’,’Vnet2Vnet’,’ExpressRoute’, and ‘VPNClient. Possible values include: ‘IPsec’, ‘Vnet2Vnet’, ‘ExpressRoute’, ‘VPNClient’
  - connection_protocol (str or VirtualNetworkGatewayConnectionProtocol) – Connection protocol used for this connection. Possible values include: ‘IKEv2’, ‘IKEv1’
  - routing_weight (int) – The routing weight.
  - shared_key (str) – The IPSec shared key.
  - peer (SubResource) – The reference to peerings resource.
  - enable_bgp (bool) – EnableBgp flag
  - use_policy_based_traffic_selectors (bool) – Enable policy-based traffic selectors.
  - ipsec_policies (list[IpsecPolicy]) – The IPSec Policies to be considered by this connection.
  - resource_guid (str) – The resource GUID property of the VirtualNetworkGatewayConnection resource.
  - express_route_gateway_bypass (bool) – Bypass ExpressRoute Gateway for data forwarding
  - etag (str) – Gets a unique read-only string that changes whenever the resource is updated.

  Variables:

  - name (str) – Resource name.
  - type (str) – Resource type.
  - connection_status (str or VirtualNetworkGatewayConnectionStatus) – Virtual network Gateway connection status. Possible values are ‘Unknown’, ‘Connecting’, ‘Connected’ and ‘NotConnected’. Possible values include: ‘Unknown’, ‘Connecting’, ‘Connected’, ‘NotConnected’
  - tunnel_connection_status (list[TunnelConnectionHealth]) – Collection of all tunnels’ connection health status.
  - egress_bytes_transferred (long) – The egress bytes transferred in this connection.
  - ingress_bytes_transferred (long) – The ingress bytes transferred in this connection.
  - provisioning_state (str) – The provisioning state of the VirtualNetworkGatewayConnection resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.

class `azure.mgmt.network.v2018_10_01.models.``VirtualNetworkGatewayIPConfiguration`(*, id: str = None, private_ip_allocation_method=None, subnet=None, public_ip_address=None, name: str = None, etag: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  IP configuration for virtual network gateway.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - private_ip_allocation_method (str or IPAllocationMethod) – The private IP allocation method. Possible values are: ‘Static’ and ‘Dynamic’. Possible values include: ‘Static’, ‘Dynamic’
  - subnet (SubResource) – The reference of the subnet resource.
  - public_ip_address (SubResource) – The reference of the public IP resource.
  - name (str) – The name of the resource that is unique within a resource group. This name can be used to access the resource.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

  Variables: | provisioning_state (str) – The provisioning state of the public IP resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.

class `azure.mgmt.network.v2018_10_01.models.``VirtualNetworkGatewaySku`(*, name=None, tier=None, capacity: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  VirtualNetworkGatewaySku details.

  Parameters:

  - name (str or VirtualNetworkGatewaySkuName) – Gateway SKU name. Possible values include: ‘Basic’, ‘HighPerformance’, ‘Standard’, ‘UltraPerformance’, ‘VpnGw1’, ‘VpnGw2’, ‘VpnGw3’, ‘VpnGw1AZ’, ‘VpnGw2AZ’, ‘VpnGw3AZ’, ‘ErGw1AZ’, ‘ErGw2AZ’, ‘ErGw3AZ’
  - tier (str or VirtualNetworkGatewaySkuTier) – Gateway SKU tier. Possible values include: ‘Basic’, ‘HighPerformance’, ‘Standard’, ‘UltraPerformance’, ‘VpnGw1’, ‘VpnGw2’, ‘VpnGw3’, ‘VpnGw1AZ’, ‘VpnGw2AZ’, ‘VpnGw3AZ’, ‘ErGw1AZ’, ‘ErGw2AZ’, ‘ErGw3AZ’
  - capacity (int) – The capacity.

class `azure.mgmt.network.v2018_10_01.models.``VirtualNetworkPeering`(*, id: str = None, allow_virtual_network_access: bool = None, allow_forwarded_traffic: bool = None, allow_gateway_transit: bool = None, use_remote_gateways: bool = None, remote_virtual_network=None, remote_address_space=None, peering_state=None, provisioning_state: str = None, name: str = None, etag: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  Peerings in a virtual network resource.

  Parameters:

  - id (str) – Resource ID.
  - allow_virtual_network_access (bool) – Whether the VMs in the linked virtual network space would be able to access all the VMs in local Virtual network space.
  - allow_forwarded_traffic (bool) – Whether the forwarded traffic from the VMs in the remote virtual network will be allowed/disallowed.
  - allow_gateway_transit (bool) – If gateway links can be used in remote virtual networking to link to this virtual network.
  - use_remote_gateways (bool) – If remote gateways can be used on this virtual network. If the flag is set to true, and allowGatewayTransit on remote peering is also true, virtual network will use gateways of remote virtual network for transit. Only one peering can have this flag set to true. This flag cannot be set if virtual network already has a gateway.
  - remote_virtual_network (SubResource) – The reference of the remote virtual network. The remote virtual network can be in the same or different region (preview). See here to register for the preview and learn more (https://docs.microsoft.com/en-us/azure/virtual-network/virtual-network-create-peering).
  - remote_address_space (AddressSpace) – The reference of the remote virtual network address space.
  - peering_state (str or VirtualNetworkPeeringState) – The status of the virtual network peering. Possible values are ‘Initiated’, ‘Connected’, and ‘Disconnected’. Possible values include: ‘Initiated’, ‘Connected’, ‘Disconnected’
  - provisioning_state (str) – The provisioning state of the resource.
  - name (str) – The name of the resource that is unique within a resource group. This name can be used to access the resource.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

class `azure.mgmt.network.v2018_10_01.models.``VirtualNetworkTap`(*, id: str = None, location: str = None, tags=None, destination_network_interface_ip_configuration=None, destination_load_balancer_front_end_ip_configuration=None, destination_port: int = None, etag: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.Resource`

  Virtual Network Tap resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - location (str) – Resource location.
  - tags (dict[str, str]) – Resource tags.
  - destination_network_interface_ip_configuration (NetworkInterfaceIPConfiguration) – The reference to the private IP Address of the collector nic that will receive the tap
  - destination_load_balancer_front_end_ip_configuration (FrontendIPConfiguration) – The reference to the private IP address on the internal Load Balancer that will receive the tap
  - destination_port (int) – The VXLAN destination port that will receive the tapped traffic.
  - etag (str) – Gets a unique read-only string that changes whenever the resource is updated.

  Variables:

  - name (str) – Resource name.
  - type (str) – Resource type.
  - network_interface_tap_configurations (list[NetworkInterfaceTapConfiguration]) – Specifies the list of resource IDs for the network interface IP configuration that needs to be tapped.
  - resource_guid (str) – The resourceGuid property of the virtual network tap.
  - provisioning_state (str) – The provisioning state of the virtual network tap. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.

class `azure.mgmt.network.v2018_10_01.models.``VirtualNetworkUsage`(**kwargs)

  Bases: `msrest.serialization.Model`

  Usage details for subnet.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - current_value (float) – Indicates number of IPs used from the Subnet.
  - id (str) – Subnet identifier.
  - limit (float) – Indicates the size of the subnet.
  - name (VirtualNetworkUsageName) – The name containing common and localized value for usage.
  - unit (str) – Usage units. Returns ‘Count’

class `azure.mgmt.network.v2018_10_01.models.``VirtualNetworkUsageName`(**kwargs)

  Bases: `msrest.serialization.Model`

  Usage strings container.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - localized_value (str) – Localized subnet size and usage string.
  - value (str) – Subnet size and usage string.

class `azure.mgmt.network.v2018_10_01.models.``VirtualWAN`(*, id: str = None, location: str = None, tags=None, disable_vpn_encryption: bool = None, security_provider_name: str = None, allow_branch_to_branch_traffic: bool = None, allow_vnet_to_vnet_traffic: bool = None, office365_local_breakout_category=None, p2_svpn_server_configurations=None, provisioning_state=None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.Resource`

  VirtualWAN Resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - location (str) – Resource location.
  - tags (dict[str, str]) – Resource tags.
  - disable_vpn_encryption (bool) – Vpn encryption to be disabled or not.
  - security_provider_name (str) – The Security Provider name.
  - allow_branch_to_branch_traffic (bool) – True if branch to branch traffic is allowed.
  - allow_vnet_to_vnet_traffic (bool) – True if Vnet to Vnet traffic is allowed.
  - office365_local_breakout_category (str or OfficeTrafficCategory) – The office local breakout category. Possible values include: ‘Optimize’, ‘OptimizeAndAllow’, ‘All’, ‘None’
  - p2_svpn_server_configurations (list[P2SVpnServerConfiguration]) – list of all P2SVpnServerConfigurations associated with the virtual wan.
  - provisioning_state (str or ProvisioningState) – The provisioning state of the resource. Possible values include: ‘Succeeded’, ‘Updating’, ‘Deleting’, ‘Failed’

  Variables:

  - name (str) – Resource name.
  - type (str) – Resource type.
  - virtual_hubs (list[SubResource]) – List of VirtualHubs in the VirtualWAN.
  - vpn_sites (list[SubResource]) –
  - etag (str) – Gets a unique read-only string that changes whenever the resource is updated.

class `azure.mgmt.network.v2018_10_01.models.``VirtualWanSecurityProvider`(*, name: str = None, url: str = None, type=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Collection of SecurityProviders.

  Parameters:

  - name (str) – Name of the security provider.
  - url (str) – Url of the security provider.
  - type (str or VirtualWanSecurityProviderType) – Name of the security provider. Possible values include: ‘External’, ‘Native’

class `azure.mgmt.network.v2018_10_01.models.``VirtualWanSecurityProviders`(*, supported_providers=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Collection of SecurityProviders.

  Parameters: | supported_providers (list[VirtualWanSecurityProvider]) –

class `azure.mgmt.network.v2018_10_01.models.``VpnClientConfiguration`(*, vpn_client_address_pool=None, vpn_client_root_certificates=None, vpn_client_revoked_certificates=None, vpn_client_protocols=None, vpn_client_ipsec_policies=None, radius_server_address: str = None, radius_server_secret: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  VpnClientConfiguration for P2S client.

  Parameters:

  - vpn_client_address_pool (AddressSpace) – The reference of the address space resource which represents Address space for P2S VpnClient.
  - vpn_client_root_certificates (list[VpnClientRootCertificate]) – VpnClientRootCertificate for virtual network gateway.
  - vpn_client_revoked_certificates (list[VpnClientRevokedCertificate]) – VpnClientRevokedCertificate for Virtual network gateway.
  - vpn_client_protocols (list[str or VpnClientProtocol]) – VpnClientProtocols for Virtual network gateway.
  - vpn_client_ipsec_policies (list[IpsecPolicy]) – VpnClientIpsecPolicies for virtual network gateway P2S client.
  - radius_server_address (str) – The radius server address property of the VirtualNetworkGateway resource for vpn client connection.
  - radius_server_secret (str) – The radius secret property of the VirtualNetworkGateway resource for vpn client connection.

class `azure.mgmt.network.v2018_10_01.models.``VpnClientConnectionHealth`(*, vpn_client_connections_count: int = None, allocated_ip_addresses=None, **kwargs)

  Bases: `msrest.serialization.Model`

  VpnClientConnectionHealth properties.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - total_ingress_bytes_transferred (long) – Total of the Ingress Bytes Transferred in this P2S Vpn connection
  - total_egress_bytes_transferred (long) – Total of the Egress Bytes Transferred in this connection

  Parameters:

  - vpn_client_connections_count (int) – The total of p2s vpn clients connected at this time to this P2SVpnGateway.
  - allocated_ip_addresses (list[str]) – List of allocated ip addresses to the connected p2s vpn clients.

class `azure.mgmt.network.v2018_10_01.models.``VpnClientIPsecParameters`(*, sa_life_time_seconds: int, sa_data_size_kilobytes: int, ipsec_encryption, ipsec_integrity, ike_encryption, ike_integrity, dh_group, pfs_group, **kwargs)

  Bases: `msrest.serialization.Model`

  An IPSec parameters for a virtual network gateway P2S connection.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - sa_life_time_seconds (int) – Required. The IPSec Security Association (also called Quick Mode or Phase 2 SA) lifetime in seconds for P2S client.
  - sa_data_size_kilobytes (int) – Required. The IPSec Security Association (also called Quick Mode or Phase 2 SA) payload size in KB for P2S client..
  - ipsec_encryption (str or IpsecEncryption) – Required. The IPSec encryption algorithm (IKE phase 1). Possible values include: ‘None’, ‘DES’, ‘DES3’, ‘AES128’, ‘AES192’, ‘AES256’, ‘GCMAES128’, ‘GCMAES192’, ‘GCMAES256’
  - ipsec_integrity (str or IpsecIntegrity) – Required. The IPSec integrity algorithm (IKE phase 1). Possible values include: ‘MD5’, ‘SHA1’, ‘SHA256’, ‘GCMAES128’, ‘GCMAES192’, ‘GCMAES256’
  - ike_encryption (str or IkeEncryption) – Required. The IKE encryption algorithm (IKE phase 2). Possible values include: ‘DES’, ‘DES3’, ‘AES128’, ‘AES192’, ‘AES256’, ‘GCMAES256’, ‘GCMAES128’
  - ike_integrity (str or IkeIntegrity) – Required. The IKE integrity algorithm (IKE phase 2). Possible values include: ‘MD5’, ‘SHA1’, ‘SHA256’, ‘SHA384’, ‘GCMAES256’, ‘GCMAES128’
  - dh_group (str or DhGroup) – Required. The DH Groups used in IKE Phase 1 for initial SA. Possible values include: ‘None’, ‘DHGroup1’, ‘DHGroup2’, ‘DHGroup14’, ‘DHGroup2048’, ‘ECP256’, ‘ECP384’, ‘DHGroup24’
  - pfs_group (str or PfsGroup) – Required. The Pfs Groups used in IKE Phase 2 for new child SA. Possible values include: ‘None’, ‘PFS1’, ‘PFS2’, ‘PFS2048’, ‘ECP256’, ‘ECP384’, ‘PFS24’, ‘PFS14’, ‘PFSMM’

class `azure.mgmt.network.v2018_10_01.models.``VpnClientParameters`(*, processor_architecture=None, authentication_method=None, radius_server_auth_certificate: str = None, client_root_certificates=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Vpn Client Parameters for package generation.

  Parameters:

  - processor_architecture (str or ProcessorArchitecture) – VPN client Processor Architecture. Possible values are: ‘AMD64’ and ‘X86’. Possible values include: ‘Amd64’, ‘X86’
  - authentication_method (str or AuthenticationMethod) – VPN client Authentication Method. Possible values are: ‘EAPTLS’ and ‘EAPMSCHAPv2’. Possible values include: ‘EAPTLS’, ‘EAPMSCHAPv2’
  - radius_server_auth_certificate (str) – The public certificate data for the radius server authentication certificate as a Base-64 encoded string. Required only if external radius authentication has been configured with EAPTLS authentication.
  - client_root_certificates (list[str]) – A list of client root certificates public certificate data encoded as Base-64 strings. Optional parameter for external radius based authentication with EAPTLS.

class `azure.mgmt.network.v2018_10_01.models.``VpnClientRevokedCertificate`(*, id: str = None, thumbprint: str = None, name: str = None, etag: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  VPN client revoked certificate of virtual network gateway.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - thumbprint (str) – The revoked VPN client certificate thumbprint.
  - name (str) – The name of the resource that is unique within a resource group. This name can be used to access the resource.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

  Variables: | provisioning_state (str) – The provisioning state of the VPN client revoked certificate resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.

class `azure.mgmt.network.v2018_10_01.models.``VpnClientRootCertificate`(*, public_cert_data: str, id: str = None, name: str = None, etag: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  VPN client root certificate of virtual network gateway.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - id (str) – Resource ID.
  - public_cert_data (str) – Required. The certificate public data.
  - name (str) – The name of the resource that is unique within a resource group. This name can be used to access the resource.
  - etag (str) – A unique read-only string that changes whenever the resource is updated.

  Variables: | provisioning_state (str) – The provisioning state of the VPN client root certificate resource. Possible values are: ‘Updating’, ‘Deleting’, and ‘Failed’.

class `azure.mgmt.network.v2018_10_01.models.``VpnConnection`(*, id: str = None, remote_vpn_site=None, routing_weight: int = None, connection_status=None, vpn_connection_protocol_type=None, connection_bandwidth: int = None, shared_key: str = None, enable_bgp: bool = None, ipsec_policies=None, enable_rate_limiting: bool = None, enable_internet_security: bool = None, provisioning_state=None, name: str = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.SubResource`

  VpnConnection Resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - remote_vpn_site (SubResource) – Id of the connected vpn site.
  - routing_weight (int) – routing weight for vpn connection.
  - connection_status (str or VpnConnectionStatus) – The connection status. Possible values include: ‘Unknown’, ‘Connecting’, ‘Connected’, ‘NotConnected’
  - vpn_connection_protocol_type (str or VirtualNetworkGatewayConnectionProtocol) – Connection protocol used for this connection. Possible values include: ‘IKEv2’, ‘IKEv1’
  - connection_bandwidth (int) – Expected bandwidth in MBPS.
  - shared_key (str) – SharedKey for the vpn connection.
  - enable_bgp (bool) – EnableBgp flag
  - ipsec_policies (list[IpsecPolicy]) – The IPSec Policies to be considered by this connection.
  - enable_rate_limiting (bool) – EnableBgp flag
  - enable_internet_security (bool) – Enable internet security
  - provisioning_state (str or ProvisioningState) – The provisioning state of the resource. Possible values include: ‘Succeeded’, ‘Updating’, ‘Deleting’, ‘Failed’
  - name (str) – The name of the resource that is unique within a resource group. This name can be used to access the resource.

  Variables:

  - ingress_bytes_transferred (long) – Ingress bytes transferred.
  - egress_bytes_transferred (long) – Egress bytes transferred.
  - etag (str) – Gets a unique read-only string that changes whenever the resource is updated.

class `azure.mgmt.network.v2018_10_01.models.``VpnDeviceScriptParameters`(*, vendor: str = None, device_family: str = None, firmware_version: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Vpn device configuration script generation parameters.

  Parameters:

  - vendor (str) – The vendor for the vpn device.
  - device_family (str) – The device family for the vpn device.
  - firmware_version (str) – The firmware version for the vpn device.

class `azure.mgmt.network.v2018_10_01.models.``VpnGateway`(*, id: str = None, location: str = None, tags=None, virtual_hub=None, connections=None, bgp_settings=None, provisioning_state=None, vpn_gateway_scale_unit: int = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.Resource`

  VpnGateway Resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - location (str) – Resource location.
  - tags (dict[str, str]) – Resource tags.
  - virtual_hub (SubResource) – The VirtualHub to which the gateway belongs
  - connections (list[VpnConnection]) – list of all vpn connections to the gateway.
  - bgp_settings (BgpSettings) – Local network gateway’s BGP speaker settings.
  - provisioning_state (str or ProvisioningState) – The provisioning state of the resource. Possible values include: ‘Succeeded’, ‘Updating’, ‘Deleting’, ‘Failed’
  - vpn_gateway_scale_unit (int) – The scale unit for this vpn gateway.

  Variables:

  - name (str) – Resource name.
  - type (str) – Resource type.
  - etag (str) – Gets a unique read-only string that changes whenever the resource is updated.

class `azure.mgmt.network.v2018_10_01.models.``VpnProfileResponse`(*, profile_url: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Vpn Profile Response for package generation.

  Parameters: | profile_url (str) – URL to the VPN profile

class `azure.mgmt.network.v2018_10_01.models.``VpnSite`(*, id: str = None, location: str = None, tags=None, virtual_wan=None, device_properties=None, ip_address: str = None, site_key: str = None, address_space=None, bgp_properties=None, provisioning_state=None, is_security_site: bool = None, **kwargs)

  Bases: `azure.mgmt.network.v2018_10_01.models._models_py3.Resource`

  VpnSite Resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource ID.
  - location (str) – Resource location.
  - tags (dict[str, str]) – Resource tags.
  - virtual_wan (SubResource) – The VirtualWAN to which the vpnSite belongs
  - device_properties (DeviceProperties) – The device properties
  - ip_address (str) – The ip-address for the vpn-site.
  - site_key (str) – The key for vpn-site that can be used for connections.
  - address_space (AddressSpace) – The AddressSpace that contains an array of IP address ranges.
  - bgp_properties (BgpSettings) – The set of bgp properties.
  - provisioning_state (str or ProvisioningState) – The provisioning state of the resource. Possible values include: ‘Succeeded’, ‘Updating’, ‘Deleting’, ‘Failed’
  - is_security_site (bool) – IsSecuritySite flag

  Variables:

  - name (str) – Resource name.
  - type (str) – Resource type.
  - etag (str) – Gets a unique read-only string that changes whenever the resource is updated.

class `azure.mgmt.network.v2018_10_01.models.``VpnSiteId`(**kwargs)

  Bases: `msrest.serialization.Model`

  VpnSite Resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables: | vpn_site (str) – The resource-uri of the vpn-site for which config is to be fetched.

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewayPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `ApplicationGateway` object

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewaySslPredefinedPolicyPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `ApplicationGatewaySslPredefinedPolicy` object

class `azure.mgmt.network.v2018_10_01.models.``ApplicationSecurityGroupPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `ApplicationSecurityGroup` object

class `azure.mgmt.network.v2018_10_01.models.``AvailableDelegationPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `AvailableDelegation` object

class `azure.mgmt.network.v2018_10_01.models.``AzureFirewallPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `AzureFirewall` object

class `azure.mgmt.network.v2018_10_01.models.``AzureFirewallFqdnTagPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `AzureFirewallFqdnTag` object

class `azure.mgmt.network.v2018_10_01.models.``DdosProtectionPlanPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `DdosProtectionPlan` object

class `azure.mgmt.network.v2018_10_01.models.``EndpointServiceResultPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `EndpointServiceResult` object

class `azure.mgmt.network.v2018_10_01.models.``ExpressRouteCircuitAuthorizationPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `ExpressRouteCircuitAuthorization` object

class `azure.mgmt.network.v2018_10_01.models.``ExpressRouteCircuitPeeringPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `ExpressRouteCircuitPeering` object

class `azure.mgmt.network.v2018_10_01.models.``ExpressRouteCircuitConnectionPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `ExpressRouteCircuitConnection` object

class `azure.mgmt.network.v2018_10_01.models.``ExpressRouteCircuitPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `ExpressRouteCircuit` object

class `azure.mgmt.network.v2018_10_01.models.``ExpressRouteServiceProviderPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `ExpressRouteServiceProvider` object

class `azure.mgmt.network.v2018_10_01.models.``ExpressRouteCrossConnectionPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `ExpressRouteCrossConnection` object

class `azure.mgmt.network.v2018_10_01.models.``ExpressRouteCrossConnectionPeeringPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `ExpressRouteCrossConnectionPeering` object

class `azure.mgmt.network.v2018_10_01.models.``ExpressRoutePortsLocationPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `ExpressRoutePortsLocation` object

class `azure.mgmt.network.v2018_10_01.models.``ExpressRoutePortPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `ExpressRoutePort` object

class `azure.mgmt.network.v2018_10_01.models.``ExpressRouteLinkPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `ExpressRouteLink` object

class `azure.mgmt.network.v2018_10_01.models.``InterfaceEndpointPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `InterfaceEndpoint` object

class `azure.mgmt.network.v2018_10_01.models.``LoadBalancerPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `LoadBalancer` object

class `azure.mgmt.network.v2018_10_01.models.``BackendAddressPoolPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `BackendAddressPool` object

class `azure.mgmt.network.v2018_10_01.models.``FrontendIPConfigurationPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `FrontendIPConfiguration` object

class `azure.mgmt.network.v2018_10_01.models.``InboundNatRulePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `InboundNatRule` object

class `azure.mgmt.network.v2018_10_01.models.``LoadBalancingRulePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `LoadBalancingRule` object

class `azure.mgmt.network.v2018_10_01.models.``OutboundRulePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `OutboundRule` object

class `azure.mgmt.network.v2018_10_01.models.``NetworkInterfacePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `NetworkInterface` object

class `azure.mgmt.network.v2018_10_01.models.``ProbePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Probe` object

class `azure.mgmt.network.v2018_10_01.models.``NetworkInterfaceIPConfigurationPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `NetworkInterfaceIPConfiguration` object

class `azure.mgmt.network.v2018_10_01.models.``NetworkInterfaceTapConfigurationPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `NetworkInterfaceTapConfiguration` object

class `azure.mgmt.network.v2018_10_01.models.``NetworkProfilePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `NetworkProfile` object

class `azure.mgmt.network.v2018_10_01.models.``NetworkSecurityGroupPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `NetworkSecurityGroup` object

class `azure.mgmt.network.v2018_10_01.models.``SecurityRulePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `SecurityRule` object

class `azure.mgmt.network.v2018_10_01.models.``NetworkWatcherPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `NetworkWatcher` object

class `azure.mgmt.network.v2018_10_01.models.``PacketCaptureResultPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `PacketCaptureResult` object

class `azure.mgmt.network.v2018_10_01.models.``ConnectionMonitorResultPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `ConnectionMonitorResult` object

class `azure.mgmt.network.v2018_10_01.models.``OperationPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Operation` object

class `azure.mgmt.network.v2018_10_01.models.``PublicIPAddressPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `PublicIPAddress` object

class `azure.mgmt.network.v2018_10_01.models.``PublicIPPrefixPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `PublicIPPrefix` object

class `azure.mgmt.network.v2018_10_01.models.``RouteFilterPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `RouteFilter` object

class `azure.mgmt.network.v2018_10_01.models.``RouteFilterRulePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `RouteFilterRule` object

class `azure.mgmt.network.v2018_10_01.models.``RouteTablePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `RouteTable` object

class `azure.mgmt.network.v2018_10_01.models.``RoutePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Route` object

class `azure.mgmt.network.v2018_10_01.models.``BgpServiceCommunityPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `BgpServiceCommunity` object

class `azure.mgmt.network.v2018_10_01.models.``ServiceEndpointPolicyPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `ServiceEndpointPolicy` object

class `azure.mgmt.network.v2018_10_01.models.``ServiceEndpointPolicyDefinitionPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `ServiceEndpointPolicyDefinition` object

class `azure.mgmt.network.v2018_10_01.models.``UsagePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Usage` object

class `azure.mgmt.network.v2018_10_01.models.``VirtualNetworkPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `VirtualNetwork` object

class `azure.mgmt.network.v2018_10_01.models.``VirtualNetworkUsagePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `VirtualNetworkUsage` object

class `azure.mgmt.network.v2018_10_01.models.``SubnetPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Subnet` object

class `azure.mgmt.network.v2018_10_01.models.``VirtualNetworkPeeringPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `VirtualNetworkPeering` object

class `azure.mgmt.network.v2018_10_01.models.``VirtualNetworkGatewayPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `VirtualNetworkGateway` object

class `azure.mgmt.network.v2018_10_01.models.``VirtualNetworkGatewayConnectionListEntityPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `VirtualNetworkGatewayConnectionListEntity` object

class `azure.mgmt.network.v2018_10_01.models.``VirtualNetworkGatewayConnectionPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `VirtualNetworkGatewayConnection` object

class `azure.mgmt.network.v2018_10_01.models.``LocalNetworkGatewayPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `LocalNetworkGateway` object

class `azure.mgmt.network.v2018_10_01.models.``VirtualNetworkTapPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `VirtualNetworkTap` object

class `azure.mgmt.network.v2018_10_01.models.``VirtualWANPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `VirtualWAN` object

class `azure.mgmt.network.v2018_10_01.models.``VpnSitePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `VpnSite` object

class `azure.mgmt.network.v2018_10_01.models.``VirtualHubPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `VirtualHub` object

class `azure.mgmt.network.v2018_10_01.models.``HubVirtualNetworkConnectionPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `HubVirtualNetworkConnection` object

class `azure.mgmt.network.v2018_10_01.models.``VpnGatewayPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `VpnGateway` object

class `azure.mgmt.network.v2018_10_01.models.``VpnConnectionPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `VpnConnection` object

class `azure.mgmt.network.v2018_10_01.models.``P2SVpnServerConfigurationPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `P2SVpnServerConfiguration` object

class `azure.mgmt.network.v2018_10_01.models.``P2SVpnGatewayPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `P2SVpnGateway` object

class `azure.mgmt.network.v2018_10_01.models.``IPAllocationMethod`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `dynamic` = 'Dynamic'
  `static` = 'Static'

class `azure.mgmt.network.v2018_10_01.models.``SecurityRuleProtocol`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `asterisk` = '*'
  `tcp` = 'Tcp'
  `udp` = 'Udp'

class `azure.mgmt.network.v2018_10_01.models.``SecurityRuleAccess`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `allow` = 'Allow'
  `deny` = 'Deny'

class `azure.mgmt.network.v2018_10_01.models.``SecurityRuleDirection`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `inbound` = 'Inbound'
  `outbound` = 'Outbound'

class `azure.mgmt.network.v2018_10_01.models.``RouteNextHopType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `internet` = 'Internet'
  `none` = 'None'
  `virtual_appliance` = 'VirtualAppliance'
  `virtual_network_gateway` = 'VirtualNetworkGateway'
  `vnet_local` = 'VnetLocal'

class `azure.mgmt.network.v2018_10_01.models.``PublicIPAddressSkuName`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `basic` = 'Basic'
  `standard` = 'Standard'

class `azure.mgmt.network.v2018_10_01.models.``IPVersion`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `ipv4` = 'IPv4'
  `ipv6` = 'IPv6'

class `azure.mgmt.network.v2018_10_01.models.``TransportProtocol`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `all` = 'All'
  `tcp` = 'Tcp'
  `udp` = 'Udp'

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewayProtocol`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `http` = 'Http'
  `https` = 'Https'

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewayCookieBasedAffinity`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `disabled` = 'Disabled'
  `enabled` = 'Enabled'

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewayBackendHealthServerHealth`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `down` = 'Down'
  `draining` = 'Draining'
  `partial` = 'Partial'
  `unknown` = 'Unknown'
  `up` = 'Up'

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewaySkuName`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `standard_large` = 'Standard_Large'
  `standard_medium` = 'Standard_Medium'
  `standard_small` = 'Standard_Small'
  `standard_v2` = 'Standard_v2'
  `waf_large` = 'WAF_Large'
  `waf_medium` = 'WAF_Medium'
  `waf_v2` = 'WAF_v2'

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewayTier`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `standard` = 'Standard'
  `standard_v2` = 'Standard_v2'
  `waf` = 'WAF'
  `waf_v2` = 'WAF_v2'

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewaySslProtocol`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `tl_sv1_0` = 'TLSv1_0'
  `tl_sv1_1` = 'TLSv1_1'
  `tl_sv1_2` = 'TLSv1_2'

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewaySslPolicyType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `custom` = 'Custom'
  `predefined` = 'Predefined'

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewaySslPolicyName`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `app_gw_ssl_policy20150501` = 'AppGwSslPolicy20150501'
  `app_gw_ssl_policy20170401` = 'AppGwSslPolicy20170401'
  `app_gw_ssl_policy20170401_s` = 'AppGwSslPolicy20170401S'

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewaySslCipherSuite`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `tls_dhe_dss_with_3_des_ede_cbc_sha` = 'TLS_DHE_DSS_WITH_3DES_EDE_CBC_SHA'
  `tls_dhe_dss_with_aes_128_cbc_sha` = 'TLS_DHE_DSS_WITH_AES_128_CBC_SHA'
  `tls_dhe_dss_with_aes_128_cbc_sha256` = 'TLS_DHE_DSS_WITH_AES_128_CBC_SHA256'
  `tls_dhe_dss_with_aes_256_cbc_sha` = 'TLS_DHE_DSS_WITH_AES_256_CBC_SHA'
  `tls_dhe_dss_with_aes_256_cbc_sha256` = 'TLS_DHE_DSS_WITH_AES_256_CBC_SHA256'
  `tls_dhe_rsa_with_aes_128_cbc_sha` = 'TLS_DHE_RSA_WITH_AES_128_CBC_SHA'
  `tls_dhe_rsa_with_aes_128_gcm_sha256` = 'TLS_DHE_RSA_WITH_AES_128_GCM_SHA256'
  `tls_dhe_rsa_with_aes_256_cbc_sha` = 'TLS_DHE_RSA_WITH_AES_256_CBC_SHA'
  `tls_dhe_rsa_with_aes_256_gcm_sha384` = 'TLS_DHE_RSA_WITH_AES_256_GCM_SHA384'
  `tls_ecdhe_ecdsa_with_aes_128_cbc_sha` = 'TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA'
  `tls_ecdhe_ecdsa_with_aes_128_cbc_sha256` = 'TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256'
  `tls_ecdhe_ecdsa_with_aes_128_gcm_sha256` = 'TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256'
  `tls_ecdhe_ecdsa_with_aes_256_cbc_sha` = 'TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA'
  `tls_ecdhe_ecdsa_with_aes_256_cbc_sha384` = 'TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384'
  `tls_ecdhe_ecdsa_with_aes_256_gcm_sha384` = 'TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384'
  `tls_ecdhe_rsa_with_aes_128_cbc_sha` = 'TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA'
  `tls_ecdhe_rsa_with_aes_128_cbc_sha256` = 'TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256'
  `tls_ecdhe_rsa_with_aes_128_gcm_sha256` = 'TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256'
  `tls_ecdhe_rsa_with_aes_256_cbc_sha` = 'TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA'
  `tls_ecdhe_rsa_with_aes_256_cbc_sha384` = 'TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384'
  `tls_ecdhe_rsa_with_aes_256_gcm_sha384` = 'TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384'
  `tls_rsa_with_3_des_ede_cbc_sha` = 'TLS_RSA_WITH_3DES_EDE_CBC_SHA'
  `tls_rsa_with_aes_128_cbc_sha` = 'TLS_RSA_WITH_AES_128_CBC_SHA'
  `tls_rsa_with_aes_128_cbc_sha256` = 'TLS_RSA_WITH_AES_128_CBC_SHA256'
  `tls_rsa_with_aes_128_gcm_sha256` = 'TLS_RSA_WITH_AES_128_GCM_SHA256'
  `tls_rsa_with_aes_256_cbc_sha` = 'TLS_RSA_WITH_AES_256_CBC_SHA'
  `tls_rsa_with_aes_256_cbc_sha256` = 'TLS_RSA_WITH_AES_256_CBC_SHA256'
  `tls_rsa_with_aes_256_gcm_sha384` = 'TLS_RSA_WITH_AES_256_GCM_SHA384'

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewayCustomErrorStatusCode`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `http_status403` = 'HttpStatus403'
  `http_status502` = 'HttpStatus502'

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewayRequestRoutingRuleType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `basic` = 'Basic'
  `path_based_routing` = 'PathBasedRouting'

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewayRedirectType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `found` = 'Found'
  `permanent` = 'Permanent'
  `see_other` = 'SeeOther'
  `temporary` = 'Temporary'

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewayOperationalState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `running` = 'Running'
  `starting` = 'Starting'
  `stopped` = 'Stopped'
  `stopping` = 'Stopping'

class `azure.mgmt.network.v2018_10_01.models.``ApplicationGatewayFirewallMode`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `detection` = 'Detection'
  `prevention` = 'Prevention'

class `azure.mgmt.network.v2018_10_01.models.``ResourceIdentityType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `none` = 'None'
  `system_assigned` = 'SystemAssigned'
  `system_assigned_user_assigned` = 'SystemAssigned, UserAssigned'
  `user_assigned` = 'UserAssigned'

class `azure.mgmt.network.v2018_10_01.models.``ProvisioningState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `deleting` = 'Deleting'
  `failed` = 'Failed'
  `succeeded` = 'Succeeded'
  `updating` = 'Updating'

class `azure.mgmt.network.v2018_10_01.models.``AzureFirewallRCActionType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `allow` = 'Allow'
  `deny` = 'Deny'

class `azure.mgmt.network.v2018_10_01.models.``AzureFirewallApplicationRuleProtocolType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `http` = 'Http'
  `https` = 'Https'

class `azure.mgmt.network.v2018_10_01.models.``AzureFirewallNatRCActionType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `dnat` = 'Dnat'
  `snat` = 'Snat'

class `azure.mgmt.network.v2018_10_01.models.``AzureFirewallNetworkRuleProtocol`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `any` = 'Any'
  `icmp` = 'ICMP'
  `tcp` = 'TCP'
  `udp` = 'UDP'

class `azure.mgmt.network.v2018_10_01.models.``AuthorizationUseStatus`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `available` = 'Available'
  `in_use` = 'InUse'

class `azure.mgmt.network.v2018_10_01.models.``ExpressRouteCircuitPeeringAdvertisedPublicPrefixState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `configured` = 'Configured'
  `configuring` = 'Configuring'
  `not_configured` = 'NotConfigured'
  `validation_needed` = 'ValidationNeeded'

class `azure.mgmt.network.v2018_10_01.models.``Access`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `allow` = 'Allow'
  `deny` = 'Deny'

class `azure.mgmt.network.v2018_10_01.models.``ExpressRoutePeeringType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `azure_private_peering` = 'AzurePrivatePeering'
  `azure_public_peering` = 'AzurePublicPeering'
  `microsoft_peering` = 'MicrosoftPeering'

class `azure.mgmt.network.v2018_10_01.models.``ExpressRoutePeeringState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `disabled` = 'Disabled'
  `enabled` = 'Enabled'

class `azure.mgmt.network.v2018_10_01.models.``CircuitConnectionStatus`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `connected` = 'Connected'
  `connecting` = 'Connecting'
  `disconnected` = 'Disconnected'

class `azure.mgmt.network.v2018_10_01.models.``ExpressRouteCircuitPeeringState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `disabled` = 'Disabled'
  `enabled` = 'Enabled'

class `azure.mgmt.network.v2018_10_01.models.``ExpressRouteCircuitSkuTier`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `basic` = 'Basic'
  `premium` = 'Premium'
  `standard` = 'Standard'

class `azure.mgmt.network.v2018_10_01.models.``ExpressRouteCircuitSkuFamily`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `metered_data` = 'MeteredData'
  `unlimited_data` = 'UnlimitedData'

class `azure.mgmt.network.v2018_10_01.models.``ServiceProviderProvisioningState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `deprovisioning` = 'Deprovisioning'
  `not_provisioned` = 'NotProvisioned'
  `provisioned` = 'Provisioned'
  `provisioning` = 'Provisioning'

class `azure.mgmt.network.v2018_10_01.models.``ExpressRouteLinkConnectorType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `lc` = 'LC'
  `sc` = 'SC'

class `azure.mgmt.network.v2018_10_01.models.``ExpressRouteLinkAdminState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `disabled` = 'Disabled'
  `enabled` = 'Enabled'

class `azure.mgmt.network.v2018_10_01.models.``ExpressRoutePortsEncapsulation`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `dot1_q` = 'Dot1Q'
  `qin_q` = 'QinQ'

class `azure.mgmt.network.v2018_10_01.models.``LoadBalancerSkuName`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `basic` = 'Basic'
  `standard` = 'Standard'

class `azure.mgmt.network.v2018_10_01.models.``LoadDistribution`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `default` = 'Default'
  `source_ip` = 'SourceIP'
  `source_ip_protocol` = 'SourceIPProtocol'

class `azure.mgmt.network.v2018_10_01.models.``ProbeProtocol`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `http` = 'Http'
  `https` = 'Https'
  `tcp` = 'Tcp'

class `azure.mgmt.network.v2018_10_01.models.``NetworkOperationStatus`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `failed` = 'Failed'
  `in_progress` = 'InProgress'
  `succeeded` = 'Succeeded'

class `azure.mgmt.network.v2018_10_01.models.``EffectiveSecurityRuleProtocol`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `all` = 'All'
  `tcp` = 'Tcp'
  `udp` = 'Udp'

class `azure.mgmt.network.v2018_10_01.models.``EffectiveRouteSource`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `default` = 'Default'
  `unknown` = 'Unknown'
  `user` = 'User'
  `virtual_network_gateway` = 'VirtualNetworkGateway'

class `azure.mgmt.network.v2018_10_01.models.``EffectiveRouteState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `active` = 'Active'
  `invalid` = 'Invalid'

class `azure.mgmt.network.v2018_10_01.models.``AssociationType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `associated` = 'Associated'
  `contains` = 'Contains'

class `azure.mgmt.network.v2018_10_01.models.``Direction`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `inbound` = 'Inbound'
  `outbound` = 'Outbound'

class `azure.mgmt.network.v2018_10_01.models.``IpFlowProtocol`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `tcp` = 'TCP'
  `udp` = 'UDP'

class `azure.mgmt.network.v2018_10_01.models.``NextHopType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `hyper_net_gateway` = 'HyperNetGateway'
  `internet` = 'Internet'
  `none` = 'None'
  `virtual_appliance` = 'VirtualAppliance'
  `virtual_network_gateway` = 'VirtualNetworkGateway'
  `vnet_local` = 'VnetLocal'

class `azure.mgmt.network.v2018_10_01.models.``PcProtocol`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `any` = 'Any'
  `tcp` = 'TCP'
  `udp` = 'UDP'

class `azure.mgmt.network.v2018_10_01.models.``PcStatus`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `error` = 'Error'
  `not_started` = 'NotStarted'
  `running` = 'Running'
  `stopped` = 'Stopped'
  `unknown` = 'Unknown'

class `azure.mgmt.network.v2018_10_01.models.``PcError`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `agent_stopped` = 'AgentStopped'
  `capture_failed` = 'CaptureFailed'
  `internal_error` = 'InternalError'
  `local_file_failed` = 'LocalFileFailed'
  `storage_failed` = 'StorageFailed'

class `azure.mgmt.network.v2018_10_01.models.``FlowLogFormatType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `json` = 'JSON'

class `azure.mgmt.network.v2018_10_01.models.``Protocol`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `http` = 'Http'
  `https` = 'Https'
  `icmp` = 'Icmp'
  `tcp` = 'Tcp'

class `azure.mgmt.network.v2018_10_01.models.``HTTPMethod`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `get` = 'Get'

class `azure.mgmt.network.v2018_10_01.models.``Origin`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `inbound` = 'Inbound'
  `local` = 'Local'
  `outbound` = 'Outbound'

class `azure.mgmt.network.v2018_10_01.models.``Severity`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `error` = 'Error'
  `warning` = 'Warning'

class `azure.mgmt.network.v2018_10_01.models.``IssueType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `agent_stopped` = 'AgentStopped'
  `dns_resolution` = 'DnsResolution'
  `guest_firewall` = 'GuestFirewall'
  `network_security_rule` = 'NetworkSecurityRule'
  `platform` = 'Platform'
  `port_throttled` = 'PortThrottled'
  `socket_bind` = 'SocketBind'
  `unknown` = 'Unknown'
  `user_defined_route` = 'UserDefinedRoute'

class `azure.mgmt.network.v2018_10_01.models.``ConnectionStatus`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `connected` = 'Connected'
  `degraded` = 'Degraded'
  `disconnected` = 'Disconnected'
  `unknown` = 'Unknown'

class `azure.mgmt.network.v2018_10_01.models.``ConnectionMonitorSourceStatus`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `active` = 'Active'
  `inactive` = 'Inactive'
  `uknown` = 'Uknown'

class `azure.mgmt.network.v2018_10_01.models.``ConnectionState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `reachable` = 'Reachable'
  `unknown` = 'Unknown'
  `unreachable` = 'Unreachable'

class `azure.mgmt.network.v2018_10_01.models.``EvaluationState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `completed` = 'Completed'
  `in_progress` = 'InProgress'
  `not_started` = 'NotStarted'

class `azure.mgmt.network.v2018_10_01.models.``VerbosityLevel`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `full` = 'Full'
  `minimum` = 'Minimum'
  `normal` = 'Normal'

class `azure.mgmt.network.v2018_10_01.models.``PublicIPPrefixSkuName`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `standard` = 'Standard'

class `azure.mgmt.network.v2018_10_01.models.``VirtualNetworkPeeringState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `connected` = 'Connected'
  `disconnected` = 'Disconnected'
  `initiated` = 'Initiated'

class `azure.mgmt.network.v2018_10_01.models.``VirtualNetworkGatewayType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `express_route` = 'ExpressRoute'
  `vpn` = 'Vpn'

class `azure.mgmt.network.v2018_10_01.models.``VpnType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `policy_based` = 'PolicyBased'
  `route_based` = 'RouteBased'

class `azure.mgmt.network.v2018_10_01.models.``VirtualNetworkGatewaySkuName`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `basic` = 'Basic'
  `er_gw1_az` = 'ErGw1AZ'
  `er_gw2_az` = 'ErGw2AZ'
  `er_gw3_az` = 'ErGw3AZ'
  `high_performance` = 'HighPerformance'
  `standard` = 'Standard'
  `ultra_performance` = 'UltraPerformance'
  `vpn_gw1` = 'VpnGw1'
  `vpn_gw1_az` = 'VpnGw1AZ'
  `vpn_gw2` = 'VpnGw2'
  `vpn_gw2_az` = 'VpnGw2AZ'
  `vpn_gw3` = 'VpnGw3'
  `vpn_gw3_az` = 'VpnGw3AZ'

class `azure.mgmt.network.v2018_10_01.models.``VirtualNetworkGatewaySkuTier`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `basic` = 'Basic'
  `er_gw1_az` = 'ErGw1AZ'
  `er_gw2_az` = 'ErGw2AZ'
  `er_gw3_az` = 'ErGw3AZ'
  `high_performance` = 'HighPerformance'
  `standard` = 'Standard'
  `ultra_performance` = 'UltraPerformance'
  `vpn_gw1` = 'VpnGw1'
  `vpn_gw1_az` = 'VpnGw1AZ'
  `vpn_gw2` = 'VpnGw2'
  `vpn_gw2_az` = 'VpnGw2AZ'
  `vpn_gw3` = 'VpnGw3'
  `vpn_gw3_az` = 'VpnGw3AZ'

class `azure.mgmt.network.v2018_10_01.models.``VpnClientProtocol`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `ike_v2` = 'IkeV2'
  `open_vpn` = 'OpenVPN'
  `sstp` = 'SSTP'

class `azure.mgmt.network.v2018_10_01.models.``IpsecEncryption`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `aes128` = 'AES128'
  `aes192` = 'AES192'
  `aes256` = 'AES256'
  `des` = 'DES'
  `des3` = 'DES3'
  `gcmaes128` = 'GCMAES128'
  `gcmaes192` = 'GCMAES192'
  `gcmaes256` = 'GCMAES256'
  `none` = 'None'

class `azure.mgmt.network.v2018_10_01.models.``IpsecIntegrity`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `gcmaes128` = 'GCMAES128'
  `gcmaes192` = 'GCMAES192'
  `gcmaes256` = 'GCMAES256'
  `md5` = 'MD5'
  `sha1` = 'SHA1'
  `sha256` = 'SHA256'

class `azure.mgmt.network.v2018_10_01.models.``IkeEncryption`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `aes128` = 'AES128'
  `aes192` = 'AES192'
  `aes256` = 'AES256'
  `des` = 'DES'
  `des3` = 'DES3'
  `gcmaes128` = 'GCMAES128'
  `gcmaes256` = 'GCMAES256'

class `azure.mgmt.network.v2018_10_01.models.``IkeIntegrity`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `gcmaes128` = 'GCMAES128'
  `gcmaes256` = 'GCMAES256'
  `md5` = 'MD5'
  `sha1` = 'SHA1'
  `sha256` = 'SHA256'
  `sha384` = 'SHA384'

class `azure.mgmt.network.v2018_10_01.models.``DhGroup`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `dh_group1` = 'DHGroup1'
  `dh_group14` = 'DHGroup14'
  `dh_group2` = 'DHGroup2'
  `dh_group2048` = 'DHGroup2048'
  `dh_group24` = 'DHGroup24'
  `ecp256` = 'ECP256'
  `ecp384` = 'ECP384'
  `none` = 'None'

class `azure.mgmt.network.v2018_10_01.models.``PfsGroup`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `ecp256` = 'ECP256'
  `ecp384` = 'ECP384'
  `none` = 'None'
  `pfs1` = 'PFS1'
  `pfs14` = 'PFS14'
  `pfs2` = 'PFS2'
  `pfs2048` = 'PFS2048'
  `pfs24` = 'PFS24'
  `pfsmm` = 'PFSMM'

class `azure.mgmt.network.v2018_10_01.models.``BgpPeerState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `connected` = 'Connected'
  `connecting` = 'Connecting'
  `idle` = 'Idle'
  `stopped` = 'Stopped'
  `unknown` = 'Unknown'

class `azure.mgmt.network.v2018_10_01.models.``ProcessorArchitecture`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `amd64` = 'Amd64'
  `x86` = 'X86'

class `azure.mgmt.network.v2018_10_01.models.``AuthenticationMethod`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `eapmscha_pv2` = 'EAPMSCHAPv2'
  `eaptls` = 'EAPTLS'

class `azure.mgmt.network.v2018_10_01.models.``VirtualNetworkGatewayConnectionStatus`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `connected` = 'Connected'
  `connecting` = 'Connecting'
  `not_connected` = 'NotConnected'
  `unknown` = 'Unknown'

class `azure.mgmt.network.v2018_10_01.models.``VirtualNetworkGatewayConnectionType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `express_route` = 'ExpressRoute'
  `ipsec` = 'IPsec'
  `vnet2_vnet` = 'Vnet2Vnet'
  `vpn_client` = 'VPNClient'

class `azure.mgmt.network.v2018_10_01.models.``VirtualNetworkGatewayConnectionProtocol`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `ik_ev1` = 'IKEv1'
  `ik_ev2` = 'IKEv2'

class `azure.mgmt.network.v2018_10_01.models.``OfficeTrafficCategory`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `all` = 'All'
  `none` = 'None'
  `optimize` = 'Optimize'
  `optimize_and_allow` = 'OptimizeAndAllow'

class `azure.mgmt.network.v2018_10_01.models.``VpnGatewayTunnelingProtocol`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `ike_v2` = 'IkeV2'
  `open_vpn` = 'OpenVPN'

class `azure.mgmt.network.v2018_10_01.models.``VpnConnectionStatus`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `connected` = 'Connected'
  `connecting` = 'Connecting'
  `not_connected` = 'NotConnected'
  `unknown` = 'Unknown'

class `azure.mgmt.network.v2018_10_01.models.``VirtualWanSecurityProviderType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `external` = 'External'
  `native` = 'Native'

class `azure.mgmt.network.v2018_10_01.models.``TunnelConnectionStatus`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `connected` = 'Connected'
  `connecting` = 'Connecting'
  `not_connected` = 'NotConnected'
  `unknown` = 'Unknown'

class `azure.mgmt.network.v2018_10_01.models.``HubVirtualNetworkConnectionStatus`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `connected` = 'Connected'
  `connecting` = 'Connecting'
  `not_connected` = 'NotConnected'
  `unknown` = 'Unknown'